2005-02-15 23:28  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile, utils/Makefile:
	
	  * 1.9.8

2005-02-14 20:38  peter <peter@freepascal.org>

	* tests/webtbs/tw3650.pp:
	
	new bug

2005-02-14 18:42  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * fulldb

2005-02-14 18:41  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc, utils/Makefile,
	utils/Makefile.fpc:
	
	  * dbdigest target

2005-02-14 18:13  peter <peter@freepascal.org>

	* tests/: bench/dmisc.pas, tbf/tb0044.pp, tbf/tb0125.pp,
	tbf/tb0126.pp, tbf/tb0127.pp, tbf/tb0129.pp, tbf/tb0134.pp,
	tbf/tb0135.pp, tbf/tb0136.pp, tbf/tb0137.pp, tbf/tb0139.pp,
	tbf/tb0140.pp, tbf/tb0141.pp, tbf/tb0144.pp, tbf/tb0145.pp,
	tbf/tb0146.pp, tbf/tb0147.pp, tbf/tb0148.pp, tbf/tb0149.pp,
	tbf/tb0150.pp, tbf/tb0153.pp, tbf/tb0156.pp, tbf/tb0159.pp,
	tbf/tb0163.pp, tbf/tb0164.pp, tbf/tb0165.pp, tbf/tb0167.pp,
	tbf/ub0149.pp, tbs/tb0084.pp, tbs/tb0277.pp, tbs/tb0408.pp,
	tbs/tb0414.pp, tbs/tb0418.pp, tbs/tb0420.pp, tbs/tb0424.pp,
	tbs/tb0427.pp, tbs/tb0432.pp, tbs/tb0434.pp, tbs/tb0437.pp,
	tbs/tb0444.pp, tbs/tb0449.pp, tbs/tb0450.pp, tbs/tb0455.pp,
	tbs/tb0459.pp, tbs/tb0462.pp, tbs/tb0464.pp, tbs/tb0465.pp,
	tbs/tb0470.pp, tbs/tb0471.pp, tbs/tb0473.pp, tbs/tb0476.pp,
	tbs/tb0479.pp, tbs/tb0485.pp, tbs/ub0421a.pp, tbs/ub0421b.pp,
	tbs/ub0421c.pp, tbs/ub0440.pp, test/dumpmethods.pp, test/talign.pp,
	test/talign1.pp, test/talign2.pp, test/tcint64.pp, test/tclass4.pp,
	test/tclass6.pp, test/testcmem.pp, test/testda1.pp,
	test/testfpuc.pp, test/testv1.pp, test/testv3.pp, test/testv4.pp,
	test/testv5.pp, test/testv6.pp, test/testv7.pp, test/testv8.pp,
	test/tfillchr.pp, test/theap.pp, test/tmacpas3.pp, test/tmove.pp,
	test/tmt1.pp, test/tobject1.pp, test/toperator5.pp, test/tover1.pp,
	test/tpackrec.pp, test/tprocvar1.pp, test/tprocvar3.pp,
	test/tprop1.pp, test/tstack.pp, test/tstring4.pp, test/cg/ptest.pp,
	test/cg/taddbool.pp, test/cg/taddcurr.pp, test/cg/taddr1.pp,
	test/cg/taddr2.pp, test/cg/taddreal1.pp, test/cg/taddreal2.pp,
	test/cg/taddset.pp, test/cg/taddset2.pp, test/cg/tadint64.pp,
	test/cg/tassign1.pp, test/cg/tassign2.pp, test/cg/tcalcla1.pp,
	test/cg/tcalcst1.pp, test/cg/tcalcst2.pp, test/cg/tcalcst3.pp,
	test/cg/tcalcst4.pp, test/cg/tcalcst5.pp, test/cg/tcalcst6.pp,
	test/cg/tcalcst7.pp, test/cg/tcalcst8.pp, test/cg/tcalcst9.pp,
	test/cg/tcalext.pp, test/cg/tcalext2.pp, test/cg/tcalfun1.pp,
	test/cg/tcalfun2.pp, test/cg/tcalfun3.pp, test/cg/tcalfun4.pp,
	test/cg/tcalfun5.pp, test/cg/tcalfun6.pp, test/cg/tcalfun7.pp,
	test/cg/tcalfun8.pp, test/cg/tcalfun9.pp, test/cg/tcall1.pp,
	test/cg/tcalobj1.pp, test/cg/tcalobj2.pp, test/cg/tcalobj3.pp,
	test/cg/tcalobj4.pp, test/cg/tcalobj5.pp, test/cg/tcalobj6.pp,
	test/cg/tcalobj7.pp, test/cg/tcalobj8.pp, test/cg/tcalpvr1.pp,
	test/cg/tcalpvr2.pp, test/cg/tcalpvr3.pp, test/cg/tcalpvr4.pp,
	test/cg/tcalpvr5.pp, test/cg/tcalpvr6.pp, test/cg/tcalpvr7.pp,
	test/cg/tcalpvr8.pp, test/cg/tcalval1.pp, test/cg/tcalval3.pp,
	test/cg/tcalval4.pp, test/cg/tcalval5.pp, test/cg/tcalval6.pp,
	test/cg/tcalval7.pp, test/cg/tcalval8.pp, test/cg/tcalval9.pp,
	test/cg/tcalvar1.pp, test/cg/tcalvar2.pp, test/cg/tcalvar3.pp,
	test/cg/tcalvar4.pp, test/cg/tcalvar5.pp, test/cg/tcalvar6.pp,
	test/cg/tcalvar7.pp, test/cg/tcalvar8.pp, test/cg/tcalvar9.pp,
	test/cg/tcase.pp, test/cg/tcnvint1.pp, test/cg/tcnvint2.pp,
	test/cg/tcnvint3.pp, test/cg/tcnvint4.pp, test/cg/tcnvset.pp,
	test/cg/tcnvstr1.pp, test/cg/tcnvstr2.pp, test/cg/tderef.pp,
	test/cg/tdivz1.pp, test/cg/tdivz2.pp, test/cg/texit.pp,
	test/cg/tfuncret.pp, test/cg/tin.pp, test/cg/tincexc.pp,
	test/cg/tis.pp, test/cg/tldparam.pp, test/cg/tloadvmt.pp,
	test/cg/traise1.pp, test/cg/traise2.pp, test/cg/traise3.pp,
	test/cg/traise4.pp, test/cg/traise5.pp, test/cg/traise6.pp,
	test/cg/tshlshr.pp, test/cg/tsubst.pp, test/cg/ttryexc1.pp,
	test/cg/ttryfin1.pp, test/cg/ttryfin2.pp, test/cg/ttryfin3.pp,
	test/cg/ttryfin4.pp, test/cg/tvec.pp, test/units/dos/hello.pp,
	test/units/dos/tbreak.pp, test/units/dos/tdisk.pp,
	test/units/dos/tdos.pp, test/units/dos/tdos2.pp,
	test/units/dos/tenv.pp, test/units/dos/tfattr.pp,
	test/units/dos/tfexpand.pp, test/units/dos/tfsearch.pp,
	test/units/dos/tidos.pp, test/units/dos/tidos2.pp,
	test/units/dos/tverify.pp, test/units/dos/tversion.pp,
	test/units/objects/testobj.pp, test/units/objects/testobj1.pp,
	test/units/objects/testobj2.pp, test/units/softfpu/sfttst.pp,
	test/units/system/tabs.pp, test/units/system/targs.pp,
	test/units/system/tassert1.pp, test/units/system/tassert2.pp,
	test/units/system/tassert3.pp, test/units/system/tassert4.pp,
	test/units/system/tassert5.pp, test/units/system/tassert6.pp,
	test/units/system/tassert7.pp, test/units/system/tdir.pp,
	test/units/system/teststk.pp, test/units/system/tincdec.pp,
	test/units/system/tint.pp, test/units/system/tio.pp,
	test/units/system/tiorte.pp, test/units/system/tjmp.pp,
	test/units/system/tmem.pp, test/units/system/todd.pp,
	test/units/system/tparam.pp, test/units/system/tpi.pp,
	test/units/system/trandom.pp, test/units/system/trdtxt01.pp,
	test/units/system/trdtxt02.pp, test/units/system/trdtxt03.pp,
	test/units/system/tround.pp, test/units/system/tseg.pp,
	test/units/system/tsetstr.pp, test/units/system/tsetstr2.pp,
	test/units/system/tstring.pp, test/units/system/ttrunc.pp,
	test/units/sysutils/extractquote.pp, units/popuperr.pp,
	units/win32err.pp, utils/dbdigest.pp, utils/dbtests.pp,
	utils/digest.pp, utils/dotest.pp, utils/redir.pp,
	utils/testfail.pp, utils/teststr.pp, webtbf/tw1306.pp,
	webtbf/tw1827.pp, webtbf/tw1858.pp, webtbf/tw2037.pp,
	webtbf/tw2046.pp, webtbf/tw2053.pp, webtbf/tw2285.pp,
	webtbf/tw2670.pp, webtbf/tw2721.pp, webtbf/tw2795.pp,
	webtbf/tw2878.pp, webtbf/tw3126.pp, webtbf/tw3186.pp,
	webtbf/tw3218.pp, webtbf/tw3480.pp, webtbf/tw3502.pp,
	webtbf/tw3531.pp, webtbf/tw3562.pp, webtbs/tw0630.pp,
	webtbs/tw0812.pp, webtbs/tw1103.pp, webtbs/tw1408.pp,
	webtbs/tw1479.pp, webtbs/tw1573.pp, webtbs/tw1677.pp,
	webtbs/tw1907.pp, webtbs/tw1915.pp, webtbs/tw2028.pp,
	webtbs/tw2030.pp, webtbs/tw2069.pp, webtbs/tw2109.pp,
	webtbs/tw2110.pp, webtbs/tw2163.pp, webtbs/tw2187.pp,
	webtbs/tw2197.pp, webtbs/tw2229.pp, webtbs/tw2492.pp,
	webtbs/tw2494.pp, webtbs/tw2525.pp, webtbs/tw2594.pp,
	webtbs/tw2645.pp, webtbs/tw2651.pp, webtbs/tw2668.pp,
	webtbs/tw2721.pp, webtbs/tw2725.pp, webtbs/tw2736.pp,
	webtbs/tw2763.pp, webtbs/tw2765.pp, webtbs/tw2771.pp,
	webtbs/tw2794.pp, webtbs/tw2859.pp, webtbs/tw2865.pp,
	webtbs/tw2885.pp, webtbs/tw2892.pp, webtbs/tw2904.pp,
	webtbs/tw2911.pp, webtbs/tw2943.pp, webtbs/tw2946.pp,
	webtbs/tw2953.pp, webtbs/tw2998.pp, webtbs/tw3004.pp,
	webtbs/tw3023.pp, webtbs/tw3028.pp, webtbs/tw3041.pp,
	webtbs/tw3048.pp, webtbs/tw3073.pp, webtbs/tw3083.pp,
	webtbs/tw3093.pp, webtbs/tw3113.pp, webtbs/tw3161.pp,
	webtbs/tw3165.pp, webtbs/tw3182.pp, webtbs/tw3210.pp,
	webtbs/tw3214.pp, webtbs/tw3227.pp, webtbs/tw3227a.pp,
	webtbs/tw3259.pp, webtbs/tw3263.pp, webtbs/tw3280.pp,
	webtbs/tw3281.pp, webtbs/tw3334.pp, webtbs/tw3360.pp,
	webtbs/tw3418.pp, webtbs/tw3435.pp, webtbs/tw3460.pp,
	webtbs/tw3489.pp, webtbs/tw3494.pp, webtbs/tw3523.pp,
	webtbs/tw3540.pp, webtbs/tw3576.pp, webtbs/tw3578.pp,
	webtbs/tw3579.pp, webtbs/tw3628.pp, webtbs/uw3103.pp,
	webtbs/uw3179b.pp:
	
	  * truncate log

2005-02-14 17:45  peter <peter@freepascal.org>

	* tests/webtbs/tw3653.pp:
	
	  * new bug

2005-02-13 21:47  peter <peter@freepascal.org>

	* tests/webtbs/tw3644.pp:
	
	  * moved to webtbf

2005-02-13 21:47  peter <peter@freepascal.org>

	* tests/webtbf/tw3644.pp:
	
	  * mvoed to webtbf

2005-02-11 16:39  peter <peter@freepascal.org>

	* tests/: webtbf/tw3643.pp, webtbs/tw3628.pp, webtbs/tw3644.pp:
	
	  * new bugs

2005-02-10 21:53  florian <florian@freepascal.org>

	* tests/tbs/tb0485.pp:
	
	no message

2005-02-10 18:40  peter <peter@freepascal.org>

	* tests/webtbs/tw3489.pp:
	
	  * added ifdef fpc

2005-02-08 22:06  florian <florian@freepascal.org>

	* tests/webtbs/tw3161.pp:
	
	  * fixed test

2005-02-08 22:02  florian <florian@freepascal.org>

	* tests/webtbs/tw2998.pp:
	
	  * fixed test

2005-02-08 21:48  florian <florian@freepascal.org>

	* tests/webtbs/: tw0869.pp, tw0937.pp, tw1792.pp:
	
	  * fixed test

2005-02-08 20:48  florian <florian@freepascal.org>

	* tests/test/units/math/ttrig1.pp:
	
	  * fixed test

2005-02-07 17:43  peter <peter@freepascal.org>

	* tests/test/cg/obj/win32/i386/ctest.o:
	
	build with latest gcc

2005-02-06 21:05  peter <peter@freepascal.org>

	* tests/test/cg/obj/linux/i386/ctest.o:
	
	  * build with current gcc

2005-02-06 21:00  peter <peter@freepascal.org>

	* tests/test/cg/obj/: ctest.c, linux/i386/ctest.o,
	linux/x86_64/ctest.o:
	
	  * use int for 32bit types

2005-02-06 11:08  peter <peter@freepascal.org>

	* tests/webtbs/tw3533.pp:
	
	  * new bug

2005-02-06 11:02  peter <peter@freepascal.org>

	* tests/webtbs/tw3161.pp:
	
	  * new bug

2005-02-06 10:51  peter <peter@freepascal.org>

	* tests/webtbs/tw3628.pp:
	
	  * new bug

2005-02-05 19:56  florian <florian@freepascal.org>

	* tests/tbs/tb0336.pp:
	
	  * on 64 bit CPUs val works with 64 bit

2005-02-05 19:38  florian <florian@freepascal.org>

	* tests/webtbs/tw3460.pp:
	
	  * test is i386 only

2005-02-04 17:31  peter <peter@freepascal.org>

	* tests/webtbf/tw3631.pp:
	
	  * new bug

2005-02-03 21:33  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile, utils/Makefile:
	
	  * regenerated

2005-02-03 17:18  peter <peter@freepascal.org>

	* tests/webtbs/tw3402.pp:
	
	  * norun

2005-02-03 17:12  peter <peter@freepascal.org>

	* tests/: webtbf/tw3626.pp, webtbs/tw3621.pp:
	
	  * new bugs

2005-02-02 00:16  florian <florian@freepascal.org>

	* tests/tbs/: tb0484.pp, tb0484.pp, tb0484.pp:
	
	no message

2005-02-02 00:06  florian <florian@freepascal.org>

	* tests/tbs/: tb0483.pp, tb0483u.pp:
	
	no message

2005-02-01 18:59  olle

	* tests/test/tmacpas3.pp:
	
	  * updated  and added run check

2005-02-01 09:52  michael <michael.vancanneyt@wisa.be>

	* tests/test/tmacpas3.pp:
	
	+ Additional test

2005-01-31 22:22  peter <peter@freepascal.org>

	* tests/test/tmacpas3.pp:
	
	  * macpas procvar

2005-01-31 21:05  peter <peter@freepascal.org>

	* tests/webtbs/tw3489.pp:
	
	  * $mode delphi

2005-01-31 21:04  peter <peter@freepascal.org>

	* tests/webtbs/tw3489.pp:
	
	  * new bug

2005-01-31 20:29  peter <peter@freepascal.org>

	* tests/webtbs/tw2908.pp:
	
	  * fixed too long number

2005-01-31 18:01  peter <peter@freepascal.org>

	* tests/webtbs/tw0925.pp:
	
	  * stdcall

2005-01-31 18:01  peter <peter@freepascal.org>

	* tests/tbs/tb0188.pp:
	
	  * mode tp

2005-01-31 17:55  peter <peter@freepascal.org>

	* tests/: tbf/tb0173.pp, webtbf/tw3158.pp, webtbf/tw3562.pp,
	webtbs/tw3546.pp, webtbs/tw3578.pp, webtbs/tw3612.pp,
	webtbs/tw3617.pp, webtbs/tw3619.pp:
	
	  * new bugs

2005-01-26 23:05  olle

	* tests/: utils/dotest.pp, utils/redir.pp, MPWMake, units/MPWMake:
	
	  + added support for macos

2005-01-25 16:43  peter <peter@freepascal.org>

	* tests/webtbs/: tw3402.pp, tw3443.pp, tw3444.pp, tw3534.pp,
	tw3564.pp:
	
	  * new bugs

2005-01-25 16:41  peter <peter@freepascal.org>

	* tests/tbf/: tb0171.pp, tb0172.pp:
	
	  * arithmetic overflow checking at compile time

2005-01-24 22:33  florian <florian@freepascal.org>

	* tests/webtbs/tw3579.pp:
	
	no message

2005-01-24 21:45  florian <florian@freepascal.org>

	* tests/webtbs/tw3540.pp:
	
	no message

2005-01-24 19:53  olle

	* tests/test/tarray6.pp:
	
	  * adjustment to target macos

2005-01-24 16:53  peter <peter@freepascal.org>

	* tests/: test/texception10.pp, webtbs/tw3572.pp, webtbs/tw3573.pp:
	
	  * new bugs

2005-01-20 00:33  florian <florian@freepascal.org>

	* tests/tbs/tb0482.pp:
	
	no message

2005-01-20 00:20  florian <florian@freepascal.org>

	* tests/: tbs/tb0482.pp, tbf/tb0170.pp:
	
	no message

2005-01-19 21:52  florian <florian@freepascal.org>

	* tests/tbs/tb0481.pp:
	
	no message

2005-01-19 21:23  peter <peter@freepascal.org>

	* tests/webtbs/tw3576.pp:
	
	  * remove asmmode intel

2005-01-19 21:22  peter <peter@freepascal.org>

	* tests/webtbs/tw3577.pp:
	
	  * new bug

2005-01-19 21:03  florian <florian@freepascal.org>

	* tests/webtbs/tw3576.pp:
	
	no message

2005-01-18 16:47  peter <peter@freepascal.org>

	* tests/test/tinline4.pp:
	
	  * add $inline on

2005-01-18 16:47  peter <peter@freepascal.org>

	* tests/webtbs/: tw3172.pp, tw3257.pp, tw3567.pp:
	
	  * new tests

2005-01-16 12:14  peter <peter@freepascal.org>

	* tests/webtbs/tw3554.pp:
	
	  * new bug

2005-01-16 11:50  peter <peter@freepascal.org>

	* tests/webtbf/tw3553.pp:
	
	  * unreachable code warning

2005-01-14 17:49  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw1950.pp:
	
	  * must only succeed for i386

2005-01-13 17:46  peter <peter@freepascal.org>

	* tests/test/: tinline4.pp, uinline4a.pp, uinline4b.pp:
	
	  * inline with type in implicit used unit

2005-01-11 22:23  olle

	* tests/test/: tmacpas1.pp, tmacpas2.pp, umacpas1.pp:
	
	  + Added tests for mode macpas

2005-01-11 18:07  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile, utils/Makefile:
	
	  * regenerated

2005-01-10 23:07  peter <peter@freepascal.org>

	* tests/webtbf/tw3531.pp:
	
	  * fail added

2005-01-10 23:07  peter <peter@freepascal.org>

	* tests/webtbs/tw3494.pp:
	
	  * mode objfpc added

2005-01-10 22:29  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile, utils/Makefile:
	
	  * regenerated to use cpu-os

2005-01-08 15:06  florian <florian@freepascal.org>

	* tests/webtbf/tw3531.pp:
	
	no message

2005-01-07 22:16  florian <florian@freepascal.org>

	* tests/webtbs/tw3494.pp:
	
	no message

2005-01-07 12:02  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw3523.pp:
	
	  + added

2005-01-06 17:38  florian <florian@freepascal.org>

	* tests/: webtbs/tw1152.pp, tbs/tb0089.pp:
	
	  + skipemu directive added

2005-01-06 17:32  florian <florian@freepascal.org>

	* tests/utils/: dotest.pp, testu.pp:
	
	  + skipemu added

2005-01-06 15:37  florian <florian@freepascal.org>

	* tests/bench/drystone.pas:
	
	  * timer instead of stopuhr used

2005-01-06 14:42  florian <florian@freepascal.org>

	* tests/tbf/tb0169.pp:
	
	no message

2005-01-06 14:30  florian <florian@freepascal.org>

	* tests/test/tarray6.pp:
	
	no message

2005-01-06 14:17  florian <florian@freepascal.org>

	* tests/test/units/system/ttrig.pas:
	
	no message

2005-01-04 23:53  olle

	* tests/readme.txt:
	
	  + section about cross testing on macos
	  + row breaks in some commands

2005-01-04 23:02  olle

	* tests/test/cg/obj/readme.txt:
	
	  + added info about macos

2005-01-04 23:00  olle

	* tests/webtbs/tw2242.pp:
	
	  + added comment of why SKIPTARGET=macos

2005-01-04 22:57  olle

	* tests/: test/tlibrary1.pp, webtbs/tw0755.pp:
	
	  + added SKIPTARGET=macos

2005-01-04 21:30  olle

	* tests/test/talign2.pp:
	
	  - removed unnecessary mode switch

2005-01-04 17:52  peter <peter@freepascal.org>

	* tests/webtbs/tw3506.pp:
	
	  * fixed

2005-01-04 17:32  peter <peter@freepascal.org>

	* tests/: webtbf/tw3488.pp, webtbf/tw3492.pp, webtbf/tw3495.pp,
	webtbs/tw3101.pp, webtbs/tw3491.pp, webtbs/tw3504.pp,
	webtbf/tw3502.pp:
	
	  * new bug

2005-01-03 16:22  florian <florian@freepascal.org>

	* tests/webtbs/tw3360.pp:
	
	no message

2005-01-03 16:06  florian <florian@freepascal.org>

	* tests/webtbs/tw3227a.pp:
	
	  * added example so it won't be forgotten

2005-01-02 18:33  peter <peter@freepascal.org>

	* tests/webtbs/tw3490.pp:
	
	new bug

2005-01-02 17:59  peter <peter@freepascal.org>

	* tests/webtbs/tw3499.pp:
	
	new bug

2005-01-01 19:59  florian <florian@freepascal.org>

	* tests/: Makefile, Makefile.fpc, readme.txt, utils/dotest.pp:
	
	  + emulator execution support added

2004-12-27 18:17  peter <peter@freepascal.org>

	* tests/webtbs/tw3457.pp:
	
	  * new bug

2004-12-27 16:55  florian <florian@freepascal.org>

	* tests/test/dumpclass.pp:
	
	no message

2004-12-26 21:09  peter <peter@freepascal.org>

	* tests/tbf/tb0169.pp:
	
	  * removed, compiler can compile the code

2004-12-26 17:42  peter <peter@freepascal.org>

	* tests/webtbf/: tw3480a.pp, tw3480.pp:
	
	  * separate tests

2004-12-26 17:29  peter <peter@freepascal.org>

	* tests/webtbf/tw3480.pp:
	
	  * mode delphi

2004-12-26 17:28  peter <peter@freepascal.org>

	* tests/webtbf/tw3480.pp:
	
	  * new bug

2004-12-26 14:44  peter <peter@freepascal.org>

	* tests/: webtbf/tw3473.pp, webtbs/tw3467.pp:
	
	  * new bug

2004-12-26 13:36  peter <peter@freepascal.org>

	* tests/tbf/tb0169.pp:
	
	  * new bug

2004-12-26 13:34  peter <peter@freepascal.org>

	* tests/webtbs/: tw3470.pp, tw3474.pp, tw3477.pp, tw3478.pp,
	tw3479.pp, uw3474a.pp, uw3474b.pp:
	
	  * new bugs

2004-12-22 17:49  peter <peter@freepascal.org>

	* tests/webtbs/tw3460.pp:
	
	  * dword() typecast to fix delphi compile

2004-12-22 17:48  peter <peter@freepascal.org>

	* tests/webtbs/tw3460.pp:
	
	  * remove wrong dword ptr

2004-12-20 19:38  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile, utils/Makefile:
	
	  * regenerated

2004-12-19 22:44  florian <florian@freepascal.org>

	* tests/test/tstring6.pp:
	
	  * fixed test

2004-12-19 22:17  florian <florian@freepascal.org>

	* tests/test/tmt1.pp:
	
	  * test compilatio fixed for 64 bit targets

2004-12-19 22:16  peter <peter@freepascal.org>

	* tests/webtbs/tw1677.pp:
	
	  * fixed for optimization loading

2004-12-19 18:42  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile, utils/Makefile:
	
	  * regenerated

2004-12-19 16:33  florian <florian@freepascal.org>

	* tests/bench/: pi.c, pi.pp:
	
	no message

2004-12-19 15:16  peter <peter@freepascal.org>

	* tests/webtbs/tw3456.pp:
	
	  * removed fcl dependency

2004-12-19 14:38  peter <peter@freepascal.org>

	* tests/webtbs/tw3456.pp:
	
	  * new bug

2004-12-18 16:20  florian <florian@freepascal.org>

	* tests/tbs/tb0326.pp:
	
	no message

2004-12-15 17:03  peter <peter@freepascal.org>

	* tests/webtbf/: tw3450.pp, uw3450.pp:
	
	  * new bug

2004-12-15 16:58  peter <peter@freepascal.org>

	* tests/tbs/tb0106.pp:
	
	  * add byte ptr

2004-12-15 16:46  peter <peter@freepascal.org>

	* tests/webtbs/tw3063.pp:
	
	  * added comment what the bug is

2004-12-15 16:37  peter <peter@freepascal.org>

	* tests/webtbf/tw3183.pp:
	
	  * missing fail

2004-12-14 17:10  peter <peter@freepascal.org>

	* tests/test/: tprocext.pp, uprocext1.pp, uprocext2.pp:
	
	  * external handling test

2004-12-12 18:50  florian <florian@freepascal.org>

	* tests/webtbs/tw3093.pp:
	
	no message

2004-12-12 01:31  florian <florian@freepascal.org>

	* tests/webtbs/tw2998.pp:
	
	no message

2004-12-07 20:02  jonas <jonas.maebe@rug.ac.be>

	* tests/test/units/dos/tverify.pp:
	
	  * fixed test for new platform-independent get/setverify
	implementation

2004-12-07 16:42  peter <peter@freepascal.org>

	* tests/webtbs/tw3435.pp:
	
	  * new bug

2004-12-07 16:37  peter <peter@freepascal.org>

	* tests/webtbs/tw3441.pp:
	
	  * new bug

2004-12-06 16:55  peter <peter@freepascal.org>

	* tests/webtbs/: tw3429.pp, tw3433.pp, uw3429.pp:
	
	new bugs

2004-12-05 23:28  florian <florian@freepascal.org>

	* tests/webtbf/tw3183.pp:
	
	no message

2004-12-05 22:17  florian <florian@freepascal.org>

	* tests/webtbs/tw3411.pp:
	
	no message

2004-12-05 20:04  hajny <xhajt03@mbox.vol.cz>

	* tests/: Makefile, utils/Makefile:
	
	  * Makefiles regenerated

2004-12-05 17:24  jonas <jonas.maebe@rug.ac.be>

	* tests/test/units/dos/tfexpand.pp:
	
	  * fixed for unix

2004-12-05 15:16  hajny <xhajt03@mbox.vol.cz>

	* tests/test/units/dos/tfexpand.pp:
	
	  * popuperr instead of win32err, additional checks (mostly support
	for more platforms)

2004-12-05 15:12  hajny <xhajt03@mbox.vol.cz>

	* tests/units/: popuperr.pp, Makefile, Makefile.fpc:
	
	  * popuperr instead of win32err

2004-12-05 13:22  peter <peter@freepascal.org>

	* tests/webtbf/tw2739.pp:
	
	  * new bug

2004-12-05 00:39  florian <florian@freepascal.org>

	* tests/webtbs/tw3005.pp:
	
	no message

2004-12-04 18:15  peter <peter@freepascal.org>

	* tests/test/tprocvar3.pp:
	
	  * delphi mode procvar

2004-12-03 17:03  peter <peter@freepascal.org>

	* tests/webtbs/tw3423.pp:
	
	  * += to normal +

2004-12-03 17:01  peter <peter@freepascal.org>

	* tests/webtbs/tw3173.pp:
	
	  * new bug

2004-12-02 18:51  peter <peter@freepascal.org>

	* tests/webtbs/tw3423.pp:
	
	  * crash with empty strigns

2004-11-29 22:48  peter <peter@freepascal.org>

	* tests/test/cg/ptest.pp:
	
	  * add public

2004-11-29 22:26  peter <peter@freepascal.org>

	* tests/test/: texception2.pp, texception4.pp, tfpu2.pp:
	
	skip for go32v2 to prevent hangings during unattended runs

2004-11-29 22:25  peter <peter@freepascal.org>

	* tests/utils/dotest.pp:
	
	support for limit83fs

2004-11-29 18:30  peter <peter@freepascal.org>

	* tests/test/tinline3.pp:
	
	  * case statement inline

2004-11-29 17:58  peter <peter@freepascal.org>

	* tests/webtbs/tw0934.pp:
	
	  * -Or is for all cpus

2004-11-29 17:05  peter <peter@freepascal.org>

	* tests/: webtbf/tw3395a.pp, webtbs/tw3395.pp:
	
	  * extra test for tw3395

2004-11-28 22:32  florian <florian@freepascal.org>

	* tests/tbs/tb0226.pp:
	
	  * fixed test

2004-11-28 19:30  florian <florian@freepascal.org>

	* tests/test/cg/tprintf.pp:
	
	  * on win32 we can link directly against msvcrt.dll

2004-11-28 18:16  florian <florian@freepascal.org>

	* tests/test/tobject1.pp:
	
	  * fixed test

2004-11-26 23:32  peter <peter@freepascal.org>

	* tests/: tbf/tb0168.pp, webtbf/tw3395.pp:
	
	  * new bug

2004-11-26 23:05  peter <peter@freepascal.org>

	* tests/test/tobject1.pp:
	
	  * needs error 210

2004-11-26 22:59  peter <peter@freepascal.org>

	* tests/: tbs/tb0239.pp, tbs/tb0240.pp, test/tobject1.pp,
	units/erroru.pp, webtbs/tw0630.pp, webtbs/tw0812.pp,
	webtbs/tw0813.pp, webtbs/tw1658.pp, webtbs/tw2494.pp,
	webtbs/tw3004.pp, webtbs/tw3131.pp, webtbs/tw3334.pp,
	webtbs/uw0701d.pp:
	
	  * use domem() for heap checking

2004-11-26 21:02  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw3395.pp:
	
	+ added

2004-11-26 20:35  jonas <jonas.maebe@rug.ac.be>

	* tests/tbf/tb0168.pp:
	
	  + added

2004-11-23 20:55  olle

	* tests/: test/tinterface1.pp, tbs/tb0241.pp, tbs/tb0241b.pp:
	
	  + Better comment on %SKIPTARGET=macos

2004-11-22 23:29  peter <peter@freepascal.org>

	* tests/: test/tclass5.pp, test/texception3.pp, test/theap.pp,
	test/tobject1.pp, test/tobject2.pp, test/tstring4.pp,
	test/tstring6.pp, units/erroru.pp:
	
	  * memavail fixes

2004-11-22 18:38  peter <peter@freepascal.org>

	* tests/: webtbf/tw3393.pp, webtbs/tw3393.pp:
	
	  * moved to webtbf

2004-11-21 22:55  peter <peter@freepascal.org>

	* tests/tbs/tb0452.pp:
	
	  * bug is obsolete

2004-11-21 22:42  peter <peter@freepascal.org>

	* tests/tbs/ub0170.pp:
	
	  * move external to interface

2004-11-21 22:42  peter <peter@freepascal.org>

	* tests/tbs/tb0371.pp:
	
	  * win32 only

2004-11-21 22:39  peter <peter@freepascal.org>

	* tests/webtbs/tw3131.pp:
	
	  * intel asm

2004-11-21 22:32  peter <peter@freepascal.org>

	* tests/webtbs/: tw3131.pp, tw3393.pp:
	
	  * new bugs

2004-11-16 20:51  marco <marcov@stack.nl>

	* tests/test/units/sysutils/extractquote.pp:
	
	 * unittest

2004-11-10 00:13  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc, tbs/tb0084.pp, tbs/tb0193.pp,
	utils/dotest.pp, webtbs/tw1479.pp:
	
	  * fixed library tests
	  * fix test cases to generate their own temporary files

2004-11-09 22:32  peter <peter@freepascal.org>

	* tests/test/tlibrary2.pp:
	
	  * remove -Fl.

2004-11-09 22:29  peter <peter@freepascal.org>

	* tests/test/tlibrary1.pp:
	
	  * -FE. not needed anymore

2004-11-09 22:26  peter <peter@freepascal.org>

	* tests/utils/dotest.pp:
	
	  * use ./ before executable under unix

2004-11-09 21:33  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * create subdir before copying files in copyfi

2004-11-09 18:26  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc, units/Makefile,
	units/Makefile.fpc, utils/Makefile, utils/dotest.pp:
	
	  * use separate output dirs
	  * same tree can be used for multiple targets

2004-11-09 18:25  peter <peter@freepascal.org>

	* tests/webtbs/tw3063.pp:
	
	  * misplaced delphi switch

2004-11-06 17:28  florian <florian@freepascal.org>

	* tests/webtbs/tw2129.pp:
	
	  * fixed test for comp=int64;

2004-11-05 17:35  peter <peter@freepascal.org>

	* tests/dbdigest.cfg.example:
	
	  * example

2004-11-03 23:49  peter <peter@freepascal.org>

	* tests/webtbs/tw3063.pp:
	
	new bug

2004-11-03 11:30  florian <florian@freepascal.org>

	* tests/test/tobject4.pp:
	
	no message

2004-11-02 22:08  florian <florian@freepascal.org>

	* tests/webtbs/tw2129.pp:
	
	  * fixed test for x86_64 which has a native comp type

2004-11-02 21:42  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc, webtbs/tw2110.pp:
	
	  * make distclean fixed

2004-11-02 18:31  florian <florian@freepascal.org>

	* tests/tbs/tb0162.pp:
	
	  * test for 64 bit cpus fixed

2004-11-02 18:23  florian <florian@freepascal.org>

	* tests/webtbs/tw2911.pp:
	
	  * fixed test for 64 bit targets

2004-11-02 17:31  florian <florian@freepascal.org>

	* tests/webtbs/tw1677.pp:
	
	  * fixed test for 64 bit targets

2004-11-02 17:01  florian <florian@freepascal.org>

	* tests/tbs/tb0281.pp:
	
	  * fixed test for x86_64 which supports a native comp type

2004-11-02 16:58  florian <florian@freepascal.org>

	* tests/test/: tstring6.pp, cg/tderef.pp:
	
	  * fixed test for 64 bit targets

2004-11-02 13:26  peter <peter@freepascal.org>

	* tests/test/cg/tcnvptr.pp:
	
	  * inc(ptr) should not give warnings

2004-11-02 09:04  peter <peter@freepascal.org>

	* tests/webtbf/: tw0855.pp, tw1238.pp:
	
	  * use ptrint

2004-11-02 08:43  peter <peter@freepascal.org>

	* tests/test/tarray5.pp:
	
	  * check for array size

2004-11-02 00:22  peter <peter@freepascal.org>

	* tests/tbf/tb0110.pp:
	
	  * 64bit

2004-11-01 23:34  peter <peter@freepascal.org>

	* tests/tbf/tb0117.pp:
	
	  * allowed for 64bit

2004-11-01 23:31  peter <peter@freepascal.org>

	* tests/webtbf/: tw2053.pp, tw2053b.pp:
	
	  * use ptrint

2004-11-01 15:52  peter <peter@freepascal.org>

	* tests/tbs/tb0193.pp:
	
	  * use __stklen

2004-11-01 15:41  peter <peter@freepascal.org>

	* tests/test/tcg2.pp:
	
	  * obsolete test

2004-11-01 10:52  peter <peter@freepascal.org>

	* tests/: webtbf/tw3364.pp, webtbs/tw3364.pp:
	
	  * moved to webtbs

2004-11-01 10:50  peter <peter@freepascal.org>

	* tests/: webtbf/tw3218.pp, webtbs/tw3218.pp:
	
	  * moved to webtbf

2004-11-01 09:03  peter <peter@freepascal.org>

	* tests/webtbf/tw3375.pp:
	
	  * test fixed

2004-10-31 23:29  peter <peter@freepascal.org>

	* tests/webtbs/: tw3218.pp, tw3227.pp, tw3327.pp, tw3334.pp,
	tw3340.pp, uw3340.pp:
	
	  * new bugs

2004-10-31 23:04  peter <peter@freepascal.org>

	* tests/: webtbf/tw0769b.pp, webtbf/tw0769c.pp, webtbf/tw2046.pp,
	webtbf/tw3375.pp, webtbs/tw0769b.pp, webtbs/tw0769c.pp,
	webtbs/tw2046.pp, webtbs/tw3375.pp:
	
	  * moved to webtbf

2004-10-31 23:02  peter <peter@freepascal.org>

	* tests/webtbs/tw3375.pp:
	
	  * new bug

2004-10-30 14:36  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile, utils/Makefile:
	
	  * units are now created in separate directory units/cpu-os/
	  * distclean uses cleanall rule and removes units dir
	  * cross compile support fixed, it is now possible to cycle a
	ppcsparc
	    without deleting ppc386
	  * bintutilsperfix defaults to cpu-os-

2004-10-25 16:47  peter <peter@freepascal.org>

	* tests/: webtbf/tw3364.pp, webtbs/tw3328.pp, webtbs/tw3348.pp,
	webtbs/tw3366.pp:
	
	  * new bugs

2004-10-24 22:01  peter <peter@freepascal.org>

	* tests/test/cg/: tcalcst9.pp, tcalfun9.pp, tcalobj8.pp,
	tcalpvr8.pp, tcalval9.pp, tcalvar9.pp, tldparam.pp:
	
	  * saveregisters calling convention is obsolete

2004-10-24 14:56  peter <peter@freepascal.org>

	* tests/test/tclass8.pp:
	
	  * methodtable test

2004-10-12 21:30  peter <peter@freepascal.org>

	* tests/webtbs/: tw3356.pp, uw3356.pp:
	
	  * new bug

2004-10-12 16:32  peter <peter@freepascal.org>

	* tests/: webtbf/tw3337.pp, webtbf/tw3342.pp, webtbf/tw3343.pp,
	webtbs/tw3349.pp, webtbs/tw3351.pp, webtbs/tw3353.pp,
	webtbs/uw3353.pp:
	
	  * new bugs

2004-10-03 20:13  florian <florian@freepascal.org>

	* tests/tbs/tb0193.pp:
	
	  + added sparc code

2004-10-03 17:03  florian <florian@freepascal.org>

	* tests/utils/dbtests.pp:
	
	  * adapted for new mysql units

2004-09-30 17:38  peter <peter@freepascal.org>

	* tests/utils/dotest.pp:
	
	  * chdir to remote path before executing test

2004-09-27 17:11  peter <peter@freepascal.org>

	* tests/webtbf/tw3331.pp:
	
	  * new bug

2004-09-26 20:32  florian <florian@freepascal.org>

	* tests/tbs/tb0072.pp:
	
	  + sparc

2004-09-22 22:21  peter <peter@freepascal.org>

	* tests/tbs/tb0480.pp:
	
	  * problem with temp ansistrings

2004-09-21 17:45  peter <peter@freepascal.org>

	* tests/: tbs/tb0479.pp, webtbs/tw3165.pp:
	
	  * new bug

2004-09-16 18:36  peter <peter@freepascal.org>

	* tests/webtbs/: tw3286.pp, tw3320.pp, tw3324.pp:
	
	  * new bugs

2004-09-15 09:29  michael <michael.vancanneyt@wisa.be>

	* tests/webtbs/: tw3280.pp, tw3320.pp:
	
	Tests for resizing dynamis arrays

2004-09-13 17:00  peter <peter@freepascal.org>

	* tests/: webtbf/tw3275.pp, webtbf/tw3294.pp, webtbs/tw3212.pp,
	webtbs/tw3272.pp, webtbs/tw3274.pp, webtbs/tw3292.pp,
	webtbs/tw3294a.pp, webtbs/tw3298.pp, webtbs/tw3301.pp,
	webtbs/tw3309.pp, webtbs/uw3292a.pp:
	
	  * new bug

2004-09-12 14:12  peter <peter@freepascal.org>

	* tests/test/tpara2.pp:
	
	  * simple test for alignment of parameters on stack

2004-08-30 14:11  michael <michael.vancanneyt@wisa.be>

	* tests/webtbs/tw3272.pp:
	
	+ New test. Already fixed by Peter

2004-08-29 13:58  peter <peter@freepascal.org>

	* tests/: webtbf/tw3145.pp, webtbs/tw3137.pp, webtbs/tw3143.pp,
	webtbs/tw3144.pp, webtbs/tw3281.pp:
	
	new bugs

2004-08-27 23:15  peter <peter@freepascal.org>

	* tests/webtbs/tw3261.pp:
	
	don't run and win32 only

2004-08-27 23:05  peter <peter@freepascal.org>

	* tests/: webtbf/tw3241.pp, webtbf/tw3253.pp, webtbs/tw3222.pp,
	webtbs/tw3227.pp, webtbs/tw3241a.pp, webtbs/tw3252.pp,
	webtbs/tw3255.pp, webtbs/tw3261.pp:
	
	new bug

2004-08-27 23:01  peter <peter@freepascal.org>

	* tests/webtbs/tw2388.pp:
	
	new bug

2004-08-25 13:50  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0478.pp:
	
	  + added

2004-08-22 14:05  peter <peter@freepascal.org>

	* tests/: tbf/tb0167.pp, webtbf/tw3267.pp, webtbs/tw3259.pp,
	webtbs/tw3263.pp, webtbs/tw3265.pp:
	
	  * new bugs

2004-08-17 21:05  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0477.pp:
	
	  + test for "@procvar_of_object <> nil" in delphi mode

2004-08-16 18:29  peter <peter@freepascal.org>

	* tests/webtbf/: tw3126.pp, tw3158.pp:
	
	  * fail added

2004-08-14 08:51  florian <florian@freepascal.org>

	* tests/webtbs/tw3168.pp:
	
	no message

2004-08-14 08:47  florian <florian@freepascal.org>

	* tests/: webtbs/tw3158.pp, webtbf/tw3158.pp:
	
	no message

2004-08-09 18:42  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw3235.pp:
	
	  + added

2004-08-08 17:59  florian <florian@freepascal.org>

	* tests/webtbs/tw3158.pp:
	
	no message

2004-08-08 17:21  florian <florian@freepascal.org>

	* tests/webtbf/tw3126.pp:
	
	no message

2004-08-08 14:36  florian <florian@freepascal.org>

	* tests/webtbs/tw3168.pp:
	
	no message

2004-08-08 14:06  florian <florian@freepascal.org>

	* tests/webtbs/tw3176.pp:
	
	no message

2004-08-08 11:36  florian <florian@freepascal.org>

	* tests/webtbs/: tw3160a.pp, tw3160b.pp, tw3160c.pp:
	
	no message

2004-08-07 21:33  florian <florian@freepascal.org>

	* tests/webtbs/tw3170.pp:
	
	no message

2004-08-07 21:13  florian <florian@freepascal.org>

	* tests/webtbs/tw3216.pp:
	
	  * fixed problem with explicit specified calling conventions for
	property symbols

2004-08-07 19:00  florian <florian@freepascal.org>

	* tests/webtbs/: tw3214.pas, tw3216.pp:
	
	no message

2004-08-07 17:24  florian <florian@freepascal.org>

	* tests/webtbs/tw3214.pas:
	
	  * initial revision

2004-08-07 16:38  florian <florian@freepascal.org>

	* tests/webtbs/tw3226.pp:
	
	no message

2004-07-17 15:05  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw3214.pp:
	
	  + added

2004-07-14 16:46  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw3210.pp:
	
	  + tw3210

2004-07-13 16:54  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * only add -XP when binutilsprefix is set

2004-07-13 16:40  peter <peter@freepascal.org>

	* tests/: test/tstring6.pp, webtbs/tw1677.pp, webtbs/tw2911.pp:
	
	  * updated for new refcnt

2004-07-12 12:50  michael <michael.vancanneyt@wisa.be>

	* tests/webtbs/tw3207.pp:
	
	+ Initial implementation. Bug fixed by Peter

2004-07-10 01:09  peter <peter@freepascal.org>

	* tests/test/testfpuc.pp:
	
	  * test fpu with c

2004-07-06 21:56  peter <peter@freepascal.org>

	* tests/webtbs/: tw0813.pp, tw1658.pp, uw0701d.pp:
	
	  * use heapsize-memavail to check used mem

2004-07-06 21:54  peter <peter@freepascal.org>

	* tests/webtbs/tw3004.pp:
	
	  * use heapsize-memavail to check memleak

2004-07-03 20:28  florian <florian@freepascal.org>

	* tests/: Makefile, Makefile.fpc, readme.txt, utils/dotest.pp:
	
	  + added support of putty utils to dotest
	  + remote testing executes a chmod 755 before running a test

2004-07-03 12:15  peter <peter@freepascal.org>

	* tests/webtbs/tw3197.pp:
	
	  * new bug

2004-06-29 22:55  peter <peter@freepascal.org>

	* tests/test/cg/tcall1.pp:
	
	  * heaperror is gone

2004-06-29 21:48  peter <peter@freepascal.org>

	* tests/: webtbf/tw3186.pp, webtbs/tw3174.pp, webtbs/tw3179.pp,
	webtbs/tw3182.pp, webtbs/tw3183.pp, webtbs/tw3184.pp,
	webtbs/tw3185.pp, webtbs/tw3190.pp, webtbs/uw3179a.pp,
	webtbs/uw3179b.pp, webtbs/uw3184a.pp, webtbs/uw3184b.pp:
	
	  * new bugs

2004-06-17 18:11  peter <peter@freepascal.org>

	* tests/test/theap.pp:
	
	  * minor update

2004-05-30 19:08  peter <peter@freepascal.org>

	* tests/test/theap.pp:
	
	  * reduce counters for sparc

2004-05-29 23:38  jonas <jonas.maebe@rug.ac.be>

	* tests/test/tint642.pp:
	
	  * added missing double() typecasts

2004-05-28 23:28  peter <peter@freepascal.org>

	* tests/webtbs/tw3010.pp:
	
	  * new bug

2004-05-26 22:32  florian <florian@freepascal.org>

	* tests/: tbf/tb0166.pp, webtbf/tw3047.pp:
	
	  * aded { %fail }

2004-05-25 23:25  florian <florian@freepascal.org>

	* tests/tbs/: tb0476.pp, tb0476.pp:
	
	no message

2004-05-25 17:52  peter <peter@freepascal.org>

	* tests/utils/redir.pp:
	
	  * executeresult changed to longint instead of word

2004-05-24 23:27  florian <florian@freepascal.org>

	* tests/tbs/tb0475.pp:
	
	no message

2004-05-24 22:37  florian <florian@freepascal.org>

	* tests/webtbf/tw3047.pp:
	
	no message

2004-05-24 22:35  florian <florian@freepascal.org>

	* tests/tbs/tb0463.pp:
	
	  * removed

2004-05-24 22:34  florian <florian@freepascal.org>

	* tests/tbf/tb0166.pp:
	
	no message

2004-05-24 17:33  peter <peter@freepascal.org>

	* tests/tbs/tb0456.pp:
	
	  * missing function result

2004-05-24 17:31  peter <peter@freepascal.org>

	* tests/webtbs/tw2536.pp:
	
	  * remove unsupported syntax

2004-05-24 17:21  peter <peter@freepascal.org>

	* tests/webtbs/tw3113.pp:
	
	  * fixed expected high value

2004-05-23 22:54  peter <peter@freepascal.org>

	* tests/webtbs/tw3109.pp:
	
	  * fixed test

2004-05-23 22:36  peter <peter@freepascal.org>

	* tests/webtbs/tw3109.pp:
	
	  * new bug

2004-05-23 20:25  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile, utils/Makefile:
	
	  * regenerated

2004-05-23 18:22  peter <peter@freepascal.org>

	* tests/webtbf/tw3114.pp:
	
	  * new bug

2004-05-23 17:53  peter <peter@freepascal.org>

	* tests/webtbf/tw3116.pp:
	
	  * new bug

2004-05-23 17:32  peter <peter@freepascal.org>

	* tests/webtbs/tw2859.pp:
	
	  * new bug

2004-05-23 16:14  florian <florian@freepascal.org>

	* tests/tbs/tb0474.pp:
	
	no message

2004-05-23 13:28  peter <peter@freepascal.org>

	* tests/tbf/tb0165.pp:
	
	  * fail added

2004-05-23 13:03  florian <florian@freepascal.org>

	* tests/: tbs/tb0474.pp, tbf/tb0165.pp:
	
	no message

2004-05-23 11:58  florian <florian@freepascal.org>

	* tests/tbs/tb0474.pp:
	
	no message

2004-05-23 11:44  peter <peter@freepascal.org>

	* tests/webtbs/tw3113.pp:
	
	  * new bug

2004-05-21 15:08  florian <florian@freepascal.org>

	* tests/webtbs/tw3111.pp:
	
	no message

2004-05-20 23:51  florian <florian@freepascal.org>

	* tests/webtbs/tw3073.pp:
	
	no message

2004-05-20 17:41  florian <florian@freepascal.org>

	* tests/webtbs/tw3083.pp:
	
	no message

2004-05-20 00:27  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/: tw3104.pp, uw3103.pp:
	
	  + added

2004-05-18 20:32  peter <peter@freepascal.org>

	* tests/webtbs/tw3004.pp:
	
	  * memleak with exception.create and ansistring temp

2004-05-18 12:35  olle

	* tests/tbf/tb0164.pp:
	
	  + test that the compiler should not allow non local goto

2004-05-17 22:52  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile, utils/Makefile:
	
	  * regenerated

2004-05-17 22:51  peter <peter@freepascal.org>

	* tests/utils/dotest.pp:
	
	  * print exitcode of remote test to stdout and parse the output
	file.
	    this is the most reliable passing of the exitcode

2004-05-16 22:13  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc, readme.txt, units/Makefile,
	units/Makefile.fpc, utils/Makefile, utils/dotest.pp,
	utils/redir.pp:
	
	  * remote execute updates, see readme.txt

2004-05-16 17:02  florian <florian@freepascal.org>

	* tests/webtbs/: tw3023.pp, tw3023.pp:
	
	no message

2004-05-16 15:26  florian <florian@freepascal.org>

	* tests/webtbs/tw2943.pp:
	
	no message

2004-05-16 12:22  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * don't export FPC_VERSION, the compiler version can be different
	    between the native and cross compiler

2004-05-12 12:47  olle

	* tests/tbf/tb0163.pp:
	
	  + Added test

2004-05-11 22:42  peter <peter@freepascal.org>

	* tests/test/cg/obj/linux/sparc/ctest.o:
	
	  * sparc .o

2004-05-03 21:06  peter <peter@freepascal.org>

	* tests/test/cg/: tclasize.pp, tobjsiz2.pp:
	
	  * removed wrong tests

2004-05-03 18:26  peter <peter@freepascal.org>

	* tests/test/cg/cdecl/: taoc4.pp, taoc5.pp, taoc6.pp:
	
	  * values on stack is i386 only

2004-05-03 18:03  peter <peter@freepascal.org>

	* tests/test/cg/tshlshr.pp:
	
	  * fixed test results

2004-05-03 16:48  peter <peter@freepascal.org>

	* tests/utils/: dotest.pp, redir.pp:
	
	  * support redir from stderr to stdout so the same file can be
	used

2004-05-02 20:46  peter <peter@freepascal.org>

	* tests/test/tcint64.pp:
	
	  * qword(longint) test

2004-05-02 17:21  peter <peter@freepascal.org>

	* tests/webtbs/: tw2984.pp, uw2984.pp:
	
	  * System() function scope problem

2004-05-02 17:15  peter <peter@freepascal.org>

	* tests/webtbs/tw2807.pp:
	
	  * new bug

2004-05-02 14:59  peter <peter@freepascal.org>

	* tests/tbs/: tb0062.pp, tb0193.pp, tb0240.pp, tb0368.pp:
	
	  * 64bit fixes

2004-05-02 14:50  peter <peter@freepascal.org>

	* tests/tbs/: tb0072.pp, tb0118.pp:
	
	  * 1.0.x only

2004-05-02 14:11  peter <peter@freepascal.org>

	* tests/test/cg/: tcalfun2.pp, tcalfun3.pp, tcalfun5.pp,
	tcalfun6.pp, tcalfun7.pp, tcalfun9.pp, tcalobj3.pp, tcalobj5.pp,
	tcalobj6.pp, tcalobj7.pp, tcalobj8.pp, tcnvint2.pp, tcnvstr1.pp,
	tcnvstr3.pp, tdivz1.pp, tdivz2.pp, tpara1.pp, treadwrt.pp,
	tshlshr.pp, tstr.pp:
	
	  * fixed linefeeds

2004-05-02 13:08  peter <peter@freepascal.org>

	* tests/tbf/tb0162.pp:
	
	  * variant bug

2004-05-02 11:31  peter <peter@freepascal.org>

	* tests/utils/: dbdigest.pp, digest.pp, dotest.pp, teststr.pp:
	
	  * remove failed_to_execute_ strings, use the failed_to_run

2004-05-02 10:40  peter <peter@freepascal.org>

	* tests/test/: tint642.pp, tstring4.pp, cg/cdecl/taoc4.pp,
	cg/cdecl/taoc5.pp, cg/cdecl/taoc6.pp, units/strings/tstrcopy.pp:
	
	  * 64bit fixes

2004-04-30 00:03  peter <peter@freepascal.org>

	* tests/utils/: dbdigest.pp, digest.pp:
	
	  * support new execute errors

2004-04-29 23:41  peter <peter@freepascal.org>

	* tests/utils/: dotest.pp, teststr.pp:
	
	  * test result of execution and report as failure with iostatus
	displayed

2004-04-29 23:04  peter <peter@freepascal.org>

	* tests/test/: talign2.pp, tclass5.pp:
	
	  * 64 bit fixes

2004-04-28 14:16  olle

	* tests/utils/Makefile:
	
	  * fixed filetype problem

2004-04-28 01:20  olle

	* tests/readme.txt:
	
	  * updated in accordance with the major rework of the makefiles

2004-04-28 01:17  olle

	* tests/utils/macos/: LinkRunDir, LinkRunTests:
	
	  + added LinkRunDir which handles one directory
	  * LinkRunTests now is the main program, handles all tests
	  * Lot of small changes

2004-04-28 01:15  olle

	* tests/utils/macos/readme.txt:
	
	    + added this file

2004-04-28 01:13  olle

	* tests/: Makefile, Makefile.fpc, units/Makefile,
	units/Makefile.fpc, utils/Makefile, utils/Makefile.fpc:
	
	    Major makefile rework for tests directory:
	  * differentiated between driver and test environment
	  + added utils/Makefile.fpc, under the driver environment
	  * units/Makefile.fpc is under the test environment
	  * Makefile controls everything
	  * plus lot of smaller changes

2004-04-28 01:08  olle

	* tests/utils/testfail.pp:
	
	  * adopted to be run in utils, in accordance with the major
	makefile rework

2004-04-28 01:07  olle

	* tests/: units/win32err.pp, utils/win32err.pp:
	
	  * moved to utils in accordance with the major makefile rework

2004-04-25 15:56  olle

	* tests/: tbs/tb0241.pp, tbs/tb0241b.pp, test/tinterface1.pp,
	test/cg/cdecl/taoc6.pp, webtbs/tw0755.pp, webtbs/tw2242.pp:
	
	  + added MacOS to SKIPTARGETS

2004-04-25 15:51  olle

	* tests/webtbs/tw2197.pp:
	
	  * changed to $APPTYPE TOOL on MacOS

2004-04-25 15:42  olle

	* tests/: test/units/system/tabs.pp, test/units/system/tround.pp,
	test/units/system/tsetstr.pp, test/units/system/tsetstr2.pp,
	test/units/system/tstring.pp, test/units/system/ttrunc.pp,
	webtbs/tw2065.pp, webtbs/tw2594.pp:
	
	  * changed to $APPTYPE TOOL on MacOS

2004-04-25 09:18  florian <florian@freepascal.org>

	* tests/Makefile.fpc:
	
	  * mmap for x86-64 fixed

2004-04-24 19:44  peter <peter@freepascal.org>

	* tests/webtbs/tw2363.pp:
	
	new bug

2004-04-24 19:14  florian <florian@freepascal.org>

	* tests/test/cg/tmoddiv.pp:
	
	  * test for new int64 mod int64 sign behaviour adapted

2004-04-22 20:27  peter <peter@freepascal.org>

	* tests/test/cg/obj/linux/x86_64/ctest.o:
	
	  * ctest.o for amd64

2004-04-22 17:32  peter <peter@freepascal.org>

	* tests/webtbf/tw2946.pp:
	
	  * test compiles correctly

2004-04-21 01:58  olle

	* tests/: Makefile, units/Makefile:
	
	  * updated according to the new version of fpcmake.ini (prev
	update was corrupt)

2004-04-21 01:33  olle

	* tests/: Makefile, units/Makefile:
	
	  * updated according to the new version of fpcmake.ini

2004-04-18 09:56  florian <florian@freepascal.org>

	* tests/webtbs/tw3048.pp:
	
	no message

2004-04-12 13:26  peter <peter@freepascal.org>

	* tests/webtbs/tw2946.pp:
	
	  * moved to success

2004-04-11 14:36  peter <peter@freepascal.org>

	* tests/: webtbf/tw2946.pp, webtbs/tw3038.pp, webtbs/tw3041.pp,
	webtbs/tw3045.pp:
	
	  * new bugs

2004-04-07 00:00  olle

	* tests/: Makefile, Makefile.fpc:
	
	  + Target clean now also deletes asm, *_ppas and debug symbol
	files
	  * Bugfix, clean did not delete in all subdirs.

2004-04-06 23:49  olle

	* tests/units/: Makefile, Makefile.fpc:
	
	  * Changed which files is copied, when USEUNITDIR is defined

2004-04-02 00:28  olle

	* tests/readme.txt:
	
	  * bringed it up to date

2004-04-01 14:51  olle

	* tests/utils/dotest.pp:
	
	  + Several -Y<opt> is now allowed

2004-04-01 02:35  olle

	* tests/test/cg/obj/macos/powerpc/ctest.o:
	
	  + created, compiled by MPW MrC compiler

2004-03-30 22:42  florian <florian@freepascal.org>

	* tests/tbs/tb0142.pp:
	
	  * test for arm fixed

2004-03-30 22:39  florian <florian@freepascal.org>

	* tests/tbs/: tb0072.pp, tb0118.pp:
	
	  * test for arm fixed

2004-03-29 16:49  peter <peter@freepascal.org>

	* tests/webtbs/tw3028.pp:
	
	  * new bug

2004-03-29 16:28  peter <peter@freepascal.org>

	* tests/tbs/tb0191.pp:
	
	  * fix range check error with cardinal-longint

2004-03-29 16:28  peter <peter@freepascal.org>

	* tests/webtbs/tw2911.pp:
	
	  * refcount fixed, it is now correctly using the same temp

2004-03-29 02:06  olle

	* tests/utils/macos/LinkRunTests:
	
	  + New file, MPW script for assembling, linking and running tests
	on a MacOS target

2004-03-28 00:21  florian <florian@freepascal.org>

	* tests/test/tstring4.pp:
	
	  * fixed comp/int64 issue

2004-03-27 20:38  florian <florian@freepascal.org>

	* tests/test/cg/: tcalvar1.pp, tcalvar2.pp, tcalvar3.pp,
	tcalvar4.pp, tcalvar5.pp, tcalvar6.pp, tcalvar7.pp, tcalvar8.pp,
	tcalvar9.pp:
	
	  * alignment fixed

2004-03-27 20:34  florian <florian@freepascal.org>

	* tests/test/cg/: tcalval1.pp, tcalval2.pp, tcalval3.pp,
	tcalval4.pp, tcalval5.pp, tcalval6.pp, tcalval7.pp, tcalval8.pp,
	tcalval9.pp:
	
	  * alignment fixed

2004-03-27 20:26  florian <florian@freepascal.org>

	* tests/test/cg/: tcalcst2.pp, tcalcst3.pp, tcalcst4.pp,
	tcalcst5.pp, tcalcst6.pp, tcalcst7.pp, tcalcst8.pp, tcalcst9.pp:
	
	  * alignment fixed

2004-03-27 20:20  florian <florian@freepascal.org>

	* tests/test/cg/tcalcst1.pp:
	
	  * alignment fixed

2004-03-23 17:51  peter <peter@freepascal.org>

	* tests/tbs/tb0473.pp:
	
	  * constant ordinal type

2004-03-21 20:15  florian <florian@freepascal.org>

	* tests/: readme.txt, utils/dotest.pp:
	
	  * explanation for running the testsuite remotely
	  + dotest supports remote execution using scp/ssh

2004-03-18 17:22  peter <peter@freepascal.org>

	* tests/tbf/tb0161.pp:
	
	  * operator overload not allowed

2004-03-15 22:49  peter <peter@freepascal.org>

	* tests/test/testcmem.pp:
	
	  * test for cmem unit

2004-03-14 19:13  peter <peter@freepascal.org>

	* tests/webtbs/tw2794.pp:
	
	  * cthreads is unix only

2004-03-14 18:30  peter <peter@freepascal.org>

	* tests/test/tpackrec.pp:
	
	  * pakcrecords test

2004-03-13 12:07  florian <florian@freepascal.org>

	* tests/test/cg/taddreal1.pp:
	
	  * improved test, previously it mainly tested integer
	comparisations

2004-03-04 18:19  peter <peter@freepascal.org>

	* tests/: webtbf/tw2996.pp, webtbf/tw3000.pp, webtbs/tw2916.pp,
	webtbs/tw2926.pp, webtbs/tw2999.pp:
	
	  * new bugs

2004-03-04 18:19  peter <peter@freepascal.org>

	* tests/webtbs/: tw2953.pp, uw2953.pp:
	
	  * real bug 2953 instead of 2956

2004-03-04 18:14  peter <peter@freepascal.org>

	* tests/webtbf/tw1157a.pp:
	
	  * cpu i386

2004-03-03 23:01  peter <peter@freepascal.org>

	* tests/webtbs/tw2794.pp:
	
	  * override added

2004-03-03 17:51  peter <peter@freepascal.org>

	* tests/webtbs/tw2794.pp:
	
	  * new bug

2004-03-01 04:31  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/: tw2853d.pp, tw2853e.pp:
	
	* moe tests

2004-02-28 11:52  daniel <daniel@deadlock.et.tudelft.nl>

	* tests/tbf/tb0160.pp:
	
	  + Added tb0160

2004-02-24 18:13  peter <peter@freepascal.org>

	* tests/webtbs/: tw2944.pp, tw2949.pp, tw2972.pp, tw2975.pp,
	tw2976.pp:
	
	  * new bugs

2004-02-24 16:41  peter <peter@freepascal.org>

	* tests/webtbf/: tw2972.pp, tw2972b.pp:
	
	  * test should fail

2004-02-24 16:40  peter <peter@freepascal.org>

	* tests/tbs/tb0472.pp:
	
	  * new macro expansion problem

2004-02-20 21:56  florian <florian@freepascal.org>

	* tests/tbs/tb0470.pp:
	
	  * fixed test

2004-02-20 21:12  florian <florian@freepascal.org>

	* tests/test/units/math/tnaninf.pp:
	
	no message

2004-02-20 21:12  florian <florian@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  + dir units\math to tests added

2004-02-20 21:03  peter <peter@freepascal.org>

	* tests/tbs/tb0471.pp:
	
	  * delphi mode

2004-02-20 21:01  peter <peter@freepascal.org>

	* tests/tbs/tb0471.pp:
	
	  * overload with procvar and result of procvar function

2004-02-20 17:15  peter <peter@freepascal.org>

	* tests/webtbs/: tw2956.pp, uw2956.pp:
	
	  * added missing unit

2004-02-20 08:26  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: webtbf/tw2853.pp, webtbf/tw2853a.pp, webtbf/tw2853b.pp,
	webtbf/tw2853c.pp, webtbs/tw2853.pp, webtbs/tw2853a.pp,
	webtbs/tw2853b.pp, webtbs/tw2853c.pp:
	
	 several tests related to webbug 2853

2004-02-19 18:32  florian <florian@freepascal.org>

	* tests/tbs/tb0470.pp:
	
	no message

2004-02-13 16:44  peter <peter@freepascal.org>

	* tests/webtbs/uw2953.pp:
	
	  * helper unit

2004-02-13 16:44  peter <peter@freepascal.org>

	* tests/webtbs/: tw2953.pp, tw2956.pp, tw2958.pp, tw2972.pp:
	
	  * new bugs

2004-02-13 16:43  peter <peter@freepascal.org>

	* tests/webtbs/tw2963.pp:
	
	  * test depended on non standard dll

2004-02-12 17:20  peter <peter@freepascal.org>

	* tests/webtbs/tw2963.pp:
	
	  * new bug

2004-02-12 17:02  peter <peter@freepascal.org>

	* tests/webtbs/tw2966.pp:
	
	  * new bug

2004-02-11 20:29  peter <peter@freepascal.org>

	* tests/webtbs/tw2968.pp:
	
	  * test is wrong

2004-02-10 23:31  peter <peter@freepascal.org>

	* tests/webtbs/: tw2968.pas, tw2968.pp:
	
	  * renamed

2004-02-10 23:25  florian <florian@freepascal.org>

	* tests/webtbs/tw2968.pas:
	
	  * updated to be compilable with win32

2004-02-10 23:10  florian <florian@freepascal.org>

	* tests/webtbs/: tw2876.pp, tw2968.pas:
	
	no message

2004-02-10 22:48  florian <florian@freepascal.org>

	* tests/webtbs/tw2876.pp:
	
	  * new bug

2004-02-09 00:28  florian <florian@freepascal.org>

	* tests/webtbs/: tw2942a.pp, tw2942b.pp:
	
	  * new test

2004-02-05 17:42  peter <peter@freepascal.org>

	* tests/webtbs/tw2923.pp:
	
	  * new bug

2004-02-03 22:34  peter <peter@freepascal.org>

	* tests/webtbs/: tw2920.pp, uw2920.pp:
	
	  * new bug

2004-01-31 16:02  florian <florian@freepascal.org>

	* tests/test/cg/obj/linux/arm/ctest.o:
	
	  * initial commit

2004-01-31 15:51  peter <peter@freepascal.org>

	* tests/webtbs/tw2927.pp:
	
	  * new bug

2004-01-31 15:48  florian <florian@freepascal.org>

	* tests/Makefile:
	
	  * Makefile rebuild

2004-01-24 22:12  florian <florian@freepascal.org>

	* tests/test/cg/tsubst.pp:
	
	  * newlines fixed

2004-01-24 16:27  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw2242.pp:
	
	* if webtbf/tw2242 doesn't have to fail for win32, this one should
	succeed   :)

2004-01-24 01:12  florian <florian@freepascal.org>

	* tests/test/cg/tcalfun1.pp:
	
	  * linefeeds fixed

2004-01-23 18:21  florian <florian@freepascal.org>

	* tests/test/cg/tcalcst3.pp:
	
	no message

2004-01-23 16:20  peter <peter@freepascal.org>

	* tests/: webtbf/tw2242.pp, webtbs/tw2883.pp, webtbs/tw2899.pp,
	webtbs/tw2904.pp, webtbs/tw2908.pp:
	
	  * fixed compile issues

2004-01-22 22:43  peter <peter@freepascal.org>

	* tests/webtbs/tw2885.pp:
	
	  * new bug

2004-01-22 22:35  peter <peter@freepascal.org>

	* tests/webtbs/tw2886.pp:
	
	  * new bug

2004-01-22 18:22  peter <peter@freepascal.org>

	* tests/webtbs/: tw2904.pp, tw2908.pp, tw2912.pp, tw2913.pp:
	
	  * new bugs

2004-01-22 17:15  peter <peter@freepascal.org>

	* tests/webtbs/tw2911.pp:
	
	  * fix refcount for 1.9.x

2004-01-21 22:20  peter <peter@freepascal.org>

	* tests/webtbs/: tw2897.pp, tw2899.pp, tw2911.pp:
	
	  * new bugs

2004-01-21 18:40  jonas <jonas.maebe@rug.ac.be>

	* tests/test/cg/tmanypar.pp:
	
	* extended test

2004-01-21 15:12  florian <florian@freepascal.org>

	* tests/tbs/tb0469.pp:
	
	no message

2004-01-14 19:01  peter <peter@freepascal.org>

	* tests/webtbs/: tw2883.pp, tw2891.pp, tw2892.pp:
	
	  * new bugs

2004-01-14 17:39  peter <peter@freepascal.org>

	* tests/test/cg/taddset2.pp:
	
	  * test set code with mmx enabled

2004-01-12 22:56  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0468.pp:
	
	  * test is x86 specific

2004-01-12 22:35  jonas <jonas.maebe@rug.ac.be>

	* tests/test/tint643.pp:
	
	  + qword multiplication and overflow test

2004-01-10 22:38  daniel <daniel@deadlock.et.tudelft.nl>

	* tests/tbs/tb0468.pp:
	
	  * Program name corrected.

2004-01-10 22:32  daniel <daniel@deadlock.et.tudelft.nl>

	* tests/tbs/tb0468.pp:
	
	  * @ operator does not work on labels in current compiler

2004-01-10 17:39  jonas <jonas.maebe@rug.ac.be>

	* tests/test/cg/obj/darwin/powerpc/ctest.o:
	
	  + added

2004-01-06 17:41  florian <florian@freepascal.org>

	* tests/webtbs/tw2865.pp:
	
	no message

2004-01-06 13:45  florian <florian@freepascal.org>

	* tests/tbs/tb0467.pp:
	
	no message

2004-01-06 02:38  florian <florian@freepascal.org>

	* tests/webtbf/tw2878.pp:
	
	no message

2004-01-06 00:34  marco <marcov@stack.nl>

	* tests/units/Makefile:
	
	 * regenerating the makefiles with some netbsd fixes + version
	upgrades

2004-01-05 21:28  florian <florian@freepascal.org>

	* tests/: tbs/tb0467.pp, test/units/sysutils/execansi.pp,
	test/units/sysutils/execedbya.pp, Makefile, Makefile.fpc:
	
	no message

2004-01-05 13:54  jonas <jonas.maebe@rug.ac.be>

	* tests/: Makefile, Makefile.fpc:
	
	  + Darwin support in Makefiles

2004-01-02 15:41  jonas <jonas.maebe@rug.ac.be>

	* tests/test/cg/taddcurr.pp:
	
	  * expanded and corrected test

2004-01-01 18:43  florian <florian@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  + tests in test/units/strings are now executed as well

2004-01-01 18:42  florian <florian@freepascal.org>

	* tests/test/units/strings/tstrings1.pp:
	
	  + added strscan/strrscan test

2004-01-01 16:54  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw2643.pp:
	
	  * fixed for extended = double

2004-01-01 16:49  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw1901.pp:
	
	  * fixed for extended = double

2004-01-01 16:32  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0281.pp:
	
	  * fixed for non-i386

2003-12-31 18:43  jonas <jonas.maebe@rug.ac.be>

	* tests/test/tstring6.pp:
	
	  * fixed for comp = int64

2003-12-29 20:48  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw2129b.pp:
	
	  * fixed for comp = int64

2003-12-29 20:38  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw2129.pp:
	
	  * fixed for comp = int64

2003-12-29 20:18  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw2226.pp:
	
	  * fixed for extended = double

2003-12-29 19:53  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw2131.pp:
	
	  * fixed for systems where extended = double

2003-12-29 16:54  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw1269.pp:
	
	  * fixed for non-x86

2003-12-29 14:15  jonas <jonas.maebe@rug.ac.be>

	* tests/: tbf/tb0151.pp, tbs/tb0151.pp:
	
	  * moved tb0151 from tbf to tbs

2003-12-29 11:58  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0118.pp:
	
	  + powerpc suppport

2003-12-29 11:55  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0072.pp:
	
	  + ppc support

2003-12-28 23:22  jonas <jonas.maebe@rug.ac.be>

	* tests/test/tstrreal2.pp:
	
	  * fixed for processors where sizeof extended = sizeof(double)

2003-12-27 23:27  peter <peter@freepascal.org>

	* tests/tbs/tb0466.pp:
	
	  * new bug

2003-12-26 15:32  peter <peter@freepascal.org>

	* tests/bench/whet.pas:
	
	  * fixed time calculation

2003-12-26 15:18  peter <peter@freepascal.org>

	* tests/bench/whet.pas:
	
	  * fixed compile for linux

2003-12-23 23:20  peter <peter@freepascal.org>

	* tests/units/: Makefile, Makefile.fpc:
	
	  * typo in fcl support

2003-12-23 23:12  peter <peter@freepascal.org>

	* tests/test/tintuint.pp:
	
	  * 0->nil

2003-12-23 23:11  peter <peter@freepascal.org>

	* tests/test/cg/traise6.pp:
	
	  * pointer typecast

2003-12-23 23:07  peter <peter@freepascal.org>

	* tests/webtbs/tw1152.pp:
	
	  * pointer typecast added

2003-12-16 11:27  daniel <daniel@deadlock.et.tudelft.nl>

	* tests/: tbf/tb0159.pp, tbs/tb0465.pp:
	
	  * 2 tests for integer constant to pointer conversion

2003-12-12 16:43  peter <peter@freepascal.org>

	* tests/webtbs/tw2841.pp:
	
	  * new bug

2003-12-10 18:12  peter <peter@freepascal.org>

	* tests/webtbs/: tw2834.pp, uw2834.pp:
	
	  * ifdef fpc

2003-12-10 18:09  peter <peter@freepascal.org>

	* tests/webtbs/: tw2834.pp, uw2834.pp:
	
	  * new bug

2003-12-10 17:32  peter <peter@freepascal.org>

	* tests/test/: tprop1.pp, tprop2.pp:
	
	  * global properties

2003-12-09 22:08  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0162.pp:
	
	  + 64 bit checks

2003-12-09 21:37  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0162.pp:
	
	  * test extended

2003-12-09 20:38  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0193.pp:
	
	  + linux/ppc support

2003-12-09 17:38  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw1157b.pp:
	
	  * 80x86-specific

2003-12-09 17:36  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0261.pp:
	
	  * 80x86 specific

2003-12-08 23:39  peter <peter@freepascal.org>

	* tests/tbs/tb0105.pp:
	
	  * fix runtime check

2003-12-08 23:36  peter <peter@freepascal.org>

	* tests/webtbs/tw2830.pp:
	
	  * new bug

2003-12-08 22:43  peter <peter@freepascal.org>

	* tests/webtbs/tw2829.pp:
	
	  * new bug

2003-12-08 22:22  peter <peter@freepascal.org>

	* tests/webtbs/tw2832.pp:
	
	  * new bug

2003-12-08 20:36  peter <peter@freepascal.org>

	* tests/test/tmt1.pp:
	
	  * cthreads for unix

2003-12-08 20:24  peter <peter@freepascal.org>

	* tests/tbs/tb0460.pp:
	
	  * result adapted

2003-12-08 19:49  jonas <jonas.maebe@rug.ac.be>

	* tests/test/testsse2.pp:
	
	  * restrict to i386

2003-12-08 17:55  peter <peter@freepascal.org>

	* tests/tbs/tb0105.pp:
	
	  * asmmode direct removed

2003-12-07 12:59  jonas <jonas.maebe@rug.ac.be>

	* tests/test/cg/tshlshr.pp:
	
	  * test procedure uses 64bit arguments under FPC
	  - disabled tests with negative shift counts (illegal)

2003-12-05 23:51  jonas <jonas.maebe@rug.ac.be>

	* tests/test/cg/tmanypar.pp:
	
	  + test for procedures with many parameters (to test parameter
	passing
	    via the stack for processors with many registers)

2003-12-03 18:47  peter <peter@freepascal.org>

	* tests/webtbs/: tw2815.pp, tw2817.pp:
	
	  * new bugs

2003-12-01 12:08  michael <michael.vancanneyt@wisa.be>

	* tests/test/: texception6.pp, texception7.pp:
	
	+ Fixed exit code

2003-11-29 15:57  peter <peter@freepascal.org>

	* tests/webtbs/tw2809.pp:
	
	  * new bug

2003-11-29 15:49  peter <peter@freepascal.org>

	* tests/: webtbf/tw2795.pp, webtbs/tw2803.pp, webtbs/tw2806.pp,
	webtbs/tw2812.pp:
	
	  * new bugs

2003-11-22 14:15  jonas <jonas.maebe@rug.ac.be>

	* tests/tbf/tb0158.pp:
	
	  * added fail

2003-11-22 13:35  jonas <jonas.maebe@rug.ac.be>

	* tests/tbf/: tb0158.pp, ub0158a.pp, ub0158b.pp:
	
	  + test for double usage of units

2003-11-16 18:27  hajny <xhajt03@mbox.vol.cz>

	* tests/test/units/dos/tfsearch.pp:
	
	  + test for FSearch added

2003-11-12 17:37  peter <peter@freepascal.org>

	* tests/webtbs/tw2771.pp:
	
	  * new bug

2003-11-12 16:51  peter <peter@freepascal.org>

	* tests/: webtbf/tw2787.pp, webtbs/tw2788.pp, webtbs/tw2789.pp:
	
	  * new bugs

2003-11-10 20:44  peter <peter@freepascal.org>

	* tests/tbs/ub0461.pp:
	
	  * using a nested function

2003-11-10 16:52  peter <peter@freepascal.org>

	* tests/webtbs/: tw2767.pp, tw2772.pp, tw2776.pp, tw2778.pp,
	tw2779.pp, tw2780.pp:
	
	  * new bugs

2003-11-09 14:41  florian <florian@freepascal.org>

	* tests/tbs/tb0464.pp:
	
	no message

2003-11-09 00:34  florian <florian@freepascal.org>

	* tests/tbf/tb0157.pp:
	
	no message

2003-11-08 17:47  florian <florian@freepascal.org>

	* tests/tbs/tb0463.pp:
	
	no message

2003-11-08 09:55  florian <florian@freepascal.org>

	* tests/tbs/tb0462.pp:
	
	no message

2003-11-07 18:25  peter <peter@freepascal.org>

	* tests/tbs/: tb0461.pp, ub0461.pp:
	
	  * inline test with ppu load

2003-11-07 15:13  florian <florian@freepascal.org>

	* tests/tbs/tb0459.pp:
	
	no message

2003-11-06 23:46  florian <florian@freepascal.org>

	* tests/tbs/tb0460.pp:
	
	no message

2003-11-06 23:36  florian <florian@freepascal.org>

	* tests/tbs/tb0460.pp:
	
	no message

2003-11-05 13:50  florian <florian@freepascal.org>

	* tests/webtbs/: tw2763.pp, tw2765.pp:
	
	no message

2003-11-04 23:05  florian <florian@freepascal.org>

	* tests/webtbs/tw2763.pp:
	
	no message

2003-11-04 20:06  peter <peter@freepascal.org>

	* tests/webtbs/tw1103.pp:
	
	  * also test new(precord)

2003-11-04 16:40  peter <peter@freepascal.org>

	* tests/webtbs/tw1103.pp:
	
	  * destroystack added

2003-11-03 21:57  peter <peter@freepascal.org>

	* tests/webtbs/: tw2492.pp, tw2514.pp:
	
	  * new bug

2003-11-03 20:32  peter <peter@freepascal.org>

	* tests/webtbs/tw1103.pp:
	
	  * let it crash under all platforms

2003-11-03 13:48  marco <marcov@stack.nl>

	* tests/Makefile:
	
	 * $(OPT) added to dbdigest line

2003-11-03 13:48  marco <marcov@stack.nl>

	* tests/Makefile.fpc:
	
	 *  added to dbdigest line

2003-11-01 17:24  peter <peter@freepascal.org>

	* tests/webtbs/tw2645.pp:
	
	  * new bug

2003-11-01 17:16  peter <peter@freepascal.org>

	* tests/webtbs/tw2525.pp:
	
	  * new bug

2003-11-01 17:09  peter <peter@freepascal.org>

	* tests/webtbs/tw2536.pp:
	
	  * new bug

2003-11-01 15:34  peter <peter@freepascal.org>

	* tests/webtbs/tw2481.pp:
	
	  * Create class in operator

2003-10-31 19:43  peter <peter@freepascal.org>

	* tests/webtbs/tw2758.pp:
	
	  * new (ugly) bug

2003-10-31 19:37  peter <peter@freepascal.org>

	* tests/webtbs/tw2758.pp:
	
	  * not a bug

2003-10-31 19:32  peter <peter@freepascal.org>

	* tests/webtbs/tw2758.pp:
	
	  * new bug

2003-10-31 18:05  peter <peter@freepascal.org>

	* tests/utils/dbtests.pp:
	
	  * fixed compile

2003-10-31 18:02  peter <peter@freepascal.org>

	* tests/units/: Makefile, Makefile.fpc:
	
	  * 1.1 does not need fcl anymore

2003-10-31 17:51  peter <peter@freepascal.org>

	* tests/utils/digest.pp:
	
	  * skip known bug for run

2003-10-31 17:47  peter <peter@freepascal.org>

	* tests/test/cg/: tcalext.pp, tcalext2.pp:
	
	  * move extended size check to separate test

2003-10-31 17:19  peter <peter@freepascal.org>

	* tests/webtbs/tw2481.pp:
	
	  * new bug

2003-10-31 17:18  peter <peter@freepascal.org>

	* tests/webtbs/tw2046.pp:
	
	  * test should print an error because this is not supported

2003-10-31 17:16  peter <peter@freepascal.org>

	* tests/webtbs/tw2656.pp:
	
	  * known compiler error that will not soon be fixed

2003-10-31 17:15  peter <peter@freepascal.org>

	* tests/webtbs/tw1398.pp:
	
	  * nil instead of NULL

2003-10-31 17:15  peter <peter@freepascal.org>

	* tests/tbs/tb0449.pp:
	
	  * test exitcode 217

2003-10-31 17:14  peter <peter@freepascal.org>

	* tests/utils/: dotest.pp, testu.pp:
	
	  * remove compileerror10, note10
	  * remove known, use knowncompileerror,knownrunerror instead
	  * knowncompileerror,knownrunerror tests are now really skipped

2003-10-31 17:12  peter <peter@freepascal.org>

	* tests/tbs/: tb0224.pp, tb0377.pp, tb0447.pp, tb0447a.pp:
	
	  * 1.1 only

2003-10-31 17:12  peter <peter@freepascal.org>

	* tests/test/cg/tcalpvr3.pp:
	
	  * make only virtual;cdecl $ifndef ver1_0

2003-10-31 17:11  peter <peter@freepascal.org>

	* tests/: tbf/tb0151.pp, test/tclass7.pp, test/tintuint.pp:
	
	  * removed knowncompilererror10

2003-10-30 21:07  peter <peter@freepascal.org>

	* tests/: webtbf/tw2752.pp, webtbs/tw2752.pp:
	
	  * test must fail

2003-10-30 20:54  peter <peter@freepascal.org>

	* tests/webtbs/tw2631.pp:
	
	  * new bug

2003-10-30 18:43  peter <peter@freepascal.org>

	* tests/webtbs/tw2752.pp:
	
	  * new bug

2003-10-30 18:22  peter <peter@freepascal.org>

	* tests/webtbf/tw2751.pp:
	
	  * new bug

2003-10-30 17:26  peter <peter@freepascal.org>

	* tests/webtbs/tw1251b.pp:
	
	  * extra test for same mangledname of proc

2003-10-29 22:44  florian <florian@freepascal.org>

	* tests/tbs/tb0451.pp:
	
	no message

2003-10-29 16:37  peter <peter@freepascal.org>

	* tests/test/tfpu4.pp:
	
	  * win32 also has as instead of asw in 1.1

2003-10-29 16:37  peter <peter@freepascal.org>

	* tests/webtbs/tw0736.pp:
	
	  * Only go32v2,linux,freebsd

2003-10-29 16:37  peter <peter@freepascal.org>

	* tests/webtbs/tw0876.pp:
	
	  * directly accessing object fields is not possible

2003-10-29 16:36  peter <peter@freepascal.org>

	* tests/tbf/tb0151.pp:
	
	  * this is a valid construct

2003-10-28 17:44  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2003-10-28 16:33  peter <peter@freepascal.org>

	* tests/webtbs/tw2729.pp:
	
	  * fixed cardinal-longint error

2003-10-28 16:33  peter <peter@freepascal.org>

	* tests/webtbs/tw1888.pp:
	
	  * rtti is case sensitive

2003-10-28 16:33  peter <peter@freepascal.org>

	* tests/test/cg/: taddlong.pp, tlohi.pp:
	
	  * fixed compilation with kylix and fpc 1.1

2003-10-27 21:44  florian <florian@freepascal.org>

	* tests/tbs/tb0458.pp:
	
	no message

2003-10-27 16:58  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2003-10-27 16:28  peter <peter@freepascal.org>

	* tests/webtbs/tw2668.pp:
	
	  * fixed runtime code

2003-10-26 17:53  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw2643.pp:
	
	  * fixed test

2003-10-26 17:36  florian <florian@freepascal.org>

	* tests/webtbs/tw2226.pp:
	
	no message

2003-10-26 16:55  florian <florian@freepascal.org>

	* tests/webtbs/tw2452.pp:
	
	no message

2003-10-26 15:20  florian <florian@freepascal.org>

	* tests/webtbf/tw2154.pp:
	
	no message

2003-10-26 15:12  florian <florian@freepascal.org>

	* tests/: webtbf/tw2129.pp, webtbs/tw2129.pp, webtbs/tw2129b.pp:
	
	no message

2003-10-26 14:36  florian <florian@freepascal.org>

	* tests/: webtbf/tw2128.pp, webtbs/tw2128.pp:
	
	no message

2003-10-26 00:51  florian <florian@freepascal.org>

	* tests/tbs/tb0457.pp:
	
	  * fixed compilation of ppc system unit

2003-10-25 12:20  florian <florian@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * -al isn't necessary anymore

2003-10-23 18:29  peter <peter@freepascal.org>

	* tests/: webtbf/tw0893.pp, webtbs/tw0893.pp:
	
	  * test should fail, fields return the offset as constant which
	    can't be assigned to

2003-10-23 18:19  peter <peter@freepascal.org>

	* tests/webtbs/tw2723.pp:
	
	  * i386 only

2003-10-23 17:44  peter <peter@freepascal.org>

	* tests/webtbs/tw2668.pp:
	
	  * even more uglier

2003-10-23 17:39  peter <peter@freepascal.org>

	* tests/webtbs/tw2668.pp:
	
	  * another ugly hack

2003-10-23 16:42  peter <peter@freepascal.org>

	* tests/webtbs/tw2666.pp:
	
	  * fixed runtime

2003-10-21 20:20  peter <peter@freepascal.org>

	* tests/webtbs/tw2666.pp:
	
	  * delphi mode
	  * i386 only

2003-10-21 20:19  peter <peter@freepascal.org>

	* tests/webtbs/tw2651.pp:
	
	  * inline on

2003-10-21 19:31  peter <peter@freepascal.org>

	* tests/: webtbs/tw2473.pp, webtbs/tw2650.pp, webtbs/tw2651.pp,
	webtbs/tw2656.pp, webtbs/tw2659.pp, webtbs/tw2666.pp,
	webtbs/tw2730.pp, webtbs/tw2731.pp, webtbs/tw2736.pp,
	webtbs/tw2737.pp, webtbs/tw2738.pp, webtbs/uw2731.pp,
	webtbs/uw2738.pp, webtbf/tw2657.pp:
	
	  * new bugs

2003-10-21 17:20  peter <peter@freepascal.org>

	* tests/: webtbf/tw2724.pp, webtbs/tw2724.pp:
	
	  * moved to tbf

2003-10-20 18:55  peter <peter@freepascal.org>

	* tests/tbf/tb0044.pp:
	
	  * 1.0.x test only

2003-10-20 18:32  peter <peter@freepascal.org>

	* tests/test/cg/tobjsize.pp:
	
	  * removed wrong object size checks in static methods

2003-10-17 10:08  florian <florian@freepascal.org>

	* tests/utils/dbdigest.pp:
	
	  * cosmetic fix in console output

2003-10-17 10:07  florian <florian@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  + DBDIGEST option added, it allows to pass additional parameters
	to dbdigest

2003-10-16 14:41  florian <florian@freepascal.org>

	* tests/webtbs/tw2643.pp:
	
	no message

2003-10-15 23:47  florian <florian@freepascal.org>

	* tests/webtbf/tw2209.pp:
	
	no message

2003-10-15 23:45  florian <florian@freepascal.org>

	* tests/: test/README, test/tprocvar2.pp, test/cg/tcalfun8.pp,
	utils/dbdigest.pp, webtbf/tw2209.pp:
	
	  + added submitter, machine and comment field to sql version

2003-10-15 21:39  florian <florian@freepascal.org>

	* tests/utils/dbdigest.pp:
	
	  * exact result counts are inserted into the table

2003-10-15 19:08  florian <florian@freepascal.org>

	* tests/: Makefile, Makefile.fpc, readme.txt:
	
	  * readme extended
	  * os and processor is passed by the makefile to dbdigest

2003-10-14 18:37  florian <florian@freepascal.org>

	* tests/webtbs/tw2739.pp:
	
	no message

2003-10-14 12:52  florian <florian@freepascal.org>

	* tests/webtbs/tw2739.pp:
	
	no message

2003-10-14 10:30  peter <peter@freepascal.org>

	* tests/utils/redir.pp:
	
	  * go32v2 fixed

2003-10-13 16:19  peter <peter@freepascal.org>

	* tests/utils/: dbdigest.pp, dbtests.pp, digest.pp, dotest.pp,
	teststr.pp, testu.pp:
	
	  * digest updated for max version limit

2003-10-13 15:03  peter <peter@freepascal.org>

	* tests/test/testmovd.pp:
	
	  * mmx is 1.0.x only

2003-10-13 15:02  peter <peter@freepascal.org>

	* tests/test/tmmx1.pp:
	
	  * MMX is 1.0.x only

2003-10-09 16:55  florian <florian@freepascal.org>

	* tests/webtbs/tw2729.pp:
	
	no message

2003-10-09 16:42  peter <peter@freepascal.org>

	* tests/webtbs/: tw2724.pp, tw2725.pp, tw2727.pp, tw2728.pp,
	tw2729.pp:
	
	  * new bugs

2003-10-09 16:35  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2003-10-08 21:12  peter <peter@freepascal.org>

	* tests/: webtbf/tw2719.pp, webtbs/tw2719.pp:
	
	  * moved to webtbf

2003-10-08 20:56  peter <peter@freepascal.org>

	* tests/test/: texception6.pp, texception7.pp:
	
	  * typo rte instead of result

2003-10-08 20:47  peter <peter@freepascal.org>

	* tests/webtbf/tw2209.pp:
	
	  * make it a procedure

2003-10-08 19:39  peter <peter@freepascal.org>

	* tests/test/: texception6.pp, texception7.pp:
	
	  * changed %fail to %rte for runtime checking

2003-10-07 22:46  peter <peter@freepascal.org>

	* tests/tbs/tb0455.pp:
	
	  * Removed windows dependency

2003-10-07 22:36  peter <peter@freepascal.org>

	* tests/: webtbf/tw2721.pp, webtbs/tw2721.pp:
	
	  * new bugs

2003-10-07 22:08  peter <peter@freepascal.org>

	* tests/: webtbf/tw2721.pp, webtbs/tw2713.pp, webtbs/tw2719.pp,
	webtbs/tw2721.pp, webtbs/tw2723.pp:
	
	  * new bugs

2003-10-07 17:12  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * only add dbdigest when USESQL=YES

2003-10-06 18:59  fpc

	* tests/: Makefile, Makefile.fpc:
	
	  * use DIGESTVER instad of FPC_VERSION

2003-10-06 18:53  fpc

	* tests/: Makefile, Makefile.fpc, utils/dbdigest.pp:
	
	  * allow digest programs on commandline

2003-10-06 18:00  florian <florian@freepascal.org>

	* tests/test/: texception5.pp, texception6.pp, texception7.pp,
	texception8.pp, texception9.pp:
	
	no message

2003-10-05 23:19  peter <peter@freepascal.org>

	* tests/test/cg/: tcalfun4.pp, tcalpvr4.pp:
	
	  * oldfpccall typo

2003-10-05 23:16  peter <peter@freepascal.org>

	* tests/tbs/tb0089.pp:
	
	  * fpSignal

2003-10-05 18:27  florian <florian@freepascal.org>

	* tests/webtbf/tw2670.pp:
	
	  + fail flag added

2003-10-05 16:55  florian <florian@freepascal.org>

	* tests/test/cg/tcalval2.pp:
	
	  * fixed line feeds

2003-10-05 16:39  florian <florian@freepascal.org>

	* tests/test/cg/tcalpvr4.pp:
	
	  * fixed oldfpcall directives; was oldfpcall

2003-10-05 14:58  peter <peter@freepascal.org>

	* tests/webtbs/: tw2676.pp, tw2678.pp, tw2690.pp, tw2691.pp,
	tw2696.pp, tw2702.pp, tw2710.pp:
	
	  * new tests

2003-10-05 02:01  florian <florian@freepascal.org>

	* tests/test/cg/: tcalcst2.pp, tcalobj1.pp, tcalobj2.pp,
	tcalfun4.pp:
	
	  * fixed line feeds

2003-10-05 01:43  florian <florian@freepascal.org>

	* tests/test/tests.pp:
	
	no message

2003-10-04 23:30  florian <florian@freepascal.org>

	* tests/utils/: dbdigest.pp, dbtests.pp:
	
	  + added time to timestamp so multiple runs per day can be done

2003-10-04 15:48  marco <marcov@stack.nl>

	* tests/: Makefile, units/Makefile:
	
	 * cross compiling fixes to makefile and fpcmake

2003-10-04 15:31  marco <marcov@stack.nl>

	* tests/test/cg/obj/freebsd/i386/ctest.o:
	
	 * adding

2003-10-04 11:46  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * fix digest rule

2003-10-04 00:51  michael <michael.vancanneyt@wisa.be>

	* tests/utils/: dbdigest.pp, dbtests.pp:
	
	+ Changed database structure after suggestion of florian

2003-10-03 23:40  marco <marcov@stack.nl>

	* tests/: Makefile, units/Makefile:
	
	 * CROSSCOMPILING stage 2

2003-10-03 16:46  peter <peter@freepascal.org>

	* tests/test/cg/: tcalfun4.pp, tcall1.pp, tcalpvr4.pp:
	
	  * popstack to oldfpccall

2003-10-03 16:46  peter <peter@freepascal.org>

	* tests/tbs/tb0168.pp:
	
	  * use oldfpccall for 1.1+

2003-10-02 19:47  peter <peter@freepascal.org>

	* tests/webtbs/: tw2703.pp, tw2704.pp, tw2705.pp, tw2706.pp,
	tw2707.pp, tw2708.pp, uw2706a.pp, uw2706b.pp:
	
	  * new bugs

2003-10-02 10:50  marco <marcov@stack.nl>

	* tests/: Makefile, units/Makefile:
	
	 * remake with new fpc param

2003-10-01 21:04  peter <peter@freepascal.org>

	* tests/tbs/tb0456.pp:
	
	  * extended tests

2003-10-01 20:27  peter <peter@freepascal.org>

	* tests/tbs/tb0456.pp:
	
	  * ugly byte:byte code for method

2003-10-01 20:17  peter <peter@freepascal.org>

	* tests/tbs/tb0456.pp:
	
	  * function byte:byte	not working

2003-09-30 11:19  fpc

	* tests/: Makefile, Makefile.fpc:
	
	+ dbdigest needs compiler version

2003-09-29 16:36  peter <peter@freepascal.org>

	* tests/utils/redir.pp:
	
	  * win32 fixed

2003-09-28 11:25  peter <peter@freepascal.org>

	* tests/test/cg/: tcalcst5.pp, tcalobj4.pp, tcalval5.pp,
	tcalvar5.pp:
	
	  * popstack changed to oldfpccall (1.1 only)

2003-09-25 18:48  peter <peter@freepascal.org>

	* tests/utils/redir.pp:
	
	  * fixed for 1.1 unix

2003-09-14 14:56  peter <peter@freepascal.org>

	* tests/tbf/tb0157.pp:
	
	  * test is now passed successfully to be delphi compatible

2003-09-14 14:45  peter <peter@freepascal.org>

	* tests/tbf/tb0157.pp:
	
	  * overloading test for multiple implementations

2003-09-07 16:12  florian <florian@freepascal.org>

	* tests/webtbf/tw2670.pp:
	
	no message

2003-09-07 16:12  michael <michael.vancanneyt@wisa.be>

	* tests/webtbs/tw2668.pp:
	
	+ Added on florians request

2003-09-07 00:18  florian <florian@freepascal.org>

	* tests/webtbs/tw2669.pp:
	
	no message

2003-09-06 20:01  florian <florian@freepascal.org>

	* tests/webtbs/: Tw2668.pp, Tw2668.pp:
	
	no message

2003-09-06 19:07  florian <florian@freepascal.org>

	* tests/webtbs/tw1901.pp:
	
	  * fixed test to work with FPC

2003-08-26 11:34  peter <peter@freepascal.org>

	* tests/webtbs/tw2220.pp:
	
	  * extended test

2003-08-10 19:01  peter <peter@freepascal.org>

	* tests/webtbs/: tw2588.pp, tw2589.pp, tw2594.pp, tw2595.pp,
	tw2602.pp, tw2607.pp, tw2620.pp, tw2626.pp, tw2627.pp:
	
	  * new bugs

2003-08-09 13:38  carl <carl@freepascal.org>

	* tests/tbs/tb0455.pp:
	
	* Bugfix of procedrual variables of methods (Bug report 2588)

2003-07-25 13:53  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw2540.pp:
	
	  + added

2003-07-21 15:04  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0454.pp:
	
	  + added

2003-07-08 17:58  peter <peter@freepascal.org>

	* tests/webtbs/tw2557.pp:
	
	  * test shall fail

2003-07-08 17:39  peter <peter@freepascal.org>

	* tests/webtbs/tw2557.pp:
	
	  * objfpc mode

2003-07-08 16:34  peter <peter@freepascal.org>

	* tests/webtbf/tw2562.pp:
	
	  * new bug

2003-07-08 16:23  peter <peter@freepascal.org>

	* tests/webtbs/tw2561.pp:
	
	  * new bug

2003-07-06 00:28  peter <peter@freepascal.org>

	* tests/webtbs/tw2557.pp:
	
	  * new bug

2003-06-19 12:04  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/tstr.pp:
	
	 * fix for m68k, extended are 12 bytes

2003-06-18 13:14  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tint642.pp:
	
	 * use more reasonable iteration counts for this test

2003-06-17 10:31  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/tcalpvr3.pp:
	
	 * add known 1.0 compile time error

2003-06-13 10:16  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/dotest.pp:
	
	 * fix a problem with KNOWNCOMPILE10ERROR

2003-06-08 21:57  jonas <jonas.maebe@rug.ac.be>

	* tests/test/tstring4.pp:
	
	  * fixed for ppc

2003-06-05 22:03  peter <peter@freepascal.org>

	* tests/utils/redir.pp:
	
	  * Shell return adapted for 1.1

2003-05-23 19:11  peter <peter@freepascal.org>

	* tests/webtbf/tw2478.pp:
	
	  * forgot %fail

2003-05-23 17:01  peter <peter@freepascal.org>

	* tests/: webtbf/tw2478.pp, webtbs/tw2480.pp:
	
	  * new bugs

2003-05-23 16:44  peter <peter@freepascal.org>

	* tests/webtbs/: tw2494.pp, tw2503.pp, tw2504.pp:
	
	  * new bugs

2003-05-23 16:33  peter <peter@freepascal.org>

	* tests/webtbs/tw1923.pp:
	
	  * updated

2003-05-17 14:46  jonas <jonas.maebe@rug.ac.be>

	* tests/test/units/strings/tstrcopy.pp:
	
	  + test for strcopy()

2003-05-17 02:09  florian <florian@freepascal.org>

	* tests/test/units/strings/tstrings1.pp:
	
	  + initial revision

2003-05-16 17:01  peter <peter@freepascal.org>

	* tests/webtbs/: tw2318.pp, tw2318b.pp:
	
	  * typeof(classref) fix

2003-05-16 17:00  peter <peter@freepascal.org>

	* tests/webtbs/tw2332.pp:
	
	  * typeof(classref) is not allowed

2003-05-16 16:59  peter <peter@freepascal.org>

	* tests/webtbs/tw2442.pp:
	
	  * missing ;

2003-05-16 16:58  peter <peter@freepascal.org>

	* tests/test/cg/tprintf.pp:
	
	  * win32 prefix is I64

2003-05-15 22:57  peter <peter@freepascal.org>

	* tests/webtbs/tw2317.pp:
	
	  * typeof(classref) is not possible

2003-05-15 22:41  peter <peter@freepascal.org>

	* tests/test/cg/tprintf.pp:
	
	  * int64 prefix for win32 is q

2003-05-15 22:38  peter <peter@freepascal.org>

	* tests/test/cg/tcalcla1.pp:
	
	  * remove po_containsself tests

2003-05-15 22:35  florian <florian@freepascal.org>

	* tests/test/units/dos/: tdos.pp, tidos.pp:
	
	  * ifdef'd SwapVectors

2003-05-15 22:34  peter <peter@freepascal.org>

	* tests/test/cg/: tcalpvr1.pp, tcalpvr2.pp, tcalpvr3.pp,
	tcalpvr4.pp, tcalpvr5.pp, tcalpvr6.pp, tcalpvr7.pp, tcalpvr8.pp:
	
	  * removed po_containsself tests

2003-05-15 22:18  peter <peter@freepascal.org>

	* tests/webtbs/tw2483.pp:
	
	  * new bug

2003-05-13 18:55  florian <florian@freepascal.org>

	* tests/test/texception1.pp:
	
	  * Improved output

2003-05-13 16:47  peter <peter@freepascal.org>

	* tests/tbs/tb0224.pp:
	
	  * overload keyword added, test is successfull for 1.1. known
	issue
	    for 1.0.x

2003-05-13 11:28  jonas <jonas.maebe@rug.ac.be>

	* tests/test/cg/tstr.pp:
	
	  * fxed test for 80x86

2003-05-13 10:12  jonas <jonas.maebe@rug.ac.be>

	* tests/test/cg/tcalpext.pp:
	
	  * patch from Peter for win32 .ow to .o change

2003-05-12 21:18  jonas <jonas.maebe@rug.ac.be>

	* tests/test/tfillchr.pp:
	
	  + fillchar test

2003-05-11 19:12  jonas <jonas.maebe@rug.ac.be>

	* tests/test/cg/tstr.pp:
	
	  * adapted for systems with less max fpu precision than i386

2003-05-10 19:33  jonas <jonas.maebe@rug.ac.be>

	* tests/test/tmove.pp:
	
	  + test for move() procedure

2003-05-10 11:55  peter <peter@freepascal.org>

	* tests/test/units/system/tjmp.pp:
	
	  * fix loop variable

2003-05-09 18:31  peter <peter@freepascal.org>

	* tests/units/: Makefile, Makefile.fpc:
	
	  * create tmp installdir to install exe files

2003-05-09 17:52  peter <peter@freepascal.org>

	* tests/test/cg/tclatype.pp:
	
	  * remvoed class/static methods

2003-05-06 19:59  peter <peter@freepascal.org>

	* tests/tbs/tb0453.pp:
	
	  * crash with constructor/destructor combi

2003-05-01 14:30  jonas <jonas.maebe@rug.ac.be>

	* tests/test/tset2.pp:
	
	  * test now returns exitcode 1 in case something went wrong

2003-04-30 23:52  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/units/dos/tfexpand.pp:
	
	 * use win32err unit for win32 target

2003-04-30 23:21  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: Makefile, Makefile.fpc:
	
	 * compile win32err unit for win32 target

2003-04-29 23:12  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/: testfail.pp, win32err.pp:
	
	 * win32 specific unit added

2003-04-28 18:07  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * fix dbdigest build

2003-04-26 18:44  florian <florian@freepascal.org>

	* tests/test/cg/taddreal1.pp:
	
	  * released the code for all cpus, at least with i386, it works
	fine

2003-04-24 11:41  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/testu.pp:
	
	 * handle also lines with spaces before the open brace

2003-04-24 11:40  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0377.pp:
	
	 * add a knowncompileerror for big endian case

2003-04-23 14:38  peter <peter@freepascal.org>

	* tests/tbf/tb0130.pp:
	
	  * cdecl methods are required for CLX compatibilit

2003-04-23 10:13  peter <peter@freepascal.org>

	* tests/tbs/tb0452.pp:
	
	  * delphi style imports

2003-04-22 15:03  florian <florian@freepascal.org>

	* tests/test/cg/tsubst.pp:
	
	  * fixed for non i386/m68k cpus

2003-04-22 12:24  florian <florian@freepascal.org>

	* tests/test/cg/: tcalcla1.pp, tcalcst1.pp, tcalcst2.pp,
	tcalcst3.pp, tcalcst4.pp, tcalcst5.pp, tcalcst6.pp, tcalcst7.pp,
	tcalcst8.pp, tcalcst9.pp, tcalfun1.pp, tcalfun2.pp, tcalfun3.pp,
	tcalfun4.pp, tcalfun5.pp, tcalfun6.pp, tcalfun7.pp, tcalfun8.pp,
	tcalfun9.pp, tcalobj1.pp, tcalobj2.pp, tcalobj3.pp, tcalobj4.pp,
	tcalobj5.pp, tcalobj6.pp, tcalobj7.pp, tcalobj8.pp, tcalval1.pp,
	tcalval2.pp, tcalval3.pp, tcalval4.pp, tcalval5.pp, tcalval6.pp,
	tcalval7.pp, tcalval8.pp, tcalval9.pp, tcalvar1.pp, tcalvar2.pp,
	tcalvar3.pp, tcalvar4.pp, tcalvar5.pp, tcalvar6.pp, tcalvar7.pp,
	tcalvar8.pp, tcalvar9.pp:
	
	  * fixed defines for powerpc

2003-04-22 11:59  peter <peter@freepascal.org>

	* tests/test/tclass2.pp:
	
	  * fix calling of to1.destroy from to2.destroy

2003-04-21 20:34  florian <florian@freepascal.org>

	* tests/test/cg/tcalobj1.pp:
	
	  + powerpc support

2003-04-11 18:11  peter <peter@freepascal.org>

	* tests/webtbf/tw2359.pp:
	
	  * new bug

2003-04-11 17:51  peter <peter@freepascal.org>

	* tests/webtbs/tw2425.pp:
	
	  * new bug

2003-04-11 17:08  peter <peter@freepascal.org>

	* tests/webtbs/: tw2435.pp, tw2438.pp:
	
	  * new bug

2003-04-11 16:50  peter <peter@freepascal.org>

	* tests/webtbs/tw2454.pp:
	
	  * new bug

2003-04-10 09:06  pierre <muller@cerbere.u-strasbg.fr>

	* tests/units/: Makefile, Makefile.fpc:
	
	 * also recompile packages/base if needed

2003-04-01 18:09  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2003-03-30 23:00  peter <peter@freepascal.org>

	* tests/test/: tclass1.pp, tclass2.pp:
	
	  * extended the tests with inherited call

2003-03-30 21:22  peter <peter@freepascal.org>

	* tests/test/cg/tclasize.pp:
	
	  * fixed sizeof() results

2003-03-28 18:59  peter <peter@freepascal.org>

	* tests/webtbs/tw2442.pp:
	
	  * new bug

2003-03-26 16:15  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw2323.pp:
	
	 * don't use asm directly for main

2003-03-25 20:26  peter <peter@freepascal.org>

	* tests/tbf/tb0156.pp:
	
	  * rte 211 when error at left site

2003-03-24 16:32  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw2046a.pp:
	
	 * check that the code works of cdecl is not used

2003-03-24 01:14  hajny <xhajt03@mbox.vol.cz>

	* tests/: Makefile, units/Makefile:
	
	  + platform extensions unified, emx target added

2003-03-22 09:39  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw2432.pp:
	
	 new check added

2003-03-21 11:59  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0432.pp:
	
	 + signal doserror equal to zero as a known problem

2003-03-19 18:33  peter <peter@freepascal.org>

	* tests/webtbf/tw2400.pp:
	
	  * new bugs

2003-03-17 22:38  peter <peter@freepascal.org>

	* tests/webtbs/: tw2397.pp, tw2030.pp:
	
	  * new bugs

2003-03-17 22:32  peter <peter@freepascal.org>

	* tests/webtbs/tw2323.pp:
	
	  * valid runtime code

2003-03-17 20:27  peter <peter@freepascal.org>

	* tests/test/units/system/: tassert2.pp, tassert3.pp, tassert4.pp,
	tassert5.pp, tassignd.pp:
	
	  * fixed for 1.1 compiler

2003-03-17 20:26  peter <peter@freepascal.org>

	* tests/webtbf/: tw2357.pp, tw2383.pp:
	
	  * new bugs

2003-03-17 19:52  peter <peter@freepascal.org>

	* tests/: webtbf/tw2362.pp, webtbs/tw2328.pp, webtbs/tw2351.pp,
	webtbs/tw2378.pp:
	
	  * new bugs

2003-03-17 14:39  peter <peter@freepascal.org>

	* tests/: webtbf/tw2414.pp, webtbf/uw2414.pp, webtbs/tw2409.pp,
	webtbs/tw2421.pp:
	
	  * new bugs

2003-03-17 00:31  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw0719.pp:
	
	 * check if fileAge returns -1

2003-03-14 23:54  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/units/dos/tfexpand.pp:
	
	 * remove final slash from HOME env

2003-03-14 10:20  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tstack.pp:
	
	 * check that an infinite recursion generates RTE 202 or at least
	216

2003-03-10 12:10  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0377.pp:
	
	 * add a not for nig endian machines

2003-03-10 12:04  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbf/tb0107a.pp:
	
	 * test only with longint to byte typecast

2003-03-07 12:11  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/trange5.pp:
	
	 * fix trange5 for big endian machines

2003-03-06 23:18  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/obj/readme.txt:
	
	 + m68k netbsd object added

2003-03-06 23:16  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/obj/netbsd/m68k/ctest.o:
	
	  + m68k netbsd object file

2003-03-04 19:19  jonas <jonas.maebe@rug.ac.be>

	* tests/test/units/system/: tsetstr.pp, tsetstr2.pp:
	
	  * adapted tests to fixed implementation

2003-03-03 16:43  carl <carl@freepascal.org>

	* tests/webtbf/tw2403.pp:
	
	+ 2403 bug report

2003-03-03 14:06  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0451.pp:
	
	  + added

2003-02-21 12:35  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/: tb0447.pp, tb0447a.pp:
	
	 * register as known v1.0 problems

2003-02-20 23:31  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tintuint.pp:
	
	 + catch RTE 201

2003-02-20 16:31  michael <michael.vancanneyt@wisa.be>

	* tests/utils/dbtests.pp:
	
	+ Translated comments

2003-02-20 13:42  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: test/tarray3.pp, test/tarray4.pp, test/tintuint.pp,
	tbs/tb0207.pp, tbs/tb0224.pp:
	
	 + known problems described

2003-02-20 13:41  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/dotest.pp:
	
	 + handle KNOWNCOMPILEERROR and KNOWNCOMPILE10ERROR

2003-02-20 13:40  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/testu.pp:
	
	 + KNOWNCOMPILEERROR and KNOWNCOMPILE10ERROR added

2003-02-18 18:36  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw2382.pp:
	
	  + changed web bug 2382 into test for root cause

2003-02-18 13:38  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tintuint.pp:
	
	 + longint/cardinal additions checks

2003-02-17 17:58  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw2377.pp:
	
	 * add a check for bug 2377

2003-02-17 17:00  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbf/: tb0155.pp, tb0155a.pp, tb0155b.pp:
	
	 * check that doubleaddr are refused in fpc mode

2003-02-17 14:47  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/: tb0433.pp, tb0433a.pp, tb0433b.pp:
	
	 * more delphi/fpc procvar address tests

2003-02-14 17:56  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tlibrary2.pp:
	
	 * avoid failure on dummy test

2003-02-13 11:20  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw2323.pp:
	
	 + new test

2003-02-12 12:07  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tclass7.pp:
	
	 * mark tclaa7 as a known problem for v1.0

2003-02-12 12:03  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw0882.pp:
	
	* fix code for big endian systems

2003-02-11 13:03  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0431.pp:
	
	 + also check shr 0 and shl 0

2003-02-11 12:58  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0434.pp:
	
	 * enhance check

2003-02-11 10:41  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/: tw0934.pp, tw2110.pp:
	
	 * -Or option is not allowed for m68k cpu

2003-02-09 00:03  pierre <muller@cerbere.u-strasbg.fr>

	* tests/Makefile:
	
	 * regenerated after clean problem fix

2003-02-02 15:37  carl <carl@freepascal.org>

	* tests/tbs/tb0450.pp:
	
	 + round returning int64 problem

2003-02-02 14:46  carl <carl@freepascal.org>

	* tests/tbs/tb0449.pp:
	
	 + exception testing

2003-02-02 14:13  peter <peter@freepascal.org>

	* tests/test/tclass7.pp:
	
	  * DefaultHandler for messages

2003-02-01 16:39  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbf/tw1306.pp:
	
	 * check that there is no internal error anymore

2003-01-31 23:18  peter <peter@freepascal.org>

	* tests/webtbs/tw2317.pp:
	
	  * runtime check added

2003-01-31 23:10  peter <peter@freepascal.org>

	* tests/test/tclass5.pp:
	
	  * remove typeof() call on the uninitialized class, because
	    that fails always

2003-01-31 23:08  pierre <muller@cerbere.u-strasbg.fr>

	* tests/Makefile.fpc:
	
	 * don't use INUNIX for clean rule

2003-01-31 22:55  peter <peter@freepascal.org>

	* tests/webtbf/tw2242.pp:
	
	  * fix target list option

2003-01-22 17:12  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw2332.pp:
	
	 * check added

2003-01-22 01:36  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0419.pp:
	
	 * also check that array can be accessed correctly

2003-01-21 14:45  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw2311.pp:
	
	 * new check

2003-01-21 12:55  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/: tw2317.pp, tw2318.pp, tw2318b.pp:
	
	 + new tests for static troubles

2003-01-20 16:49  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/tobjsiz2.pp:
	
	 * check static with objects without VMTs

2003-01-20 15:56  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/tobjsize.pp:
	
	 + check sizeof for objects

2003-01-20 15:13  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/: tclasize.pp, tclatype.pp:
	
	 * tests clarified

2003-01-20 14:37  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/tclasize.pp:
	
	 + add checks with InstanceSize called by different methods

2003-01-17 16:39  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/: tclacla1.pp, tclasize.pp, tclatype.pp:
	
	 + class / sizeof / typeof tests for classes

2003-01-16 23:14  peter <peter@freepascal.org>

	* tests/test/cg/: tcalpvr1.pp, tcalpvr2.pp, tcalpvr3.pp,
	tcalpvr4.pp, tcalpvr5.pp, tcalpvr6.pp, tcalpvr7.pp, tcalpvr8.pp:
	
	  * fixed wrong methodpointer loads

2003-01-15 13:01  peter <peter@freepascal.org>

	* tests/webtbs/tw2242.pp:
	
	  * typo in previous commit

2003-01-15 12:33  peter <peter@freepascal.org>

	* tests/: webtbf/tw2242.pp, webtbs/tw2242.pp:
	
	  * tw2242 should fail for win32, go32v2

2003-01-15 12:31  peter <peter@freepascal.org>

	* tests/test/cg/tprintf.pp:
	
	  * 1.1 only, becuase it requires automatic dll import for win32

2003-01-15 11:37  florian <florian@freepascal.org>

	* tests/test/cg/tmoddiv.pp:
	
	  * test for 1.0.x fixed

2003-01-15 02:05  peter <peter@freepascal.org>

	* tests/tbf/tb0114.pp:
	
	  * 1.1 only, needed changes are to big for 1.0.x

2003-01-15 01:51  peter <peter@freepascal.org>

	* tests/webtbs/tw1284.pp:
	
	  * hint will be triggered because of a conditional when compiling
	    the system unit. This will not be changed in 1.0.x

2003-01-15 01:48  peter <peter@freepascal.org>

	* tests/webtbs/: tw1792.pp, tw1792a.pp:
	
	  * power returns int64

2003-01-15 01:04  peter <peter@freepascal.org>

	* tests/: webtbf/tw2285.pp, webtbs/tw2285.pp:
	
	  * test should fail

2003-01-14 22:15  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2003-01-12 20:46  hajny <xhajt03@mbox.vol.cz>

	* tests/utils/redir.pp:
	
	  + newer functions made available under OS/2

2003-01-12 20:28  hajny <xhajt03@mbox.vol.cz>

	* tests/test/cg/obj/os2/i386/ctest.o:
	
	  + OS/2 ctest.o added

2003-01-12 18:15  peter <peter@freepascal.org>

	* tests/tbs/tb0448.pp:
	
	  * runtime check

2003-01-12 17:22  peter <peter@freepascal.org>

	* tests/tbs/tb0448.pp:
	
	  * procvar load with overloaded function

2003-01-08 16:56  peter <peter@freepascal.org>

	* tests/tbs/tb0429.pp:
	
	  * add check if pos(ansistring) still works

2003-01-07 20:36  peter <peter@freepascal.org>

	* tests/tbs/tb0429.pp:
	
	  * 1.1

2003-01-07 20:36  peter <peter@freepascal.org>

	* tests/tbs/tb0446.pp:
	
	  * add test for charray=nil

2003-01-07 16:48  peter <peter@freepascal.org>

	* tests/: webtbf/tw2273.pp, webtbs/tw2273.pp:
	
	  * test should fail

2003-01-06 22:37  peter <peter@freepascal.org>

	* tests/test/cg/tprintf.pp:
	
	  * explicit name imports for win32

2003-01-06 22:26  peter <peter@freepascal.org>

	* tests/webtbs/tw2229.pp:
	
	  * result=217

2003-01-06 22:22  peter <peter@freepascal.org>

	* tests/webtbs/tw2280.pp:
	
	  * 1.1 only

2003-01-05 23:21  peter <peter@freepascal.org>

	* tests/tbs/tb0356.pp:
	
	  * use self.test instead of tc.test

2003-01-05 23:21  peter <peter@freepascal.org>

	* tests/tbf/tb0154.pp:
	
	  * methodpointer 2 procvar test

2003-01-05 21:47  michael <michael.vancanneyt@wisa.be>

	* tests/test/README:
	
	+ Added tinivar.pp test

2003-01-05 19:35  peter <peter@freepascal.org>

	* tests/tbs/tb0447.pp:
	
	  * rangecheck error when operands are widened

2003-01-05 19:21  peter <peter@freepascal.org>

	* tests/test/cg/: tcalobj2.pp, tcalobj4.pp, tcalobj6.pp,
	tcalpvr2.pp, tcalpvr6.pp:
	
	  * removed more conflicting calling directives

2003-01-05 19:14  peter <peter@freepascal.org>

	* tests/tbf/: tb0071.pp, tb0104.pp, tb0112.pp:
	
	  * 1.1 only

2003-01-05 19:14  peter <peter@freepascal.org>

	* tests/tbf/tb0153.pp:
	
	  * popstack missing in implementatio

2003-01-05 01:21  peter <peter@freepascal.org>

	* tests/test/: testv1.pp, testv3.pp, testv4.pp, testv5.pp,
	testv6.pp, testv7.pp, testv8.pp:
	
	  * 1.1 only

2003-01-03 20:18  peter <peter@freepascal.org>

	* tests/webtbs/tw2306.pp:
	
	  * runtime check

2003-01-03 17:26  peter <peter@freepascal.org>

	* tests/webtbs/: tw2305.pp, tw2306.pp, tw2307.pp:
	
	  * new bugs

2003-01-02 21:37  peter <peter@freepascal.org>

	* tests/tbs/tb0446.pp:
	
	  * pchar=char failure

2003-01-02 17:48  peter <peter@freepascal.org>

	* tests/tbs/tb0445.pp:
	
	  * more complex check

2003-01-02 17:32  peter <peter@freepascal.org>

	* tests/tbs/tb0445.pp:
	
	  * self as var in non-object procvar

2003-01-02 17:28  peter <peter@freepascal.org>

	* tests/webtbs/tw2300.pp:
	
	  * new bug

2003-01-02 17:19  peter <peter@freepascal.org>

	* tests/tbs/tb0105.pp:
	
	  * go32v2 and linux specific, because it needs 'as' for assembling

2003-01-02 17:19  peter <peter@freepascal.org>

	* tests/webtbs/tw2177.pp:
	
	  * fixed runtime check

2003-01-02 17:17  peter <peter@freepascal.org>

	* tests/webtbs/tw2197.pp:
	
	  * updated runtime check

2003-01-02 12:19  michael <michael.vancanneyt@wisa.be>

	* tests/test/tinivar.pp:
	
	+ Test for locally initialized variables

2003-01-01 23:46  peter <peter@freepascal.org>

	* tests/webtbs/tw2270.pp:
	
	  * not a bug

2003-01-01 23:28  peter <peter@freepascal.org>

	* tests/webtbs/: tw2270.pp, tw2291.pp, tw2294.pp:
	
	  * new bugs

2003-01-01 22:09  peter <peter@freepascal.org>

	* tests/tbf/tb0152.pp:
	
	  * test should fail

2003-01-01 22:09  peter <peter@freepascal.org>

	* tests/tbf/tb0126.pp:
	
	  * delphi mode only

2003-01-01 21:59  florian <florian@freepascal.org>

	* tests/webtbs/tw1122.pp:
	
	no message

2002-12-30 14:03  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw2296.pp:
	
	  + added

2002-12-30 00:50  florian <florian@freepascal.org>

	* tests/webtbs/tw2214.pp:
	
	no message

2002-12-29 18:51  peter <peter@freepascal.org>

	* tests/tbs/tb0444.pp:
	
	  * delphi allows callign convention in implementation

2002-12-29 16:30  peter <peter@freepascal.org>

	* tests/test/cg/: tcalobj3.pp, tcalobj4.pp, tcalobj5.pp,
	tcalobj7.pp, tcalobj8.pp, tcalpvr4.pp, tcalpvr5.pp, tcalpvr7.pp,
	tcalpvr8.pp, tcalvar4.pp:
	
	  * updated for 1.1 compiler that does not allow calling
	conventions
	    for constructor/destructor

2002-12-27 20:22  peter <peter@freepascal.org>

	* tests/webtbs/: tw2280.pp, tw2289.pp:
	
	  * new bugs

2002-12-27 19:37  peter <peter@freepascal.org>

	* tests/webtbs/tw2220.pp:
	
	  * new bugs

2002-12-27 19:23  peter <peter@freepascal.org>

	* tests/webtbs/: tw2229.pp, tw2285.pp:
	
	  * new bugs

2002-12-27 19:09  peter <peter@freepascal.org>

	* tests/webtbs/: tw2266.pp, tw2267.pp, tw2268.pp, tw2269.pp,
	tw2270.pp, tw2273.pp, tw2274.pp, uw2266a.inc, uw2266b.pas,
	uw2269.inc:
	
	  * new bugs

2002-12-27 15:51  peter <peter@freepascal.org>

	* tests/webtbs/tw2196.pp:
	
	  * runtime check added

2002-12-27 15:51  peter <peter@freepascal.org>

	* tests/tbs/tb0443.pp:
	
	  * old bug tbf/tb0122 that should succeed

2002-12-27 15:50  peter <peter@freepascal.org>

	* tests/tbf/tb0122.pp:
	
	  * test should succeed

2002-12-27 15:50  peter <peter@freepascal.org>

	* tests/tbf/tb0035.pp:
	
	  * go32v2 test

2002-12-26 12:34  mazen <mazen@freepascal.org>

	* tests/tbs/tb0441.pp:
	
	+ testing operator overloading

2002-12-25 01:46  peter <peter@freepascal.org>

	* tests/tbs/tb0440.pp:
	
	  * delphi mode

2002-12-25 01:42  peter <peter@freepascal.org>

	* tests/tbs/: tb0440.pp, ub0440.pp:
	
	  * procedure with the same name as a unit hides the unit

2002-12-25 00:50  peter <peter@freepascal.org>

	* tests/tbs/tb0439.pp:
	
	  * array of char+integer is allowed in delphi

2002-12-24 23:31  peter <peter@freepascal.org>

	* tests/: tbf/tb0044.pp, tbf/tb0056.pp, tbs/tb0014.pp,
	tbs/tb0032.pp, tbs/tb0038.pp, tbs/tb0041.pp, tbs/tb0043.pp,
	tbs/tb0045.pp, tbs/tb0046.pp, tbs/tb0051.pp, tbs/tb0088.pp,
	tbs/tb0089.pp, tbs/tb0091.pp, tbs/tb0164.pp, tbs/tb0182.pp,
	tbs/tb0203.pp, tbs/tb0205.pp, tbs/tb0225.pp, tbs/tb0240.pp,
	tbs/tb0257.pp, tbs/tb0262.pp, tbs/tb0304.pp, tbs/tb0359.pp,
	webtbs/tw0711.pp, webtbs/tw0753.pp, webtbs/tw0812.pp,
	webtbs/tw0813.pp, webtbs/tw0922.pp, webtbs/tw0925.pp,
	webtbs/tw0966.pp, webtbs/tw1375.pp, webtbs/tw1398.pp,
	webtbs/tw1696.pp, webtbs/tw1779.pp, webtbs/tw1808.pp,
	webtbs/tw1820.pp, webtbs/tw1873.pp, webtbs/tw1964.pp,
	webtbs/tw2046.pp:
	
	  * changed $ifdefs to %target
	  * removed obsolete dpmiexcp unit for go32v2

2002-12-24 23:30  peter <peter@freepascal.org>

	* tests/utils/dotest.pp:
	
	  * small verbosity update

2002-12-24 22:52  peter <peter@freepascal.org>

	* tests/units/: Makefile, Makefile.fpc:
	
	  * don't clean the original rtl dirs

2002-12-24 22:47  peter <peter@freepascal.org>

	* tests/utils/: dbdigest.pp, digest.pp, dotest.pp, teststr.pp,
	testu.pp:
	
	  * NeedTarget, SkipTarget, SkipCPU added
	  * Retrieve compiler info in a single call for 1.1 compiler

2002-12-24 17:52  peter <peter@freepascal.org>

	* tests/tbs/tb0438.pp:
	
	  * runtime check

2002-12-24 16:36  peter <peter@freepascal.org>

	* tests/tbs/: tb0438.pas, tb0438.pp:
	
	  * renamed to .pp

2002-12-24 00:21  florian <florian@freepascal.org>

	* tests/tbs/tb0438.pas:
	
	no message

2002-12-23 21:13  peter <peter@freepascal.org>

	* tests/test/cg/tprintf.pp:
	
	  * win32 fix

2002-12-23 21:13  peter <peter@freepascal.org>

	* tests/webtbf/tw2281.pp:
	
	  * new bug

2002-12-22 16:14  peter <peter@freepascal.org>

	* tests/test/toperator5.pp:
	
	  * ucomplex will be delivered with 1.1

2002-12-22 15:33  peter <peter@freepascal.org>

	* tests/webtbs/tw2277.pp:
	
	  * exit(procvar) in tp mode

2002-12-21 16:39  michael <michael.vancanneyt@wisa.be>

	* tests/utils/dbdigest.pp:
	
	* Some verbosity changes

2002-12-21 16:31  michael <michael.vancanneyt@wisa.be>

	* tests/utils/: dbdigest.pp, dbtests.pp:
	
	+ Added support for compiler version

2002-12-21 11:29  peter <peter@freepascal.org>

	* tests/webtbs/: tw2196.pp, tw2214.pp:
	
	  * new bugs

2002-12-21 11:29  peter <peter@freepascal.org>

	* tests/webtbs/tw2046.pp:
	
	  * fixed runtime check

2002-12-20 21:35  florian <florian@freepascal.org>

	* tests/tbs/: tb0437.pp, ub0437a.pp, ub0437b.pp, ub0437c.pp,
	tb0437.pp:
	
	no message

2002-12-20 17:35  peter <peter@freepascal.org>

	* tests/tbs/tb0436.pp:
	
	  * some special array constructor cases

2002-12-20 15:47  michael <michael.vancanneyt@wisa.be>

	* tests/utils/tests.sql:
	
	+ Alternate 1.1 version

2002-12-20 15:44  michael <michael.vancanneyt@wisa.be>

	* tests/tbf/tb0143.pp:
	
	+ Fixed 1.1 version flag

2002-12-20 14:14  florian <florian@freepascal.org>

	* tests/tbf/tb0143.pp:
	
	  * made the test >=1.1 only

2002-12-20 01:19  michael <michael.vancanneyt@wisa.be>

	* tests/utils/tests.sql:
	
	+ Added version table

2002-12-19 09:43  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/: tw2040.pp, uw2040.pp:
	
	 + test for web bug 2040

2002-12-18 22:40  peter <peter@freepascal.org>

	* tests/webtbs/: tw2176.pp, tw2197.pp, tw2198.pp:
	
	  * new bugs

2002-12-18 17:26  peter <peter@freepascal.org>

	* tests/tbf/tb0151.pp:
	
	  * Class(classref) should not be allowed

2002-12-18 00:14  peter <peter@freepascal.org>

	* tests/test/: tlibrary.pp, tlibrary1.pp, tlibrary2.pp:
	
	  * renamed tlibrary to tlibrary1 so it'll be compiled before
	tlibrary2

2002-12-17 20:13  peter <peter@freepascal.org>

	* tests/tbs/: tb0433.pp, tb0434.pp, tb0435.pp:
	
	  * procvar and absolute probs
	  * procvar and addr() probs

2002-12-17 16:03  michael <michael.vancanneyt@wisa.be>

	* tests/: Makefile, Makefile.fpc, utils/dbdigest.pp,
	utils/dbtests.pp, utils/dotest.pp, utils/tests.sql, utils/testu.pp:
	
	+ Added dbdigest to store results in a database

2002-12-17 13:03  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: Makefile, Makefile.fpc:
	
	 + added check if COMSPEC returns error code

2002-12-16 21:40  peter <peter@freepascal.org>

	* tests/test/: tlibrary2.pp, units/system/tsetstr.pp:
	
	  * win32 fix

2002-12-15 23:48  peter <peter@freepascal.org>

	* tests/webtbs/tw1573.pp:
	
	  * mode objfpc

2002-12-15 21:27  peter <peter@freepascal.org>

	* tests/tbs/tb0432.pp:
	
	  * error check for invalid date in setftime

2002-12-15 21:25  peter <peter@freepascal.org>

	* tests/: webtbs/tw2046.pp, webtbs/tw2233.pp, webtbs/tw2242.pp,
	webtbs/tw2250.pp, webtbs/tw2259.pp, webtbs/tw2260.pp,
	webtbf/tw1969.pp, webtbf/tw2018.pp:
	
	  * new bugs

2002-12-15 14:35  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * clean removes also *.o, *.so, *.ppu

2002-12-15 14:30  peter <peter@freepascal.org>

	* tests/utils/dotest.pp:
	
	  * NEEDLIBRARY option to add -rpath to the linker for unix. This
	is
	    needed to test runtime library tests. The library needs the
	-FE.
	    option to place the .so in the correct directory

2002-12-15 14:29  peter <peter@freepascal.org>

	* tests/test/: tlibrary.pp, tlibrary2.pp:
	
	  * test runtime loading of library

2002-12-12 11:31  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0431.pp:
	
	 x:=x*1 created wrong code for m68k

2002-12-11 20:52  peter <peter@freepascal.org>

	* tests/tbs/tb0430.pp:
	
	  * Another strange delphi procvar thingy, this time with
	assigned()

2002-12-06 17:48  peter <peter@freepascal.org>

	* tests/test/units/dos/tfattr.pp:
	
	  * Not supporting an ending slash is Dos specific

2002-12-06 17:38  peter <peter@freepascal.org>

	* tests/test/units/dos/tdos2.pp:
	
	  * cleanup tempfiles

2002-12-06 17:36  peter <peter@freepascal.org>

	* tests/test/units/dos/tdos2.pp:
	
	  * made more tests go32v2 specific because they expect (buggy?)
	Dos
	    findfirst behaviour

2002-12-06 16:49  peter <peter@freepascal.org>

	* tests/test/cg/taddreal1.pp:
	
	  * FPU emu is only needed for m68k

2002-12-06 16:44  peter <peter@freepascal.org>

	* tests/test/testsse2.pp:
	
	  * fix compile problem

2002-12-06 16:44  peter <peter@freepascal.org>

	* tests/test/units/system/: trdtxt01.pp, trdtxt02.pp, trdtxt03.pp:
	
	  * use Sysutils for not fpc compilers

2002-12-06 16:29  peter <peter@freepascal.org>

	* tests/tbs/tb0429.pp:
	
	  * runtime check added

2002-12-06 16:21  peter <peter@freepascal.org>

	* tests/tbs/tb0429.pp:
	
	  * shortstring should be prefered when converting string-string

2002-12-05 17:05  pierre <muller@cerbere.u-strasbg.fr>

	* tests/.cvsignore:
	
	 digest generated files added

2002-12-05 17:04  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/: fail.pp, testfail.pp:
	
	 * new files for checking if ComSpec returns error

2002-12-05 17:03  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/dotest.pp:
	
	 + -X option to disable UseComSpec

2002-12-05 17:03  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/redir.pp:
	
	 + UseComSpec boolean added to be able to not use ComSpec

2002-12-05 16:54  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/tcalvar4.pp:
	
	 * update as openstrings are transformed into normal string in
	cdecl'ared functions

2002-12-05 16:50  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0428.pp:
	
	 * check smallset+normset

2002-12-05 16:43  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0241b.pp:
	
	 + one more check for the long mangledname problem

2002-12-04 23:08  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/: tw1539.pp, tw1909.pp:
	
	 + new interactive test

2002-12-03 10:30  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0427.pp:
	
	+ bug reported by jazesage@aol.com

2002-12-02 01:29  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0277.pp:
	
	 * fix test for m68k that only aligns to words

2002-11-30 19:46  carl <carl@freepascal.org>

	* tests/tbs/: tb0426.pp, ub0426.pp:
	
	  + hint directive testing

2002-11-30 19:46  carl <carl@freepascal.org>

	* tests/tbf/tb0150.pp:
	
	  + set testing

2002-11-29 00:55  florian <florian@freepascal.org>

	* tests/test/testsse2.pp:
	
	no message

2002-11-29 00:34  florian <florian@freepascal.org>

	* tests/tbs/tb0410.pp:
	
	  * fixed test, don't remember the use of it :/

2002-11-27 17:41  peter <peter@freepascal.org>

	* tests/test/units/dos/tdos2.pp:
	
	  * volumeid is dos specific

2002-11-27 15:51  peter <peter@freepascal.org>

	* tests/tbs/tb0425.pp:
	
	  * another tp procvar check

2002-11-27 15:24  peter <peter@freepascal.org>

	* tests/tbs/tb0251.pp:
	
	  * runtime test added

2002-11-27 03:38  peter <peter@freepascal.org>

	* tests/webtbs/uw2004.inc:
	
	  * required include for tw2004

2002-11-27 03:38  peter <peter@freepascal.org>

	* tests/webtbs/: tw1910.pp, tw2004.pp:
	
	  * fixed runtime checks

2002-11-27 03:38  peter <peter@freepascal.org>

	* tests/webtbs/: tw2045.pp, tw2046.pp, tw2128.pp:
	
	  * new bugs

2002-11-27 00:00  peter <peter@freepascal.org>

	* tests/webtbs/: tw2159.pp, tw2178.pp:
	
	  * runtime tests fixed

2002-11-26 22:47  peter <peter@freepascal.org>

	* tests/tbs/tb0425.pp:
	
	  * test was buggy

2002-11-26 22:43  peter <peter@freepascal.org>

	* tests/tbs/tb0425.pp:
	
	  * another @ problem

2002-11-26 20:24  carl <carl@freepascal.org>

	* tests/tbs/tb0424.pp:
	
	  + added several new tests

2002-11-26 20:24  carl <carl@freepascal.org>

	* tests/tbf/: tb0127.pp, tb0144.pp, tb0145.pp, tb0146.pp,
	tb0147.pp, tb0148.pp, tb0149.pp, ub0149.pp:
	
	  * some small fixes
	  + added several new tests

2002-11-26 16:54  peter <peter@freepascal.org>

	* tests/tbf/tb0143.pp:
	
	  * nested macro test

2002-11-24 17:31  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenarated

2002-11-22 18:27  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/tinitdon.pp:
	
	 + new check for done inside constructor

2002-11-22 15:23  peter <peter@freepascal.org>

	* tests/tbf/tb0142.pp:
	
	  * variant problem where a normal operation is handled as variants

2002-11-22 00:03  peter <peter@freepascal.org>

	* tests/tbs/: tb0422.pp, tb0423.pp:
	
	  * new delphi probs

2002-11-21 23:47  peter <peter@freepascal.org>

	* tests/tbs/: tb0421.pp, ub0421a.pp, ub0421b.pp, ub0421c.pp:
	
	  * cross unit reference to a hidden unit

2002-11-20 22:40  peter <peter@freepascal.org>

	* tests/tbf/tb0141.pp:
	
	  * overloading byte->longint operator should be forbidden

2002-11-20 20:39  carl <carl@freepascal.org>

	* tests/test/cg/: tcalcst4.pp, tcalvar4.pp:
	
	- high() cannot be used in cdecle'd routines

2002-11-18 17:48  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/tcalext.pp:
	
	 + use KNOWNRUNERROR for i386 long double problem

2002-11-18 17:46  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: Makefile, Makefile.fpc:
	
	 + DOALL added

2002-11-18 17:42  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/: digest.pp, dotest.pp, teststr.pp:
	
	 + KNOWNRUNERROR added

2002-11-18 16:03  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/obj/linux/i386/ctest.o:
	
	 * new object file compiled

2002-11-18 15:32  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: Makefile, Makefile.fpc:
	
	 * correct error in previous patch

2002-11-18 10:55  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: Makefile, Makefile.fpc:
	
	 * added rule to recompile ctest.c if gcc is found

2002-11-18 10:53  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/obj/: go32v2/i386/ctest.o, win32/i386/ctest.o:
	
	 new object compiled

2002-11-18 10:49  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/units/dos/: tbreak.pp, tdisk.pp, tdos.pp, tdos2.pp,
	tenv.pp, tfattr.pp, tfexpand.pp, tidos.pp, tidos2.pp, tverify.pp:
	
	 * tried to make as many as possible tests non interactive

2002-11-18 02:33  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0419.pp:
	
	 + add check that args after are found

2002-11-18 02:32  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: Makefile.fpc, Makefile:
	
	 + onlygraph, onlyknown onlyinteractive added

2002-11-18 02:31  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/dotest.pp:
	
	 + use -n option
	 + use -G- for only graph
	 + use -I- for only interactive
	 + use -K- for only known bugs.

2002-11-18 02:05  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: Makefile, Makefile.fpc, units/Makefile.fpc,
	units/Makefile:
	
	 * use -n option

2002-11-18 01:42  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/: ptest.pp, tcalext.pp, obj/ctest.c,
	obj/linux/m68k/ctest.o:
	
	 + records with really 3 byte size tests added

2002-11-17 22:46  peter <peter@freepascal.org>

	* tests/test/: tclass4.pp, cg/tcalext.pp, cg/tcalpext.pp:
	
	  * fixed

2002-11-17 22:46  peter <peter@freepascal.org>

	* tests/test/tclass6.pp:
	
	  * compile time class check

2002-11-16 16:38  peter <peter@freepascal.org>

	* tests/test/cg/tcase.pp:
	
	  * fix int64 test

2002-11-15 17:33  peter <peter@freepascal.org>

	* tests/tbs/tb0417.pp:
	
	  * include which test failed

2002-11-15 16:57  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/: tw0769.pp, tw0769b.pp, tw0769c.pp:
	
	 + added some 769 variants

2002-11-15 11:57  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/obj/linux/m68k/ctest.o:
	
	 * file regenerated

2002-11-14 21:12  carl <carl@freepascal.org>

	* tests/tbs/: tb0418.pp, tb0419.pp, tb0420.pp:
	
	 + more tests to avoid adding new bugs.

2002-11-14 18:26  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: Makefile, Makefile.fpc:
	
	 + test/cg/cdecl directory added

2002-11-14 18:23  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0417.pp:
	
	 * check that adding sets is commutative

2002-11-14 11:48  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: .cvsignore, Makefile, Makefile.fpc:
	
	 + dailytest target added

2002-11-14 11:36  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/dotest.pp:
	
	 * add internalerror info to log file

2002-11-14 09:24  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: Makefile, Makefile.fpc:
	
	 * add removal of teststr and digest generated files

2002-11-13 16:59  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: Makefile, Makefile.fpc:
	
	 + compilation of digest executable added
	 + rundigest target added
	 * full also runs rundigest

2002-11-13 16:26  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/: digest.pp, dotest.pp, teststr.pp:
	
	 + digest program added

2002-11-13 16:19  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/: dotest.pp, teststr.pp:
	
	 log strings moved to teststr unit

2002-11-13 13:34  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0416.pp:
	
	  + added test for setting string funciton result in nested
	procedure
	    (fails under 1.1 currently)

2002-11-12 12:23  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/obj/readme.txt:
	
	 + linux gcc version info

2002-11-12 10:23  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: Makefile, Makefile.fpc:
	
	 * trdtxt tests need copy of test*.txt in main test dir

2002-11-12 09:42  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: Makefile, Makefile.fpc:
	
	 * fixed compilation of ptest code

2002-11-11 15:37  carl <carl@freepascal.org>

	* tests/test/cg/obj/amiga/m68k/ctest.o:
	
	  + updated for latest tests

2002-11-11 15:37  carl <carl@freepascal.org>

	* tests/test/cg/obj/readme.txt:
	
	  + comments on amiga compiler

2002-11-10 23:39  carl <carl@freepascal.org>

	* tests/test/cg/tmoddiv.pp:
	
	  * small cosmetic updates

2002-11-10 23:39  carl <carl@freepascal.org>

	* tests/tbf/tb0112.pp:
	
	  + add comment to indicate what this test exactly

2002-11-10 16:23  carl <carl@freepascal.org>

	* tests/test/units/system/: testmac.txt, testpc.txt, testux.txt,
	trdtxt01.pp, trdtxt02.pp, trdtxt03.pp:
	
	  + readln testing

2002-11-10 00:09  carl <carl@freepascal.org>

	* tests/test/units/dos/tdos2.html:
	
	  - remove useless file

2002-11-10 00:08  carl <carl@freepascal.org>

	* tests/test/units/dos/tbreak.pp:
	
	  * fix compilation problems

2002-11-09 23:24  carl <carl@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	   + added units/dos testing
	   * fix problem in my previous commit

2002-11-09 23:02  carl <carl@freepascal.org>

	* tests/readme.txt:
	
	  + added more explanations

2002-11-09 23:01  carl <carl@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  + added automatic compilation of ptest.pp

2002-11-09 22:57  carl <carl@freepascal.org>

	* tests/tbf/: tb0139.pp, tb0140.pp:
	
	  + added testing for cdecl and array of const. (should not
	compile)

2002-11-09 22:47  carl <carl@freepascal.org>

	* tests/test/cg/: tcalcst4.pp, tcalval4.pp, tcalvar4.pp:
	
	  + updated tests for correct parsing (array of const now allowed
	with high!)

2002-11-09 22:19  carl <carl@freepascal.org>

	* tests/test/talign2.pp:
	
	  * now check address of tc's also and give error.
	  + 1.1 only

2002-11-09 14:18  carl <carl@freepascal.org>

	* tests/test/talign2.pp:
	
	  * more alignment checking

2002-11-08 22:01  carl <carl@freepascal.org>

	* tests/test/units/dos/: tbreak.pp, tdisk.pp, tdos2.pp, tenv.pp,
	tfattr.pp, tfexpand.pp, tverify.pp, tversion.pp:
	
	  * separated some tests
	  * make tfexpand more portable

2002-11-07 16:01  jonas <jonas.maebe@rug.ac.be>

	* tests/test/tmt1.pp:
	
	  * made the test threadsafe :)

2002-11-06 15:53  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/cdecl/: taoc1.pp, taoc2.pp, taoc3.pp, taoc4.pp,
	taoc5.pp, taoc6.pp:
	
	 * several new test for cdecl in new subdirectory

2002-11-05 18:23  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/texception3.pp:
	
	 * more info on memory holes

2002-11-05 18:22  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/obj/linux/i386/ctest.o:
	
	 * new binary compiled with gcc 2.95.4

2002-11-05 16:28  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/tprintf.pp:
	
	 + more tests added

2002-11-04 16:23  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/obj/: readme.txt, win32/i386/ctest.o:
	
	 * adapted to new ctest.c

2002-11-04 16:20  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/obj/go32v2/i386/ctest.o:
	
	 * new ctest.c compiled

2002-11-04 16:17  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/: ptest.pp, tcalext.pp, tcalpext.pp, obj/ctest.c:
	
	 * compatibility with C checks improved

2002-10-31 17:17  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/units/crt/tctrlc.pp:
	
	 * new interactive test for Ctrl-C

2002-10-31 17:09  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/tprintf.pp:
	
	 * very basic C ... args testing

2002-10-31 16:35  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbf/tw2053b.pp:
	
	 * also test the new for type>2Gb

2002-10-31 16:31  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0185.pp:
	
	 * m68k extended size is 12

2002-10-31 16:28  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/: tw2004.pp, tw2145.pp:
	
	 * two test sources for ide bugs

2002-10-31 16:20  carl <carl@freepascal.org>

	* tests/webtbs/tw2187.pp:
	
	  * bugfix 2187 (already executes correctly, but crashed in 1.0.6)

2002-10-31 14:16  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/: tfpu3.pp, tfpu4.pp, tfpu5.pp:
	
	fsub check enhanced

2002-10-31 13:59  carl <carl@freepascal.org>

	* tests/test/units/objects/testobj2.pp:
	
	 * error code testing (based on bug report 2043)

2002-10-30 20:23  peter <peter@freepascal.org>

	* tests/: webtbf/tw2209.pp, webtbs/tw2210.pp:
	
	  * new bugs

2002-10-30 19:53  peter <peter@freepascal.org>

	* tests/tbf/tb0138.pp:
	
	  * procvar difference with smallint - longint should fail

2002-10-30 17:18  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw2158.pp:
	
	 * transform into a real test that fails if wrong code is generated

2002-10-30 12:57  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0415.pp:
	
	 just to be nice to Carl

2002-10-29 21:49  carl <carl@freepascal.org>

	* tests/tbs/tb0414.pp:
	
	  * oops, this test is only for m68k target!

2002-10-29 21:47  carl <carl@freepascal.org>

	* tests/tbs/tb0414.pp:
	
	  * more fun testing for emulation $E switch.

2002-10-29 21:46  carl <carl@freepascal.org>

	* tests/tbf/: tb0131.pp, tb0132.pp, tb0133.pp, tb0134.pp,
	tb0135.pp, tb0136.pp, tb0137.pp:
	
	  * more fun testing :)

2002-10-29 21:44  carl <carl@freepascal.org>

	* tests/test/cg/: tcalobj3.pp, tcalpvr3.pp:
	
	  * updated with corrects testing (removed cdecl in constructors)

2002-10-29 21:43  carl <carl@freepascal.org>

	* tests/test/cg/tstr.pp:
	
	  * use $E switch to determine tests

2002-10-29 21:32  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw2037.pp:
	
	  * corrected test

2002-10-29 21:14  carl <carl@freepascal.org>

	* tests/tbf/tb0123.pp:
	
	  + added missing -Cr option

2002-10-29 21:09  carl <carl@freepascal.org>

	* tests/tbs/tb0395.pp:
	
	 version 1.1 test only

2002-10-29 18:04  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1720.pp:
	
	 test for bug 1720

2002-10-29 18:04  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1908.pp:
	
	 + check enhanced fro negative array indexes and variable args

2002-10-29 12:43  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/: tu2002.pp, tw2002.pp:
	
	 + interactive test for bug 2002

2002-10-29 12:36  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1223.pp:
	
	 + check for record operator overloading

2002-10-29 12:33  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw0869.pp:
	
	 * check -1**4 for both vars and constants

2002-10-29 11:03  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: webtbf/tw2174.pp, webtbs/tw2174.pp:
	
	 * moved tw2174 source to webtbf directory

2002-10-29 01:57  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tstprocv.pp:
	
	 * procvar types checks for strings args should be stricter

2002-10-21 23:12  carl <carl@freepascal.org>

	* tests/test/talign1.pp:
	
	  * resource string table simple compilation test
	    (align of table)

2002-10-21 21:21  carl <carl@freepascal.org>

	* tests/test/cg/: tcalobj3.pp, tcalpvr3.pp:
	
	  * only test on version 1.1 +

2002-10-21 21:12  carl <carl@freepascal.org>

	* tests/tbf/tb0130.pp:
	
	  * testing for cdecl and virtual methods (should not compile)

2002-10-21 21:07  carl <carl@freepascal.org>

	* tests/test/cg/: tcalobj3.pp, tcalpvr3.pp:
	
	  + reinstate test
	  - remove virtual method calls

2002-10-21 14:24  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1909.pp:
	
	 * added required  on

2002-10-21 11:02  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/units/system/tsetstr2.pp:
	
	 * tsetstr.pp duplicated with $H+

2002-10-21 10:03  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/: tcalobj3.pp, tcalpvr3.pp:
	
	 * added %FAIL because cdecl and virtual are not compatible

2002-10-21 09:32  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/talign.pp:
	
	 * missing mode objfpc added

2002-10-20 16:12  peter <peter@freepascal.org>

	* tests/webtbs/: tw1948.pp, tw2158.pp, tw2159.pp, tw2174.pp,
	tw2176.pp, tw2177.pp, tw2185.pp, tw2186.pp:
	
	  * new bugs

2002-10-20 13:47  carl <carl@freepascal.org>

	* tests/test/units/dos/tdos.pp:
	
	  * add format date to make test clearer

2002-10-20 13:44  carl <carl@freepascal.org>

	* tests/test/units/system/: targs.pp, tmem.pp, tsetstr.pp:
	
	  + setstring testing
	  * args checking is not interactive
	  + zero and negative length checking for move/fillchar

2002-10-20 00:26  carl <carl@freepascal.org>

	* tests/test/talign.pp:
	
	  * alignment testing

2002-10-20 00:22  carl <carl@freepascal.org>

	* tests/test/units/system/targs.pp:
	
	  * small test for argv/argc checking

2002-10-18 13:35  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tasout.pp:
	
	 * nasm required note added

2002-10-17 14:19  florian <florian@freepascal.org>

	* tests/tbs/tb0413.pp:
	
	no message

2002-10-15 19:55  peter <peter@freepascal.org>

	* tests/webtbs/tw2178.pp:
	
	  * new parser bug

2002-10-15 17:49  carl <carl@freepascal.org>

	* tests/test/: tclass4.pp, tobject3.pp:
	
	  * Return runerror 219

2002-10-15 17:48  carl <carl@freepascal.org>

	* tests/webtbf/tw2053.pp:
	
	 - remove Pierre's diff.

2002-10-15 14:07  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1938.pp:
	
	 + add inline on directive

2002-10-15 14:05  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/units/system/tiorte.pp:
	
	- * changed so that all tests are done even after a failure

2002-10-15 14:04  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tobject3.pp:
	
	 * expected code is 220

2002-10-15 12:47  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tclass4.pp:
	
	 * expected error code is 220

2002-10-15 12:26  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/units/system/: tabs.pp, tint.pp, tround.pp, ttrunc.pp:
	
	 * add code to remember that currency is only implemented in 1.1
	compiler

2002-10-15 08:43  pierre <muller@cerbere.u-strasbg.fr>

	* tests/units/: Makefile, Makefile.fpc:
	
	 * USEUNITDIR added to allow use of specific unit dir

2002-10-15 08:38  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbf/tw2053.pp:
	
	 * really try to allocate more than 2Gb

2002-10-15 08:35  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1295.pp:
	
	 * mark as interactive test

2002-10-15 08:33  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: tbs/tb0281.pp, test/tstring4.pp, webtbs/tw1269.pp:
	
	 * define COMP_IS_INT64 for m68k cpu

2002-10-15 08:33  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0267.pp:
	
	 * test is i386 specific

2002-10-14 20:19  carl <carl@freepascal.org>

	* tests/tbf/: tb0125.pp, tb0127.pp:
	
	  * should not compile only in Delphi mode

2002-10-14 14:30  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/: tw0961.pp, tw1327.pp:
	
	 * these tests are i386 specific

2002-10-14 14:23  peter <peter@freepascal.org>

	* tests/test/: tmt1.pas, tmt1.pp:
	
	  * more complex thread testing

2002-10-14 14:14  peter <peter@freepascal.org>

	* tests/tbf/tb0129.pp:
	
	  * threadvar in for loop

2002-10-14 09:01  peter <peter@freepascal.org>

	* tests/tbf/tb0128.pp:
	
	  * don't allow initialzed threadvars

2002-10-13 17:46  carl <carl@freepascal.org>

	* tests/test/units/softfpu/sfttst.pp:
	
	  * fixed some small problems

2002-10-13 15:53  florian <florian@freepascal.org>

	* tests/test/tmt1.pas:
	
	  * initial revision

2002-10-12 22:35  carl <carl@freepascal.org>

	* tests/test/units/softfpu/sfttst.pp:
	
	 * int64 to float conversion testing (crashes under FPC :()

2002-10-12 17:35  carl <carl@freepascal.org>

	* tests/test/cg/obj/linux/m68k/ctest.o:
	
	   + GCC test file for linux-m68k

2002-10-10 17:48  carl <carl@freepascal.org>

	* tests/test/: tclass4.pp, tint642.pp, tobject3.pp:
	
	  * small fixes to tests

2002-10-09 22:24  florian <florian@freepascal.org>

	* tests/tbs/tb0412.pp:
	
	no message

2002-10-09 18:56  carl <carl@freepascal.org>

	* tests/: webtbf/tw2053.pp, webtbs/tw0555.pp, webtbs/tw0735.pp,
	webtbs/tw0736.pp, webtbs/tw0761.pp, webtbs/tw0797a.pp,
	webtbs/tw0848.pp, webtbs/tw0892.pp, webtbs/tw0893.pp,
	webtbs/tw0925.pp, webtbs/tw0932.pp, webtbs/tw0944.pp,
	webtbs/tw1023.pp, webtbs/tw1066a.pp, webtbs/tw1066b.pp,
	webtbs/tw1090.pp, webtbs/tw1117.pp, webtbs/tw1122.pp,
	webtbs/tw1157.pp:
	
	  * some cpu specific tests not run under other CPU's

2002-10-09 18:19  carl <carl@freepascal.org>

	* tests/test/cg/obj/readme.txt:
	
	  + linux-m68k information

2002-10-09 18:09  carl <carl@freepascal.org>

	* tests/test/units/objects/testobj1.pp:
	
	  + TBufSteam testing

2002-10-09 14:01  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tint642.pp:
	
	 * typecasting qword into dword array now respects spu endianess

2002-10-08 22:57  carl <carl@freepascal.org>

	* tests/test/: tclass4.pp, tclass5.pp, tobject3.pp:
	
	  + Range check error testing for non-init classes and objects

2002-10-08 22:50  carl <carl@freepascal.org>

	* tests/tbf/tb0125.pp:
	
	  * fix stupid nested comment problem

2002-10-08 22:33  carl <carl@freepascal.org>

	* tests/tbf/tb0127.pp:
	
	  * interfaces only in 1.1

2002-10-08 22:33  carl <carl@freepascal.org>

	* tests/tbf/tb0127.pp:
	
	  * interface parameter testing compatibility

2002-10-08 22:09  carl <carl@freepascal.org>

	* tests/test/units/softfpu/sfttst.pp:
	
	  + reinstated all tests, as they all work correctly now

2002-10-08 19:16  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbf/tw2037.pp:
	
	  + added

2002-10-08 09:42  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/tcalcst8.pp:
	
	 * give result for arrays and const arrays separately

2002-10-07 22:40  peter <peter@freepascal.org>

	* tests/webtbs/: tw1873.pp, ub1873.pp:
	
	  * win32 test

2002-10-07 22:04  peter <peter@freepascal.org>

	* tests/tbs/tb0411.pp:
	
	  * add objfpc mode

2002-10-07 22:02  peter <peter@freepascal.org>

	* tests/: webtbf/tw1830.pp, webtbs/tw1798.pp, webtbs/tw1825.pp:
	
	  * more bugs

2002-10-07 21:56  florian <florian@freepascal.org>

	* tests/tbs/tb0411.pp:
	
	no message

2002-10-07 21:45  peter <peter@freepascal.org>

	* tests/webtbf/tw1782.pp:
	
	  * new bug

2002-10-07 20:09  peter <peter@freepascal.org>

	* tests/webtbf/tw1633.pp:
	
	  * new bug

2002-10-07 11:48  florian <florian@freepascal.org>

	* tests/tbs/tb0410.pp:
	
	no message

2002-10-06 23:34  peter <peter@freepascal.org>

	* tests/webtbs/tw1780.pp:
	
	  * new bug

2002-10-06 23:01  peter <peter@freepascal.org>

	* tests/webtbs/tw1699.pp:
	
	  * also check output

2002-10-06 22:13  peter <peter@freepascal.org>

	* tests/webtbs/tw1699.pp:
	
	  * overload error

2002-10-06 22:00  peter <peter@freepascal.org>

	* tests/webtbs/tw1696.pp:
	
	  * New bug

2002-10-06 14:28  florian <florian@freepascal.org>

	* tests/tbs/tb0409.pp:
	
	no message

2002-10-05 17:23  peter <peter@freepascal.org>

	* tests/webtbs/: tw1573.pas, tw1573.pp:
	
	  * renamed

2002-10-05 17:23  peter <peter@freepascal.org>

	* tests/webtbs/tw2163.pp:
	
	  * Length(PChar)

2002-10-05 03:00  peter <peter@freepascal.org>

	* tests/webtbs/tw1820.pp:
	
	  * win32 only test

2002-10-05 01:31  peter <peter@freepascal.org>

	* tests/tbs/tb0407.pp:
	
	  * only allow the ugly code in delphi mode

2002-10-05 01:17  peter <peter@freepascal.org>

	* tests/tbs/tb0407.pp:
	
	  * inherited with overloaded constructors should not call anything

2002-10-04 23:29  peter <peter@freepascal.org>

	* tests/tbf/tb0124.pp:
	
	  * readln internalerror

2002-10-04 23:27  peter <peter@freepascal.org>

	* tests/tbf/: tb0122.pp, tb0123.pp:
	
	  * tests should fail

2002-10-04 22:03  peter <peter@freepascal.org>

	* tests/tbs/: tb0406.pp, ub0406.pp:
	
	  * problem with mixedup scanner in the current 1.1 compiler

2002-10-04 18:16  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw2131.pp:
	
	  + added

2002-10-03 23:35  carl <carl@freepascal.org>

	* tests/webtbs/tw2110.pp:
	
	  webbug

2002-10-03 19:52  carl <carl@freepascal.org>

	* tests/test/cg/tcnvstr3.pp:
	
	+ string -> char conversion testing

2002-10-03 19:47  carl <carl@freepascal.org>

	* tests/test/units/system/tassignd.pp:
	
	+ assigned testing

2002-10-03 19:46  carl <carl@freepascal.org>

	* tests/test/README:
	
	 Updated with current info on tests

2002-10-03 19:45  carl <carl@freepascal.org>

	* tests/test/units/system/tstring.pp:
	
	 * new defines for widestring testing

2002-10-02 22:00  peter <peter@freepascal.org>

	* tests/webtbs/tw1408.pp:
	
	  * added

2002-10-02 21:26  carl <carl@freepascal.org>

	* tests/test/cg/: tcnvstr1.pp, tstr.pp:
	
	  + added much much more testing of different string types
	  * str() format depends on size of real

2002-09-30 22:40  florian <florian@freepascal.org>

	* tests/webtbs/tw1573.pas:
	
	no message

2002-09-29 20:52  carl <carl@freepascal.org>

	* tests/webtbs/: tw2028.pp, tw2037.pp, tw2069.pp:
	
	  + more webbugs

2002-09-29 16:37  carl <carl@freepascal.org>

	* tests/test/cg/: tadint64.pp, tcase.pp, tcnvint2.pp, tmoddiv.pp,
	treadwrt.pp, tshlshr.pp:
	
	  * must more 64-bit testing (to detect endian specific problems)

2002-09-29 16:32  carl <carl@freepascal.org>

	* tests/test/cg/tstr.pp:
	
	  + added much more tests with int64/qword for endian problem
	    detection
	 + float return values depend on the format of real

2002-09-27 23:09  carl <carl@freepascal.org>

	* tests/webtbf/tw2053.pp:
	
	  + new bug report

2002-09-27 19:46  carl <carl@freepascal.org>

	* tests/test/cg/tcnvint2.pp:
	
	  + big-endian testing

2002-09-27 19:44  carl <carl@freepascal.org>

	* tests/test/cg/tcalfun9.pp:
	
	  * add testing for window-page size 4K, so as to test stack
	corruption

2002-09-26 13:45  florian <florian@freepascal.org>

	* tests/webtbs/tw1820.pp:
	
	no message

2002-09-26 13:38  florian <florian@freepascal.org>

	* tests/webtbs/: tw1677.pp, tw1820.pp:
	
	no message

2002-09-24 21:28  carl <carl@freepascal.org>

	* tests/webtbs/tw1888.pp:
	
	  * properties are case-insensitive in the fixes branch

2002-09-22 16:31  carl <carl@freepascal.org>

	* tests/tbs/tb0130.pp:
	
	  * assert returns error 227

2002-09-22 16:16  carl <carl@freepascal.org>

	* tests/test/cg/tcalcst4.pp:
	
	  * fix small typo

2002-09-22 15:44  carl <carl@freepascal.org>

	* tests/test/cg/obj/readme.txt:
	
	  + added amiga compiler version

2002-09-22 15:44  carl <carl@freepascal.org>

	* tests/test/cg/obj/amiga/m68k/ctest.o:
	
	  * initial revision

2002-09-22 11:08  carl <carl@freepascal.org>

	* tests/test/cg/: tcalcst1.pp, tcalcst2.pp, tcalcst3.pp,
	tcalcst4.pp, tcalcst5.pp, tcalcst6.pp, tcalcst7.pp, tcalcst8.pp,
	tcalcst9.pp, tcalval1.pp, tcalval2.pp, tcalval3.pp, tcalval4.pp,
	tcalval5.pp, tcalval6.pp, tcalval7.pp, tcalval8.pp, tcalval9.pp,
	tcalvar1.pp, tcalvar2.pp, tcalvar3.pp, tcalvar4.pp, tcalvar5.pp,
	tcalvar6.pp, tcalvar7.pp, tcalvar8.pp, tcalvar9.pp, texit.pp:
	
	  * gets64bit was not returning an int64!

2002-09-21 15:28  carl <carl@freepascal.org>

	* tests/test/cg/: tdivz1.pp, tdivz2.pp:
	
	 + division by zero testing

2002-09-18 20:30  carl <carl@freepascal.org>

	* tests/test/units/system/: tabs.pp, tassert7.pp, tint.pp, todd.pp,
	tround.pp, ttrunc.pp:
	
	  + currency testing
	  * more system unit routine testing

2002-09-18 20:29  carl <carl@freepascal.org>

	* tests/test/cg/taddcurr.pp:
	
	  * currency cg tests (tested againt Delphi 3)

2002-09-16 21:24  jonas <jonas.maebe@rug.ac.be>

	* tests/test/cg/tmoddiv.pp:
	
	  * fixed int64 tests

2002-09-16 21:15  carl <carl@freepascal.org>

	* tests/test/units/system/: tint.pp, tpi.pp, tround.pp, tseg.pp,
	ttrunc.pp, tassert1.pp, tassert2.pp, tassert3.pp, tassert4.pp,
	tassert5.pp, tassert6.pp:
	
	  * several new routines have a testsuit.

2002-09-16 21:08  carl <carl@freepascal.org>

	* tests/test/units/softfpu/sfttst.pp:
	
	  * softfpu tests (some of them still fail!)

2002-09-16 21:07  carl <carl@freepascal.org>

	* tests/test/tover1.pp:
	
	  * overloaded string routines testing

2002-09-16 21:05  peter <peter@freepascal.org>

	* tests/: webtbf/tw2070.pp, webtbs/tw1907.pp, webtbs/tw1908.pp:
	
	  * fix compile mode

2002-09-16 17:42  peter <peter@freepascal.org>

	* tests/webtbs/tw1779.pp:
	
	  * fix for none-win32

2002-09-16 16:14  peter <peter@freepascal.org>

	* tests/tbs/tb0405.pp:
	
	  * overload problem with default parameters

2002-09-15 19:05  carl <carl@freepascal.org>

	* tests/test/units/system/tincdec.pp:
	
	  * inc/dec system unit tests

2002-09-15 11:53  carl <carl@freepascal.org>

	* tests/test/units/system/tjmp.pp:
	
	  * initial revision of longjmp/setjmp testing

2002-09-14 13:19  carl <carl@freepascal.org>

	* tests/test/units/system/tstring.pp:
	
	  * first revision (incomplete!)

2002-09-09 21:42  peter <peter@freepascal.org>

	* tests/tbs/tb0398.pp:
	
	  * fix typo's

2002-09-08 22:29  jonas <jonas.maebe@rug.ac.be>

	* tests/test/cg/tadint64.pp:
	
	  * some extra int64 - int64 tests for RISC processors

2002-09-08 22:27  jonas <jonas.maebe@rug.ac.be>

	* tests/test/cg/tcnvint3.pp:
	
	  * getu32bit() now has a longword result instead of a longint

2002-09-08 13:54  carl <carl@freepascal.org>

	* tests/test/toperator5.pp:
	
	  * operator overloading interactive tests

2002-09-08 13:12  carl <carl@freepascal.org>

	* tests/webtbs/tw2109.pp:
	
	  * bugfix 2109 (bad imho, but only way)

2002-09-08 09:00  carl <carl@freepascal.org>

	* tests/webtbf/tw2070.pp:
	
	  * bugfix report 2070

2002-09-07 21:09  carl <carl@freepascal.org>

	* tests/webtbs/tw2065.pp:
	
	  * new bug report fix

2002-09-07 17:40  peter <peter@freepascal.org>

	* tests/: bench/drystone.pas, bench/shootout/log/ackerm.log,
	bench/shootout/log/ary3.log, bench/shootout/log/fibo.log,
	bench/shootout/log/hash.log, bench/shootout/log/heapsort.log,
	bench/shootout/log/hello.log, bench/shootout/log/lists.log,
	bench/shootout/log/matrix.log, bench/shootout/log/methcall.log,
	bench/shootout/log/moments.log, bench/shootout/log/nestloop.log,
	bench/shootout/log/random.log, bench/shootout/log/revfile.log,
	bench/shootout/log/sieve.log, bench/shootout/log/strcat.log,
	bench/shootout/log/sumcol.log, bench/shootout/log/wc.log,
	bench/shootout/src/ackerm.pp, bench/shootout/src/array.pp,
	bench/shootout/src/fibo.pp, bench/shootout/src/hash.pp,
	bench/shootout/src/heapsort.pp, bench/shootout/src/lists.pp,
	bench/shootout/src/matrix.pp, bench/shootout/src/methcall.pp,
	bench/shootout/src/moments.pp, bench/shootout/src/random.pp,
	bench/shootout/src/revfile.pp, bench/shootout/src/sieve.pp,
	bench/shootout/src/strcat.pp, bench/shootout/src/sumcol.pp,
	bench/shootout/src/wc.pp, tbf/tb0007.pp, tbf/tb0011.pp,
	tbf/tb0014.pp, tbf/tb0018.pp, tbf/tb0021.pp, tbf/tb0027.pp,
	tbf/tb0032.pp, tbf/tb0036.pp, tbf/tb0037.pp, tbf/tb0040.pp,
	tbf/tb0042.pp, tbf/tb0047.pp, tbf/tb0049.pp, tbf/tb0058.pp,
	tbf/tb0059.pp, tbf/tb0065.pp, tbf/tb0066.pp, tbf/tb0077.pp,
	tbf/tb0078.pp, tbf/tb0084.pp, tbf/tb0085.pp, tbf/tb0086.pp,
	tbf/tb0087.pp, tbf/tb0088.pp, tbf/tb0092.pp, tbf/tb0095.pp,
	tbf/tb0123.pp, tbs/tb0017.pp, tbs/tb0019.pp, tbs/tb0020.pp,
	tbs/tb0045.pp, tbs/tb0057.pp, tbs/tb0073.pp, tbs/tb0075.pp,
	tbs/tb0077.pp, tbs/tb0089.pp, tbs/tb0090.pp, tbs/tb0100.pp,
	tbs/tb0110.pp, tbs/tb0113.pp, tbs/tb0116.pp, tbs/tb0119.pp,
	tbs/tb0122.pp, tbs/tb0124.pp, tbs/tb0126.pp, tbs/tb0135.pp,
	tbs/tb0146.pp, tbs/tb0147.pp, tbs/tb0161.pp, tbs/tb0172.pp,
	tbs/tb0173.pp, tbs/tb0175.pp, tbs/tb0178.pp, tbs/tb0185.pp,
	tbs/tb0209.pp, tbs/tb0215.pp, tbs/tb0219.pp, tbs/tb0227.pp,
	tbs/tb0234.pp, tbs/tb0248.pp, tbs/tb0249.pp, tbs/tb0250.pp,
	tbs/tb0262.pp, tbs/tb0267.pp, tbs/tb0268.pp, tbs/tb0283.pp,
	tbs/tb0284.pp, tbs/tb0298.pp, tbs/tb0303.pp, tbs/tb0305.pp,
	tbs/tb0310.pp, tbs/tb0313.pp, tbs/tb0317.pp, tbs/tb0318.pp,
	tbs/tb0332.pp, tbs/tb0336.pp, tbs/tb0342.pp, tbs/tb0343.pp,
	tbs/tb0345.pp, tbs/tb0348.pp, tbs/tb0349.pp, tbs/tb0351.pp,
	tbs/tb0352.pp, tbs/tb0357.pp, tbs/tb0369.pp, tbs/tb0380.pp,
	tbs/tb0381.pp, tbs/tb0392.pp, tbs/ub0119.pp, tbs/ub0133.pp,
	tbs/ub0313.pp, tbs/ub0342a.pp, tbs/ub0342b.pp, tbs/ub0366.pp,
	test/tarray2.pp, test/tcase1.pp, test/tcg1.pp, test/tcg2.pp,
	test/texception2.pp, test/texception3.pp, test/texception4.pp,
	test/tfpu1.pp, test/tfpu2.pp, test/thintdir.pp, test/tinline2.pp,
	test/tinterrupt.pp, test/tmath1.pp, test/tobject2.pp,
	test/toperator1.pp, test/toperator2.pp, test/toperator3.pp,
	test/toperator4.pp, test/tprocvar1.pp, test/tprocvar2.pp,
	test/trange3.pp, test/trange4.pp, test/trange5.pp, test/tset2.pp,
	test/tstring5.pp, test/cg/taddbool.pp, test/cg/taddcard.pp,
	test/cg/taddlong.pp, test/cg/taddr1.pp, test/cg/taddr2.pp,
	test/cg/taddreal1.pp, test/cg/taddreal2.pp, test/cg/taddset.pp,
	test/cg/tadint64.pp, test/cg/tassign1.pp, test/cg/tassign2.pp,
	test/cg/tcalcla1.pp, test/cg/tcalcst1.pp, test/cg/tcalcst2.pp,
	test/cg/tcalcst3.pp, test/cg/tcalcst4.pp, test/cg/tcalcst5.pp,
	test/cg/tcalcst6.pp, test/cg/tcalcst7.pp, test/cg/tcalcst8.pp,
	test/cg/tcalcst9.pp, test/cg/tcalext.pp, test/cg/tcalfun1.pp,
	test/cg/tcalfun2.pp, test/cg/tcalfun3.pp, test/cg/tcalfun4.pp,
	test/cg/tcalfun5.pp, test/cg/tcalfun6.pp, test/cg/tcalfun7.pp,
	test/cg/tcalfun8.pp, test/cg/tcalfun9.pp, test/cg/tcall1.pp,
	test/cg/tcalobj1.pp, test/cg/tcalobj2.pp, test/cg/tcalobj3.pp,
	test/cg/tcalobj4.pp, test/cg/tcalobj5.pp, test/cg/tcalobj6.pp,
	test/cg/tcalobj7.pp, test/cg/tcalobj8.pp, test/cg/tcalpvr1.pp,
	test/cg/tcalpvr2.pp, test/cg/tcalpvr3.pp, test/cg/tcalpvr4.pp,
	test/cg/tcalpvr5.pp, test/cg/tcalpvr6.pp, test/cg/tcalpvr7.pp,
	test/cg/tcalpvr8.pp, test/cg/tcalval1.pp, test/cg/tcalval2.pp,
	test/cg/tcalval3.pp, test/cg/tcalval4.pp, test/cg/tcalval5.pp,
	test/cg/tcalval6.pp, test/cg/tcalval7.pp, test/cg/tcalval8.pp,
	test/cg/tcalval9.pp, test/cg/tcalvar1.pp, test/cg/tcalvar2.pp,
	test/cg/tcalvar3.pp, test/cg/tcalvar4.pp, test/cg/tcalvar5.pp,
	test/cg/tcalvar6.pp, test/cg/tcalvar7.pp, test/cg/tcalvar8.pp,
	test/cg/tcalvar9.pp, test/cg/tcase.pp, test/cg/tcnvint1.pp,
	test/cg/tcnvint2.pp, test/cg/tcnvint3.pp, test/cg/tcnvint4.pp,
	test/cg/tcnvset.pp, test/cg/tcnvstr1.pp, test/cg/tcnvstr2.pp,
	test/cg/tderef.pp, test/cg/texit.pp, test/cg/tfor.pp,
	test/cg/tfuncret.pp, test/cg/tin.pp, test/cg/tincexc.pp,
	test/cg/tis.pp, test/cg/tldparam.pp, test/cg/tloadvmt.pp,
	test/cg/tmoddiv.pp, test/cg/traise1.pp, test/cg/traise2.pp,
	test/cg/traise3.pp, test/cg/traise4.pp, test/cg/traise5.pp,
	test/cg/traise6.pp, test/cg/tshlshr.pp, test/cg/tstr.pp,
	test/cg/tsubst.pp, test/cg/ttryfin1.pp, test/cg/ttryfin2.pp,
	test/cg/ttryfin3.pp, test/cg/ttryfin4.pp, test/cg/tvec.pp,
	test/cg/obj/ctest.c, test/cg/obj/readme.txt,
	test/cg/obj/linux/i386/ctest.o, test/cg/obj/win32/i386/ctest.o,
	test/opt/README, test/opt/tcmov.pp, test/opt/tcse3.pp,
	test/opt/treg3.pp, test/units/dos/hello.pp, test/units/dos/tdos.pp,
	test/units/dos/tdos2.pp, test/units/objects/testobj.pp,
	test/units/system/tdir.pp, test/units/system/teststk.pp,
	test/units/system/tio.pp, test/units/system/tiorte.pp,
	test/units/system/tmem.pp, test/units/system/tparam.pp,
	test/units/system/trandom.pp, utils/dotest.pp, utils/redir.pp,
	webtbf/tw0807.pp, webtbf/tw0855.pp, webtbf/tw0856.pp,
	webtbf/tw0890.pp, webtbf/tw0896.pp, webtbf/tw0896a.pp,
	webtbf/tw1432.pp, webtbf/tw1827.pp, webtbf/tw1858.pp,
	webtbf/uw0840b.pp, webtbf/uw0856.pp, webtbs/tw0736.pp,
	webtbs/tw0772.pp, webtbs/tw0776.pp, webtbs/tw0788.pp,
	webtbs/tw0789.pp, webtbs/tw0793.pp, webtbs/tw0797a.pp,
	webtbs/tw0797b.pp, webtbs/tw0801.pp, webtbs/tw0809.pp,
	webtbs/tw0810.pp, webtbs/tw0812.pp, webtbs/tw0813.pp,
	webtbs/tw0814.pp, webtbs/tw0815.pp, webtbs/tw0816.pp,
	webtbs/tw0825.pp, webtbs/tw0839.pp, webtbs/tw0848.pp,
	webtbs/tw0859.pp, webtbs/tw0866.pp, webtbs/tw0868.pp,
	webtbs/tw0869.pp, webtbs/tw0870.pp, webtbs/tw0876.pp,
	webtbs/tw0890.pp, webtbs/tw0891.pp, webtbs/tw0892.pp,
	webtbs/tw0895.pp, webtbs/tw0896.pp, webtbs/tw0900.pp,
	webtbs/tw0902.pp, webtbs/tw0909.pp, webtbs/tw0911.pp,
	webtbs/tw0912.pp, webtbs/tw0919.pp, webtbs/tw0925.pp,
	webtbs/tw0932.pp, webtbs/tw0934.pp, webtbs/tw0935.pp,
	webtbs/tw0937.pp, webtbs/tw0944.pp, webtbs/tw0947.pp,
	webtbs/tw0961.pp, webtbs/tw0976.pp, webtbs/tw1021.pp,
	webtbs/tw1041.pp, webtbs/tw1044.pp, webtbs/tw1050.pp,
	webtbs/tw1090.pp, webtbs/tw1152.pp, webtbs/tw1157.pp,
	webtbs/tw1181.pp, webtbs/tw1228.pp, webtbs/tw1229.pp,
	webtbs/tw1283.pp, webtbs/tw1318.pp, webtbs/tw1375.pp,
	webtbs/tw1416.pp, webtbs/tw1472.pp, webtbs/tw1479.pp,
	webtbs/tw1485.pp, webtbs/tw1532.pp, webtbs/tw1592.pp,
	webtbs/tw1617.pp, webtbs/tw1735.pp, webtbs/tw1850.pp,
	webtbs/tw1851.pp, webtbs/tw1907.pp, webtbs/tw1915.pp,
	webtbs/tw1964.pp, webtbs/tw1996.pp, webtbs/tw2001.pp,
	webtbs/tw2041.pp, webtbs/tw2059.pp, webtbs/uw0809.pp:
	
	  * old logs removed and tabs fixed

2002-09-07 13:07  carl <carl@freepascal.org>

	* tests/webtbs/tw1996.pp:
	
	  + bug 1996 verification code

2002-09-07 13:06  carl <carl@freepascal.org>

	* tests/tbf/tb0123.pp:
	
	  * range checking code verification

2002-09-06 22:00  carl <carl@freepascal.org>

	* tests/webtbs/tw2001.pp:
	
	  * bugfix 2001

2002-09-05 18:44  carl <carl@freepascal.org>

	* tests/webtbs/tw2072.pp:
	
	 * bug 2072

2002-09-05 16:55  peter <peter@freepascal.org>

	* tests/tbs/tb0396.pp:
	
	  * objfpc mode is required

2002-09-04 18:21  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0404.pp:
	
	  + added

2002-09-03 15:27  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * clean prep-stamp

2002-09-03 15:27  peter <peter@freepascal.org>

	* tests/tbs/tb0375.pp:
	
	  * use tinterfacedobject instead of tobject

2002-09-03 12:20  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1779.pp:
	
	 + chck 1779 bug

2002-09-01 20:53  peter <peter@freepascal.org>

	* tests/tbs/tb0112.pp:
	
	  * add check

2002-09-01 16:45  peter <peter@freepascal.org>

	* tests/test/: tfpu2.pp, cg/tcalval2.pp, cg/texit.pp,
	cg/tmoddiv.pp, cg/ttryexc1.pp:
	
	  * updates to compile with kylix
	  * fixed some tests

2002-08-25 21:28  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * preparation stage added, this stage will copy the correct
	ctest.o
	    to the test/cg dir

2002-08-25 21:28  peter <peter@freepascal.org>

	* tests/test/cg/tcalext.pp:
	
	  * fixed long double typo that was using double instead of
	extended

2002-08-25 21:27  peter <peter@freepascal.org>

	* tests/test/cg/tcall1.pp:
	
	  * failure test splitted for getmem reporting nil or a runtime
	error

2002-08-25 21:26  peter <peter@freepascal.org>

	* tests/test/cg/obj/linux/i386/ctest.o:
	
	  * new linux .o file

2002-08-25 21:26  peter <peter@freepascal.org>

	* tests/test/cg/: taddreal.pp, taddreal1.pp, taddreal2.pp:
	
	  * splitted in $E+ file and without emulator

2002-08-16 22:41  florian <florian@freepascal.org>

	* tests/bench/: dmisc.pas, drystone.pas, timer.pas, whet.pas:
	
	no message

2002-08-13 18:10  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0403.pp:
	
	  + test for getting the address of virtual methods of a class

2002-08-10 10:27  carl <carl@freepascal.org>

	* tests/test/cg/: tassign1.pp, tassign2.pp, tcnvint4.pp,
	tfuncret.pp, tloadvmt.pp, traise1.pp, traise2.pp, traise3.pp,
	traise4.pp, traise5.pp, traise6.pp:
	
	  + mre tests for cg testuit

2002-08-03 13:05  carl <carl@freepascal.org>

	* tests/test/cg/: ttryexc1.pp, ttryfin1.pp, ttryfin2.pp,
	ttryfin3.pp, ttryfin4.pp:
	
	  + exception handling testing
	     (still missing raise / on node testing)

2002-07-30 15:46  marco <marcov@stack.nl>

	* tests/: Makefile, units/Makefile:
	
	 * OpenBSD makefile fixes

2002-07-29 16:30  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/: tw2031.pp, tw2059.pp:
	
	  + added

2002-07-28 11:45  carl <carl@freepascal.org>

	* tests/test/cg/tcase.pp:
	
	  + case node testing

2002-07-25 19:52  carl <carl@freepascal.org>

	* tests/test/cg/tincexc.pp:
	
	 + include / exclude inline node testing

2002-07-20 19:38  florian <florian@freepascal.org>

	* tests/tbs/tb0398.pp:
	
	no message

2002-07-20 19:05  florian <florian@freepascal.org>

	* tests/tbs/tb0397.pp:
	
	no message

2002-07-15 21:43  florian <florian@freepascal.org>

	* tests/tbs/tb0396.pp:
	
	no message

2002-07-07 13:16  carl <carl@freepascal.org>

	* tests/test/cg/texit.pp:
	
	  + ansistring testing (from mailing list)

2002-07-06 13:46  carl <carl@freepascal.org>

	* tests/test/units/dos/tdos.pp:
	
	+ fsearch testing added

2002-06-16 10:28  carl <carl@freepascal.org>

	* tests/test/cg/tin.pp:
	
	+ added several missing tests (adapted to both v1.1 and v1.0)

2002-06-13 10:31  jonas <jonas.maebe@rug.ac.be>

	* tests/test/tsubdecl.pp:
	
	  + initial version

2002-06-12 20:01  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbf/tw1995.pp:
	
	  + added

2002-06-05 22:34  michael <michael.vancanneyt@wisa.be>

	* tests/bench/shootout/: README.txt, src/bench.c:
	
	+ Initial implementation

2002-06-05 22:30  michael <michael.vancanneyt@wisa.be>

	* tests/bench/shootout/io/: moments.in, moments.out, rev.out,
	revfile.in, revfile.out, sumcol.in, sumcol.out, wc.in, wc.out,
	wordfreq.in, wordfreq.out:
	
	+ Initial implementation

2002-06-05 22:29  michael <michael.vancanneyt@wisa.be>

	* tests/bench/shootout/src/: nestedloop.pp, nestloop.pp,
	reversefile.pp, revfile.pp:
	
	+ Conform to 8.3 names

2002-06-05 22:28  michael <michael.vancanneyt@wisa.be>

	* tests/bench/shootout/log/: ackerm.log, ary3.log, fibo.log,
	hash.log, heapsort.log, hello.log, lists.log, matrix.log,
	methcall.log, moments.log, nestloop.log, random.log, revfile.log,
	sieve.log, strcat.log, sumcol.log, wc.log:
	
	+ initial implementation

2002-06-05 22:26  michael <michael.vancanneyt@wisa.be>

	* tests/bench/shootout/src/: ackerm.pp, array.pp, fibo.pp, hash.pp,
	heapsort.pp, hello.pp, lists.pp, matrix.pp, methcall.pp,
	moments.pp, nestedloop.pp, random.pp, reversefile.pp, sieve.pp,
	strcat.pp, sumcol.pp, wc.pp:
	
	+ Initial import

2002-06-03 21:07  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/redir.pp:
	
	 * fix compilation failure

2002-06-01 21:08  marco <marcov@stack.nl>

	* tests/: tbs/tb0032.pp, tbs/tb0038.pp, tbs/tb0043.pp,
	tbs/tb0045.pp, tbs/tb0046.pp, tbs/tb0051.pp, tbs/tb0089.pp,
	tbs/tb0164.pp, tbs/tb0225.pp, test/tasout.pp, test/tfpu3.pp,
	test/tlibrary.pp, test/utasout.pp, test/units/dos/tdos.pp,
	test/units/system/teststk.pp, utils/redir.pp, webtbs/tw0966.pp,
	webtbs/tw1092.pp:
	
	 * Renamefest

2002-05-13 15:45  peter <peter@freepascal.org>

	* tests/test/cg/: tcalcst1.pp, tcalcst2.pp, tcalcst3.pp,
	tcalcst4.pp, tcalcst5.pp, tcalcst6.pp, tcalcst7.pp, tcalcst8.pp,
	tcalcst9.pp, tcalfun1.pp, tcalfun2.pp, tcalfun3.pp, tcalfun4.pp,
	tcalfun5.pp, tcalfun6.pp, tcalfun7.pp, tcalfun8.pp, tcalfun9.pp,
	tcalval1.pp, tcalval2.pp, tcalval3.pp, tcalval4.pp, tcalval5.pp,
	tcalval6.pp, tcalval7.pp, tcalval8.pp, tcalval9.pp, tcalvar1.pp,
	tcalvar2.pp, tcalvar3.pp, tcalvar4.pp, tcalvar5.pp, tcalvar6.pp,
	tcalvar7.pp, tcalvar8.pp, tcalvar9.pp, tcnvint1.pp, tcnvint2.pp,
	tcnvint3.pp:
	
	  * updated to compile tests with kylix

2002-05-10 09:51  peter <peter@freepascal.org>

	* tests/: webtbs/tw1950.pp, webtbf/tw1949.pp:
	
	  * new bug

2002-05-10 09:48  peter <peter@freepascal.org>

	* tests/webtbs/tw1964.pp:
	
	  * FExpand bug

2002-05-09 22:16  carl <carl@freepascal.org>

	* tests/test/cg/tsubst.pp:
	
	* subscriptn() secondpass testing...

2002-05-05 21:15  carl <carl@freepascal.org>

	* tests/test/cg/tcalcla1.pp:
	
	+ complete class method call testing (secondcalln())

2002-05-05 21:13  carl <carl@freepascal.org>

	* tests/test/cg/: tcalobj1.pp, tcalobj2.pp, tcalobj3.pp,
	tcalobj4.pp, tcalobj5.pp, tcalobj6.pp, tcalobj7.pp, tcalobj8.pp:
	
	+ withsymtable checking

2002-05-05 15:58  carl <carl@freepascal.org>

	* tests/test/cg/: tcalobj1.pp, tcalobj2.pp, tcalobj3.pp,
	tcalobj4.pp, tcalobj5.pp, tcalobj6.pp, tcalobj7.pp, tcalobj8.pp,
	tcalpvr2.pp, tcalpvr3.pp, tcalpvr4.pp, tcalpvr5.pp, tcalpvr6.pp,
	tcalpvr7.pp, tcalpvr8.pp:
	
	+ finished procedural variable testsuit + finished method testsuit

2002-05-05 15:54  carl <carl@freepascal.org>

	* tests/test/cg/tcallobj.pp:
	
	* removed and replaced by other files

2002-05-04 18:58  carl <carl@freepascal.org>

	* tests/test/cg/obj/win32/i386/ctest.o:
	
	* new and final revisiion of C module interface testing

2002-05-04 18:56  carl <carl@freepascal.org>

	* tests/test/cg/: tcalext.pp, obj/ctest.c:
	
	+ var parameter testing + function result testing + floating point
	testing

2002-04-23 21:16  peter <peter@freepascal.org>

	* tests/webtbs/tw1856.pp:
	
	  * add test for setlength with multiple parameters

2002-04-23 15:16  peter <peter@freepascal.org>

	* tests/: webtbf/tw1842.pp, webtbf/tw1851.pp, webtbf/tw1939.pp,
	webtbs/tw1851.pp, webtbs/tw1938.pp:
	
	  * more bugs

2002-04-22 21:09  carl <carl@freepascal.org>

	* tests/test/cg/: obj/win32/i386/ctest.o, obj/ctest.c, tcalext.pp:
	
	+ added structure testing

2002-04-22 18:33  peter <peter@freepascal.org>

	* tests/test/cg/: taddr.pp, taddr1.pp, taddr2.pp:
	
	  * splitted in 2 files, one fpc mode and other tp mode

2002-04-21 20:16  peter <peter@freepascal.org>

	* tests/test/cg/obj/linux/i386/ctest.o:
	
	  * linux .o file

2002-04-21 20:15  peter <peter@freepascal.org>

	* tests/: tbs/tb0239.pp, test/units/objects/testobj.pp,
	webtbs/tw1908.pp:
	
	  * small fixes

2002-04-21 20:15  peter <peter@freepascal.org>

	* tests/utils/dotest.pp:
	
	  * Check for internal errors

2002-04-19 15:08  peter <peter@freepascal.org>

	* tests/webtbs/: tw1856.pp, tw1883.pp, tw1920.pp, tw1935.pp,
	tw1936.pp, ub1883.pp:
	
	  * new bugs
	  * fixed version tag

2002-04-19 15:04  peter <peter@freepascal.org>

	* tests/webtbf/tw1902.pp:
	
	  * wrong directory

2002-04-18 15:23  peter <peter@freepascal.org>

	* tests/: webtbf/tw1851.pp, webtbf/tw1902.pp, webtbf/tw1905.pp,
	webtbs/tw1856.pp, webtbs/tw1862.pp, webtbs/tw1863.pp,
	webtbs/tw1867.pp, webtbs/tw1883.pp, webtbs/tw1888.pp,
	webtbs/tw1889.pp, webtbs/tw1896.pp, webtbs/tw1901.pp,
	webtbs/tw1902.pp, webtbs/tw1908.pp, webtbs/tw1917.pp:
	
	  * new bugs from the web

2002-04-16 18:07  peter <peter@freepascal.org>

	* tests/webtbs/tw1927.pp:
	
	  * test should fail

2002-04-16 18:06  peter <peter@freepascal.org>

	* tests/: tbf/tb0121.pp, tbs/tb0395.pp, webtbf/tw1927.pp,
	webtbf/tw1928.pp, webtbs/tw1909.pp, webtbs/tw1910.pp,
	webtbs/tw1920.pp, webtbs/tw1923.pp, webtbs/tw1927.pp,
	webtbs/tw1930.pp, webtbs/tw1931.pp:
	
	  * new bugs

2002-04-15 22:47  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1932.pp:
	
	 + new test file

2002-04-15 16:40  carl <carl@freepascal.org>

	* tests/test/cg/tcalpvr1.pp:
	
	+fixed class creation problem

2002-04-13 23:13  carl <carl@freepascal.org>

	* tests/test/cg/obj/win32/i386/ctest.o:
	
	+ first version of binary for FPC testing

2002-04-13 23:12  carl <carl@freepascal.org>

	* tests/test/cg/obj/readme.txt:
	
	+ readme for C compiler testing

2002-04-13 23:06  carl <carl@freepascal.org>

	* tests/test/cg/obj/ctest.c:
	
	+ c module testing

2002-04-13 23:04  carl <carl@freepascal.org>

	* tests/test/cg/: tcalpvr1.pp, tderef.pp:
	
	* fixed stupid typo

2002-04-13 23:03  carl <carl@freepascal.org>

	* tests/test/cg/tcalext.pp:
	
	+ C module testing (unfinished)

2002-04-13 23:02  carl <carl@freepascal.org>

	* tests/test/cg/: taddcard.pp, taddlong.pp, taddreal.pp,
	tadint64.pp:
	
	* fixed typos

2002-04-13 23:01  carl <carl@freepascal.org>

	* tests/test/cg/taddbool.pp:
	
	* fixed typo

2002-04-13 19:51  carl <carl@freepascal.org>

	* tests/test/cg/: tcalvar3.pp, tcalvar4.pp, tcalvar5.pp,
	tcalvar6.pp, tcalvar7.pp, tcalvar8.pp, tcalvar9.pp:
	
	+ var parameter passing for different calling conventions

2002-04-13 19:49  carl <carl@freepascal.org>

	* tests/test/cg/: tcalval3.pp, tcalval4.pp, tcalval5.pp,
	tcalval6.pp, tcalval7.pp, tcalval8.pp, tcalval9.pp:
	
	+ value parameter passing for different calling conventions

2002-04-13 19:47  carl <carl@freepascal.org>

	* tests/test/cg/tcalfun9.pp:
	
	+ function calling withy saveregisters convention

2002-04-13 19:47  carl <carl@freepascal.org>

	* tests/test/cg/: tcalcst3.pp, tcalcst4.pp, tcalcst5.pp,
	tcalcst6.pp, tcalcst7.pp, tcalcst8.pp, tcalcst9.pp:
	
	+ constant parameter passing for different calling conventions

2002-04-13 13:04  carl <carl@freepascal.org>

	* tests/test/cg/tcalpvr1.pp:
	
	+ procedure variable testing (stil not sure about class/object
	proc. variables)

2002-04-13 10:05  carl <carl@freepascal.org>

	* tests/webtbs/tw1907.pp:
	
	+ web bug test #1907

2002-04-13 10:00  carl <carl@freepascal.org>

	* tests/webtbs/tw1915.pp:
	
	+ web bug test #1915

2002-04-13 09:48  carl <carl@freepascal.org>

	* tests/test/cg/tcalfun1.pp:
	
	+ testing for symtablelevel = lexlevel

2002-04-13 09:45  carl <carl@freepascal.org>

	* tests/test/cg/: tcalfun2.pp, tcalfun3.pp, tcalfun4.pp,
	tcalfun5.pp, tcalfun6.pp, tcalfun7.pp, tcalfun8.pp:
	
	+ Function calling tests , for different calling conventions.

2002-04-11 21:35  carl <carl@freepascal.org>

	* tests/test/cg/tcalfun1.pp:
	
	+ function call testing

2002-04-10 21:23  carl <carl@freepascal.org>

	* tests/test/cg/tcallobj.pp:
	
	+ added direct destructor / constructor call

2002-04-10 21:11  carl <carl@freepascal.org>

	* tests/test/cg/tcallobj.pp:
	
	+ first tries at first calln testing for objects (totally
	unfinished!)

2002-04-10 18:33  carl <carl@freepascal.org>

	* tests/test/cg/: tcalval1.pp, tcalval2.pp, tcalvar1.pp,
	tcalvar2.pp, tcalcst1.pp, tcalcst2.pp:
	
	+ first tries at first calln testing

2002-04-10 18:31  carl <carl@freepascal.org>

	* tests/test/cg/: tparan1.pp, tparan2.pp, tparan3.pp:
	
	- renamed and expanded

2002-04-02 19:05  peter <peter@freepascal.org>

	* tests/test/cg/tcall1.pp:
	
	  * fix for non-fpc compilers

2002-04-01 21:57  carl <carl@freepascal.org>

	* tests/test/cg/tparan3.pp:
	
	+ var parameter code generator testing (also crashes under version
	1.0.x!)

2002-04-01 20:05  carl <carl@freepascal.org>

	* tests/test/cg/tparan2.pp:
	
	+ const parameter passing tests (currently crashes)

2002-04-01 20:05  carl <carl@freepascal.org>

	* tests/test/cg/tparan1.pp:
	
	+ value parameter passing tests

2002-04-01 20:03  carl <carl@freepascal.org>

	* tests/test/cg/tparan.pp:
	
	- moved into three separate files

2002-03-31 00:19  carl <carl@freepascal.org>

	* tests/test/cg/tcall1.pp:
	
	+ secondcalln() : unfinished

2002-03-31 00:18  carl <carl@freepascal.org>

	* tests/test/cg/tparan.pp:
	
	+ callparan node testing (only 60% finished!)

2002-03-29 19:43  peter <peter@freepascal.org>

	* tests/test/cg/: tcnvset.pp, tmoddiv.pp, tshlshr.pp:
	
	  * updated int64 tests so kylix passes the tests

2002-03-29 13:36  peter <peter@freepascal.org>

	* tests/test/cg/tcnvint2.pp:
	
	  * add check if tests are successfull or not

2002-03-25 21:18  carl <carl@freepascal.org>

	* tests/test/cg/texit.pp:
	
	+ exit node testing

2002-03-22 22:32  carl <carl@freepascal.org>

	* tests/test/cg/tis.pp:
	
	+ added test LOC_REFERENCE/LOC_REFERENCE (thanks to Florian)

2002-03-21 21:17  carl <carl@freepascal.org>

	* tests/test/cg/tfor.pp:
	
	+ for loop testing

2002-03-21 21:16  carl <carl@freepascal.org>

	* tests/test/cg/tis.pp:
	
	+ is operator testing

2002-03-19 20:37  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * fix source location in zips for packages and demos

2002-03-18 21:20  carl <carl@freepascal.org>

	* tests/test/cg/tcnvint3.pp:
	
	+ int_int type conversion tests

2002-03-18 16:33  peter <peter@freepascal.org>

	* tests/tbf/tb0120.pp:
	
	  * new bug

2002-03-11 20:10  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * Regenerated with updated fpcmake

2002-03-10 00:18  carl <carl@freepascal.org>

	* tests/test/units/system/teststk.pp:
	
	* simulate the error code on system with no stack checking

2002-03-10 00:17  carl <carl@freepascal.org>

	* tests/test/units/system/tiorte.pp:
	
	* removing current directory should return 16

2002-03-09 22:52  carl <carl@freepascal.org>

	* tests/readme.txt:
	
	+ information on directory configuration and how to rerun the tests

2002-03-08 21:21  carl <carl@freepascal.org>

	* tests/webtbs/tw1792.pp:
	
	bug report test

2002-03-08 21:18  carl <carl@freepascal.org>

	* tests/: webtbf/tw1827.pp, webtbf/tw1858.pp, webtbs/tw1858.pp,
	webtbs/tw1827.pp:
	
	* moved to correct directory

2002-03-08 16:48  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: webtbf/tw1754b.pp, webtbs/tw1754c.pp:
	
	 * more type x = x tests

2002-03-08 16:04  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbf/tw1754.pp:
	
	+ added

2002-03-08 11:07  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0393.pp:
	
	 + added need compiler option

2002-03-07 22:46  carl <carl@freepascal.org>

	* tests/webtbs/tw1858.pp:
	
	+ fix unit name

2002-03-07 22:44  carl <carl@freepascal.org>

	* tests/webtbs/tw1827.pp:
	
	+ bug report #1827 testing

2002-03-07 22:40  carl <carl@freepascal.org>

	* tests/webtbs/tw1858.pp:
	
	* bug #1858 testing

2002-03-07 18:34  carl <carl@freepascal.org>

	* tests/webtbs/tw1850.pp:
	
	#1850 bug report test

2002-03-05 22:54  carl <carl@freepascal.org>

	* tests/test/cg/: taddbool.pp, taddcard.pp, taddlong.pp,
	taddreal.pp, taddset.pp, tadint64.pp, tcnvset.pp, tderef.pp,
	tin.pp, tmoddiv.pp, tneg.pp, tnot.pp, tshlshr.pp, tvec.pp:
	
	* Adapted for automated testing

2002-03-05 22:54  carl <carl@freepascal.org>

	* tests/test/units/system/teststk.pp:
	
	+ indicate error code

2002-03-05 22:53  carl <carl@freepascal.org>

	* tests/test/units/system/: tio.pp, tdir.pp:
	
	+ cleanup

2002-03-05 22:53  carl <carl@freepascal.org>

	* tests/test/units/system/tiorte.pp:
	
	+ tests on removing current directory and parent directory

2002-03-05 22:52  carl <carl@freepascal.org>

	* tests/test/units/system/tparam.pp:
	
	+ test is interactive

2002-03-05 22:52  carl <carl@freepascal.org>

	* tests/test/units/system/tmem.pp:
	
	basic mem testing

2002-03-05 22:50  carl <carl@freepascal.org>

	* tests/test/units/objects/testobj.pas:
	
	- renamed to .pp

2002-03-05 22:50  carl <carl@freepascal.org>

	* tests/test/units/objects/testobj.pp:
	
	+ objects unit testing

2002-03-05 22:47  carl <carl@freepascal.org>

	* tests/: Makefile.fpc, Makefile:
	
	+ add objects and cg directories to clean

2002-03-04 19:03  peter <peter@freepascal.org>

	* tests/tbs/: tb0393.pp, tb0394.pp:
	
	  * new tests

2002-03-04 11:29  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tfpu4.pp:
	
	 * use asw for win32 target

2002-03-03 14:27  hajny <xhajt03@mbox.vol.cz>

	* tests/utils/dotest.pp:
	
	  + added support for OS/2 units (.ppo)

2002-02-28 22:30  peter <peter@freepascal.org>

	* tests/: Makefile, tbf/tb0118.pp, tbf/tb0119.pp, units/Makefile:
	
	  * regenated

2002-02-24 21:07  hajny <xhajt03@mbox.vol.cz>

	* tests/utils/redir.pp:
	
	  * dummy implementation for OS/2

2002-02-15 09:41  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1808.pp:
	
	 + bug report 1808 test

2002-01-31 15:36  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0392.pp:
	
	  + added after comment on fpc-devel by
	<pavel@insect.mail.iephb.ru>

2002-01-29 22:32  peter <peter@freepascal.org>

	* tests/tbs/: tb0335.pp, tb0373.pp, tb0375.pp:
	
	  * small updates to test also with kylix

2002-01-29 21:05  peter <peter@freepascal.org>

	* tests/webtbs/tw1658.pp:
	
	  * lowercase tempfile name

2002-01-29 19:05  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2002-01-29 16:48  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/: tasout.pp, README, utasout.pp:
	
	 + test output_format dir

2002-01-29 14:38  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbf/tw1681.pp:
	
	 added FAIL

2002-01-29 14:24  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/dotest.pp:
	
	 + also generate .elg file for units

2002-01-29 13:59  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: webtbf/tw1681.pp, webtbs/tw1681.pp:
	
	  check for bug 1681

2002-01-29 13:51  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/dotest.pp:
	
	  + PPFileInfo to also display time stamp of test file
	  * generate .elg file in several cases
	    to avoid trying to recompute the same test
	    over and over again.

2002-01-29 08:57  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: .cvsignore, tbf/.cvsignore, tbs/.cvsignore,
	test/.cvsignore, test/cg/.cvsignore, test/opt/.cvsignore,
	test/units/.cvsignore, test/units/crt/.cvsignore,
	test/units/dos/.cvsignore, test/units/objects/.cvsignore,
	test/units/system/.cvsignore, units/.cvsignore, webtbf/.cvsignore,
	webtbs/.cvsignore:
	
	 + explicit .cvsignore files added

2002-01-29 08:38  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tset2.pp:
	
	 + some more test for set operations

2002-01-29 08:36  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/tb0304.pp:
	
	 * tb0304 is a lib, so don't try to run it

2002-01-27 22:48  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2002-01-24 19:23  peter <peter@freepascal.org>

	* tests/: webtbf/tw1157b.pp, webtbs/tw1157b.pp:
	
	  * test should succeed instead of fail

2002-01-22 19:15  michael <michael.vancanneyt@wisa.be>

	* tests/webtbs/tw1479.pp:
	
	+ Small error correction

2002-01-22 09:31  michael <michael.vancanneyt@wisa.be>

	* tests/webtbs/tw1479.pp:
	
	+ Now uses PathSeparator and DirectorySeparator

2002-01-21 22:35  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1658.pp:
	
	 new test

2002-01-19 16:20  peter <peter@freepascal.org>

	* tests/webtbf/tw1599b.pp:
	
	check also implementation

2002-01-19 15:21  peter <peter@freepascal.org>

	* tests/: tbf/tb0003.pp, tbf/tb0117.pp, tbs/tb0150.pp,
	tbs/tb0357.pp, tbs/tb0379.pp, tbs/tb0380.pp, tbs/tb0386.pp,
	tbs/tb0391.pp, webtbs/tw1677.pp:
	
	  * flag bugs that will not be fixed in 1.0.x to be 1.1 only

2002-01-19 13:58  peter <peter@freepascal.org>

	* tests/webtbs/tw0965.pp:
	
	  * 1.1 only

2002-01-19 13:57  peter <peter@freepascal.org>

	* tests/tbs/: tb0170.pp, tb0346.pp:
	
	  * marked 1.1 only

2002-01-19 13:37  peter <peter@freepascal.org>

	* tests/test/units/system/teststk.pp:
	
	  * no checking for linux

2002-01-19 12:48  peter <peter@freepascal.org>

	* tests/: webtbf/tw1599.pp, webtbs/tw1532.pp, webtbs/tw1709.pp,
	webtbs/tw1744.pp, webtbs/tw1755.pp, webtbs/tw1758.pp,
	webtbs/tw1765.pp:
	
	  * more bugs

2002-01-06 22:59  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2002-01-06 12:46  peter <peter@freepascal.org>

	* tests/tbs/: tb0391.pp, ub0391.pp:
	
	  * new tests

2001-12-28 15:10  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw1735.pp:
	
	  + bug 1735

2001-12-11 11:40  marco <marcov@stack.nl>

	* tests/: Makefile, units/Makefile:
	
	 * BSDhier fix to fpcmake.ini + makefile update.

2001-12-10 03:41  carl <carl@freepascal.org>

	* tests/test/units/system/teststk.pp:
	
	+ initial version of stack checking routines

2001-12-10 03:25  carl <carl@freepascal.org>

	* tests/test/units/dos/hello.pp:
	
	+ test file for tdos

2001-12-10 03:25  carl <carl@freepascal.org>

	* tests/test/units/dos/tdos.pp:
	
	+ exec now tests hello, which permits testing of DosError and
	DosExitCode

2001-12-04 16:36  jonas <jonas.maebe@rug.ac.be>

	* tests/test/cg/tlohi.pp:
	
	  + test for lo/hi

2001-11-23 02:57  carl <carl@freepascal.org>

	* tests/test/units/dos/tdos2.pp:
	
	* updated some tests so they work on other systems

2001-11-20 15:28  florian <florian@freepascal.org>

	* tests/webtbs/tw1677.pp:
	
	no message

2001-11-18 19:43  peter <peter@freepascal.org>

	* tests/tbs/tb0390.pp:
	
	  * another test for overloading

2001-11-03 21:11  peter <peter@freepascal.org>

	* tests/: tbf/tb0114.pp, tbf/tb0115.pp, tbf/tb0116.pp,
	tbf/ub0115.pp, tbs/tb0386.pp, tbs/tb0387.pp, tbs/tb0388.pp,
	tbs/tb0389.pp, tbs/ub0386.pp:
	
	  * testss for class overload and virtual

2001-10-29 16:03  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbf/tw1655.pp:
	
	  + added

2001-10-28 18:21  peter <peter@freepascal.org>

	* tests/tbs/: tb0384.pp, tb0385.pp:
	
	  * tests for overloaded to procvar

2001-10-27 00:32  florian <florian@freepascal.org>

	* tests/tbs/tb0381.pp:
	
	no message

2001-10-22 23:21  peter <peter@freepascal.org>

	* tests/tbs/tb0383.pp:
	
	  * enum(enum) test

2001-10-22 21:58  peter <peter@freepascal.org>

	* tests/: tbf/tb0112.pp, tbf/tb0113.pp, tbs/tb0382.pp:
	
	  * new tests

2001-10-22 21:55  peter <peter@freepascal.org>

	* tests/webtbs/tw1318.pp:
	
	  * give error with string constants longer than 255 chars, this is
	    compatible with kylix

2001-10-20 21:27  peter <peter@freepascal.org>

	* tests/: tbf/tb0111.pp, tbs/tb0371.pp, tbs/tb0372.pp:
	
	  * guid additions

2001-10-20 19:26  peter <peter@freepascal.org>

	* tests/: test/tpara1.pp, test/trange1.pp, test/cg/taddset.pp,
	test/units/system/tdir.pp, units/erroru.pp:
	
	  * several fixes to run also with kylix

2001-10-18 22:55  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * asw support

2001-10-18 18:32  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbf/tw1642.pp:
	
	  +added

2001-10-18 00:41  florian <florian@freepascal.org>

	* tests/tbs/tb0381.pp:
	
	no message

2001-10-16 22:52  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * fpc -PB instead of -P?
	  * check if fpc exists if not found fallback to ppc386

2001-10-16 19:14  jonas <jonas.maebe@rug.ac.be>

	* tests/tbf/tb0108.pp:
	
	  - removed

2001-10-14 23:43  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2001-10-11 22:31  peter <peter@freepascal.org>

	* tests/: tbf/tb0110.pp, tbs/tb0378.pp, tbs/tb0379.pp,
	tbs/tb0380.pp, tbs/ub0380.pp:
	
	  * new tests

2001-10-11 10:43  jonas <jonas.maebe@rug.ac.be>

	* tests/test/trange1.pp:
	
	  * fixed range bug

2001-10-11 00:23  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1634.pp:
	
	 New test

2001-10-03 00:31  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1623.pp:
	
	 New test file

2001-09-30 23:06  peter <peter@freepascal.org>

	* tests/: tbs/tb0038.pp, tbs/tb0369.pp, tbs/tb0376.pp,
	test/cg/treadwrt.pp, webtbs/tw1622.pp:
	
	  * updated to work better with 1.0.x under linux

2001-09-28 18:17  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1622.pp:
	
	 New test

2001-09-27 04:28  carl <carl@freepascal.org>

	* tests/test/units/dos/tdos.pp:
	
	* replace linux -> unix in certain cases

2001-09-25 18:20  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1617.pp:
	
	 Test for delphi comment in last line

2001-09-14 23:38  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: Makefile, Makefile.fpc:
	
	 * delete units on clean

2001-09-11 01:06  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tfpuover.pp:
	
	 test for fpu overflow

2001-09-07 09:32  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tcint64.pp:
	
	 * check for negative int64 constants

2001-09-04 16:33  jonas <jonas.maebe@rug.ac.be>

	* tests/test/tset2.pp:
	
	  + test include and exclude too

2001-09-03 17:06  jonas <jonas.maebe@rug.ac.be>

	* tests/test/opt/treg2.pp:
	
	  * fixed filename

2001-09-03 17:04  jonas <jonas.maebe@rug.ac.be>

	* tests/test/opt/treg1.pp:
	
	  * added -So to OPT

2001-09-02 23:11  peter <peter@freepascal.org>

	* tests/: tbf/tb0107.pp, tbf/tb0108.pp, tbf/tb0109.pp,
	tbs/tb0377.pp:
	
	  * new tests

2001-09-01 01:56  carl <carl@freepascal.org>

	* tests/test/cg/tcnvint2.pp:
	
	+ first revision (missing LOC_FLAGS location test)

2001-09-01 00:25  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: Makefile, Makefile.fpc:
	
	 * use ./dotest to run tests on linux

2001-08-30 22:18  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2001-08-30 13:03  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0376.pp:
	
	  + initial version (should not give warning)

2001-08-28 01:01  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/: tw1044.pp, tw1050.pp, tw1229.pp, tw1430.pp,
	tw1485.pp, tw1592.pp:
	
	 + several new test files

2001-08-23 15:51  jonas <jonas.maebe@rug.ac.be>

	* tests/test/cg/treadwrt.pp:
	
	  + limited test of code generator for read(ln)/write(ln)

2001-08-22 23:18  florian <florian@freepascal.org>

	* tests/tbs/: tb0374.pp, tb0375.pp:
	
	no message

2001-08-22 22:49  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2001-08-19 23:09  florian <florian@freepascal.org>

	* tests/tbs/: tb0370.pp, tb0371.pp, tb0372.pp, tb0373.pp:
	
	  * several new tests

2001-08-18 02:45  carl <carl@freepascal.org>

	* tests/test/units/system/tiorte.pp:
	
	+ more testing

2001-08-13 14:37  jonas <jonas.maebe@rug.ac.be>

	* tests/test/cg/tstr.pp:
	
	  + added tests with variable arguments for length/frac

2001-08-13 14:28  jonas <jonas.maebe@rug.ac.be>

	* tests/test/cg/tstr.pp:
	
	  + initial version

2001-08-13 08:00  carl <carl@freepascal.org>

	* tests/test/units/objects/testobj.pas:
	
	+ objects unit OS dependant part testing

2001-08-12 20:55  carl <carl@freepascal.org>

	* tests/test/units/dos/tdos2.pp:
	
	+ added printing the number of ENV vars.

2001-08-09 03:14  carl <carl@freepascal.org>

	* tests/test/units/dos/tdos2.pp:
	
	* several updates and more error checking

2001-08-06 15:03  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1433.pp:
	
	 New test

2001-08-06 14:55  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1472.pp:
	
	 New test

2001-08-05 14:23  peter <peter@freepascal.org>

	* tests/tbs/: tb0367.pp, tb0368.pp, tb0369.pp:
	
	  * new bugs

2001-08-04 01:48  pierre <muller@cerbere.u-strasbg.fr>

	* tests/tbs/: tb0001.pp, tb0030.pp, tb0037.pp, tb0038.pp,
	tb0071.pp, tb0072.pp, tb0104.pp, tb0105.pp, tb0106.pp, tb0118.pp,
	tb0142.pp, tb0144.pp, tb0145.pp, tb0168.pp, tb0192.pp, tb0193.pp,
	tb0194.pp, tb0220.pp, tb0236.pp, tb0241.pp, tb0244.pp, tb0261.pp,
	tb0270.pp, tb0272.pp, tb0275.pp, tb0319.pp, tb0320.pp, tb0322.pp,
	tb0367.pp:
	
	 * fix most m68k errors due to intel assembler code

2001-08-04 00:34  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/: tasmread.pp, testmovd.pp, tfpu3.pp, tfpu4.pp,
	tfpu5.pp, tmmx1.pp:
	
	 * fixes for m68k testing

2001-08-02 22:56  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * Regenerated

2001-08-01 23:41  peter <peter@freepascal.org>

	* tests/: tbs/tb0364.pp, webtbf/tw1397.pp, webtbs/tw1409.pp:
	
	  * small fixes

2001-08-01 20:00  peter <peter@freepascal.org>

	* tests/tbs/tb0367.pp:
	
	  * Test for result in assembler for delphi mode

2001-08-01 13:08  jonas <jonas.maebe@rug.ac.be>

	* tests/tbs/tb0356.pp:
	
	  * fixed test

2001-08-01 12:38  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tstring7.pp:
	
	 * simple test that failed for m68k

2001-08-01 00:02  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * install Package.fpc

2001-07-31 21:18  peter <peter@freepascal.org>

	* tests/: test/tprocvar1.pp, test/units/dos/tfexpand.pp,
	test/units/system/tio.pp, webtbs/tw1479.pp:
	
	  * small fixes to compile

2001-07-31 16:43  marco <marcov@stack.nl>

	* tests/tbs/tb0349.pp:
	
	 * Added const x : pansichar = 'xxx';

2001-07-31 11:00  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/tfpu3.pp:
	
	 + added a note that nasm is required

2001-07-31 11:00  pierre <muller@cerbere.u-strasbg.fr>

	* tests/utils/dotest.pp:
	
	 + %Note= comment added

2001-07-31 10:03  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/cg/tldparam.pp:
	
	 * inline on directive added

2001-07-31 03:55  carl <carl@freepascal.org>

	* tests/test/cg/tcnvint1.pp:
	
	* corrected small spelling mistake

2001-07-31 03:55  carl <carl@freepascal.org>

	* tests/test/cg/taddreal.pp:
	
	* corrected comparing value for real

2001-07-31 00:09  peter <peter@freepascal.org>

	* tests/test/units/system/tio.pp:
	
	  * use .tmp as extension so it gets cleaned

2001-07-31 00:09  peter <peter@freepascal.org>

	* tests/webtbs/tw1279.pp:
	
	  * added subdir before filename

2001-07-31 00:08  peter <peter@freepascal.org>

	* tests/webtbf/tw1467.pp:
	
	  * added fail directivey

2001-07-31 00:08  peter <peter@freepascal.org>

	* tests/webtbs/tw1395.pp:
	
	  * moved to fail

2001-07-30 23:00  peter <peter@freepascal.org>

	* tests/webtbs/tw1567.pp:
	
	  * test for array of word passing

2001-07-30 00:11  peter <peter@freepascal.org>

	* tests/tbs/: tb0366.pp, ub0366.pp:
	
	  * test if private symbols in with symtable are skipped

2001-07-27 04:56  carl <carl@freepascal.org>

	* tests/test/cg/tcnvint1.pp:
	
	+ second_bool_to_int node testing (initial revision)

2001-07-27 04:55  carl <carl@freepascal.org>

	* tests/test/cg/taddbool.pp:
	
	+ more complex testing

2001-07-14 06:25  carl <carl@freepascal.org>

	* tests/test/units/system/tdir.pp:
	
	system unit testing : basic directory services

2001-07-14 06:25  carl <carl@freepascal.org>

	* tests/test/units/system/tio.pp:
	
	system unit testing : basic I/O

2001-07-14 06:24  carl <carl@freepascal.org>

	* tests/test/units/system/trandom.pp:
	
	- remove graph unit usage

2001-07-14 06:24  carl <carl@freepascal.org>

	* tests/test/units/system/tparam.pp:
	
	+ system unit tests : paramstr() + paramcount()

2001-07-14 00:05  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * cygwin updates

2001-07-09 23:21  peter <peter@freepascal.org>

	* tests/tbs/tb0363.pp:
	
	  * length(array)

2001-07-08 23:01  peter <peter@freepascal.org>

	* tests/test/tstring6.pp:
	
	  * widestring tests based on the ansistring test program

2001-07-08 23:00  peter <peter@freepascal.org>

	* tests/tbs/tb0349.pp:
	
	  * various widestring updates, it works now mostly without charset
	    mapping supported

2001-07-06 17:24  peter <peter@freepascal.org>

	* tests/tbs/tb0349.pp:
	
	  * constant string to widechar added

2001-07-04 13:23  florian <florian@freepascal.org>

	* tests/utils/dotest.pp:
	
	  * spelling mistake fixed

2001-07-01 22:13  peter <peter@freepascal.org>

	* tests/utils/redir.pp:
	
	  * udpated for dos

2001-06-30 04:16  carl <carl@freepascal.org>

	* tests/test/cg/tvec.pp:
	
	- reduced sizes of arrays to make it work under m68k

2001-06-30 04:02  carl <carl@freepascal.org>

	* tests/test/cg/tderef.pp:
	
	+ secondderef()

2001-06-30 04:00  carl <carl@freepascal.org>

	* tests/test/cg/taddr.pp:
	
	+ secondaddr() testing

2001-06-30 02:48  carl <carl@freepascal.org>

	* tests/test/cg/tvec.pp:
	
	+ added LOC_FLAGS and LOC_JUMP tests (still missing open array
	tests)

2001-06-29 04:02  carl <carl@freepascal.org>

	* tests/test/cg/tvec.pp:
	
	+ add array indexing test suite (incomplete)

2001-06-25 03:34  carl <carl@freepascal.org>

	* tests/test/cg/tin.pp:
	
	+ secondin() node testing

2001-06-25 01:58  carl <carl@freepascal.org>

	* tests/test/cg/tadint64.pp:
	
	* fixed problem with log

2001-06-25 01:01  carl <carl@freepascal.org>

	* tests/test/cg/tcnvset.pp:
	
	+ completed small set -. normal set conversion tests

2001-06-25 00:30  carl <carl@freepascal.org>

	* tests/test/cg/taddset.pp:
	
	+ completed small set tests

2001-06-22 04:24  carl <carl@freepascal.org>

	* tests/test/cg/taddset.pp:
	
	+ complete normal set tests

2001-06-21 04:50  carl <carl@freepascal.org>

	* tests/test/cg/taddset.pp:
	
	cgadd node testing for sets (incomplete)

2001-06-19 04:07  carl <carl@freepascal.org>

	* tests/test/cg/tcnvstr2.pp:
	
	+ cstring_to_pchar type conversion test

2001-06-19 03:50  carl <carl@freepascal.org>

	* tests/test/README:
	
	+ more updates

2001-06-19 03:49  carl <carl@freepascal.org>

	* tests/test/cg/tcnvstr1.pp:
	
	+ string_string conversion test

2001-06-16 05:55  carl <carl@freepascal.org>

	* tests/test/README:
	
	* secondunaryminus test clarification

2001-06-14 04:56  carl <carl@freepascal.org>

	* tests/test/cg/tmoddiv.pp:
	
	+ added more specific tests

2001-06-12 04:03  carl <carl@freepascal.org>

	* tests/test/cg/taddcard.pp:
	
	+ added more testing of cardinal multiplication

2001-06-12 03:12  carl <carl@freepascal.org>

	* tests/test/cg/taddreal.pp:
	
	+ added header

2001-06-07 23:26  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * Regenerated

2001-06-06 23:58  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * Win32 fixes for Makefile so it doesn't require sh.exe

2001-06-06 03:31  carl <carl@freepascal.org>

	* tests/test/units/dos/tdos2.pp:
	
	* fsplit with .. only works for go32v2 version and TP

2001-06-05 18:20  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbf/tw1467.pp:
	
	  + moved here from webtbs dir

2001-06-05 18:19  jonas <jonas.maebe@rug.ac.be>

	* tests/webtbs/tw1467.pp:
	
	  - moved to webtbs

2001-06-04 23:44  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * Regenerated

2001-06-04 20:17  peter <peter@freepascal.org>

	* tests/tbs/: tb0359.pp, tb0362.pp:
	
	  * updated

2001-06-04 13:49  peter <peter@freepascal.org>

	* tests/tbs/: tb0359.pp, tb0360.pp, tb0361.pp:
	
	  * more bugs

2001-06-03 23:58  peter <peter@freepascal.org>

	* tests/test/thintdir.pp:
	
	  * hint directive test cases

2001-06-03 23:56  peter <peter@freepascal.org>

	* tests/tbs/: tb0358.pp, tb0359.pp:
	
	  * new bugs

2001-06-03 22:29  peter <peter@freepascal.org>

	* tests/tbf/tb0106.pp:
	
	  * const to var not detected

2001-06-02 21:20  peter <peter@freepascal.org>

	* tests/: tbs/tb0348.pp, tbs/tb0350.pp, tbs/tb0351.pp,
	tbs/tb0353.pp, tbs/tb0354.pp, test/tfpu2.pp, test/tunit2.pp,
	webtbs/tw1409.pp:
	
	  * 1.1 update

2001-06-02 02:41  peter <peter@freepascal.org>

	* tests/utils/dotest.pp:
	
	  * write exitcode for all executed programs in debug mode

2001-06-02 00:41  peter <peter@freepascal.org>

	* tests/units/: Makefile, Makefile.fpc:
	
	  * 1.0 uses also the new fpcmake

2001-06-02 00:22  peter <peter@freepascal.org>

	* tests/tbs/tb0357.pp:
	
	  * outofmemory exception bug

2001-05-30 23:39  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * gecho, gdate fixes
	  * distinstall target rewrite to not install things twice

2001-05-28 21:30  peter <peter@freepascal.org>

	* tests/webtbs/tw1501.pp:
	
	  * change \ to / for pwd, since the win32 pwd returns paths with \

2001-05-27 04:17  carl <carl@freepascal.org>

	* tests/test/cg/tadint64.pp:
	
	+ secondadd() for 64-bit integers

2001-05-27 04:04  carl <carl@freepascal.org>

	* tests/test/cg/tmoddiv.pp:
	
	+ secondmoddiv()

2001-05-27 02:05  carl <carl@freepascal.org>

	* tests/test/cg/tnot.pp:
	
	+ secondnot()

2001-05-27 00:37  carl <carl@freepascal.org>

	* tests/test/README:
	
	+ added more information + added tneg.pp

2001-05-27 00:34  carl <carl@freepascal.org>

	* tests/test/cg/tneg.pp:
	
	+ negate tests

2001-05-26 22:25  carl <carl@freepascal.org>

	* tests/test/cg/tshlshr.pp:
	
	- removed printing direct types, uses comparison instead

2001-05-25 03:16  carl <carl@freepascal.org>

	* tests/test/README:
	
	+ secondshlshr() test

2001-05-25 03:15  carl <carl@freepascal.org>

	* tests/test/cg/tshlshr.pp:
	
	+ secondshlshr() tests (complete)

2001-05-20 20:30  hajny <xhajt03@mbox.vol.cz>

	* tests/test/units/dos/tdos2.pp:
	
	  + support for GO32v1 and GO32v2 added

2001-05-20 14:07  peter <peter@freepascal.org>

	* tests/: tbs/tb0356.pp, webtbf/tw1483.pp, webtbs/tw1279.pp,
	webtbs/tw1477.pp, webtbs/tw1479.pp, webtbs/tw1489.pp,
	webtbs/tw1501.pp, webtbs/uw1279.pp:
	
	  * new tests

2001-05-19 23:57  peter <peter@freepascal.org>

	* tests/test/tprocvar1.pp:
	
	  * removed other warning

2001-05-19 15:14  peter <peter@freepascal.org>

	* tests/test/tpara1.pp:
	
	  * objfpc mode

2001-05-19 14:11  peter <peter@freepascal.org>

	* tests/tbs/tb0355.pp:
	
	  * test for auto derefencing

2001-05-19 14:10  peter <peter@freepascal.org>

	* tests/test/units/dos/: tdos2.html, tdos2.pp, testdos.html,
	testdos.pas:
	
	  * renamed to .pp

2001-05-19 13:51  peter <peter@freepascal.org>

	* tests/test/cg/: taddbool.pas, taddbool.pp, taddcard.pas,
	taddcard.pp, taddlong.pas, taddlong.pp, taddreal.pas, taddreal.pp,
	tldparam.pas, tldparam.pp:
	
	  * renamed to .pp

2001-05-19 13:44  peter <peter@freepascal.org>

	* tests/test/opt/: README, tcmov.pp, tcse1.pp, tcse2.pp, tcse3.pp,
	treg1.pp, treg2.dat, treg2.pp, treg3.pp:
	
	  * moved testopt to test/opt

2001-05-19 13:41  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * moved testopt to test/opt/ dir

2001-05-19 13:37  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * support subdirs under test/

2001-05-18 20:20  carl <carl@freepascal.org>

	* tests/test/cg/tldparam.pas:
	
	+ add more tests

2001-05-16 17:30  carl <carl@freepascal.org>

	* tests/test/README:
	
	* cleanup and more documentation

2001-05-16 17:29  carl <carl@freepascal.org>

	* tests/test/cg/taddlong.pas:
	
	+ initial version secondadd() longint testing

2001-05-16 17:29  carl <carl@freepascal.org>

	* tests/test/cg/tldparam.pas:
	
	+ initial version secondload testing.

2001-05-16 17:28  carl <carl@freepascal.org>

	* tests/test/cg/taddreal.pas:
	
	* corrected problem with log

2001-05-16 15:40  carl <carl@freepascal.org>

	* tests/test/: units/system/trandom.pp, tfexpand.pp,
	units/dos/tfexpand.pp:
	
	- moved from main directory

2001-05-16 15:40  carl <carl@freepascal.org>

	* tests/test/trandom.pp:
	
	- moved

2001-05-09 23:12  carl <carl@freepascal.org>

	* tests/test/units/system/tiorte.pp:
	
	+ moved from /test/ and renamed + added directory service testing +
	added filesize/filepos testing.

2001-05-09 23:11  carl <carl@freepascal.org>

	* tests/test/tinoutres.pp:
	
	no message

2001-05-09 21:27  carl <carl@freepascal.org>

	* tests/test/cg/taddreal.pas:
	
	+ replaces treal1.pp

2001-05-09 21:26  carl <carl@freepascal.org>

	* tests/test/treal1.pp:
	
	- replaced by /cg/taddreal.pas

2001-05-09 20:52  carl <carl@freepascal.org>

	* tests/test/tmath2.pp:
	
	- replaced by /cg/taddcar.pas

2001-05-09 20:44  carl <carl@freepascal.org>

	* tests/test/cg/taddcard.pas:
	
	+ cardinal secondadd()

2001-05-09 20:11  carl <carl@freepascal.org>

	* tests/test/cg/taddbool.pas:
	
	+ boolean secondadd()

2001-05-09 18:12  carl <carl@freepascal.org>

	* tests/test/: units/crt/tcrt.pp, units/dos/tdos.pp, tcrt.pp,
	tdos.pp:
	
	+ moved to correct directory

2001-05-08 23:05  florian <florian@freepascal.org>

	* tests/tbs/tb0353.pp:
	
	no message

2001-05-08 22:40  florian <florian@freepascal.org>

	* tests/tbs/: tb0353.pp, tb0354.pp:
	
	no message

2001-05-06 16:50  peter <peter@freepascal.org>

	* tests/test/tdos.pp:
	
	  * also display time with findfirst

2001-05-03 23:35  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc, units/Makefile,
	units/Makefile.fpc:
	
	  * Makefile fixes

2001-04-29 12:16  peter <peter@freepascal.org>

	* tests/tbf/tb0105.pp:
	
	  * added new bug with typed record consts

2001-04-26 00:45  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2001-04-24 19:41  peter <peter@freepascal.org>

	* tests/: webtbf/tw0840.pp, webtbf/uw0840a.pp, webtbf/uw0840b.pp,
	webtbs/tw0840.pp, webtbs/uw0840a.pp, webtbs/uw0840b.pp:
	
	  * moved to fail

2001-04-23 22:19  peter <peter@freepascal.org>

	* tests/webtbs/tw1122.pp:
	
	  * real invalid instruction. SSE is support on P3 so the test
	failed
	    on my laptop because the instruction was valid :)

2001-04-21 17:36  peter <peter@freepascal.org>

	* tests/: tbf/tb0104.pp, tbs/tb0253.pp:
	
	  * moved bug 253 to fail bug 104

2001-04-21 17:35  peter <peter@freepascal.org>

	* tests/webtbs/: tw0919.pp, tw1023.pp:
	
	  * use $asmmode instead of obsolete $i386_intel

2001-04-16 13:11  peter <peter@freepascal.org>

	* tests/webtbf/: tb1432.pp, tw1432.pp:
	
	  * renamed

2001-04-16 13:03  peter <peter@freepascal.org>

	* tests/webtbs/: tb1409.pp, tb1412.pp, tb1416.pp, tb1445.pp,
	tb1450.pp, tb1451.pp, tb1467.pp, tw1409.pp, tw1412.pp, tw1416.pp,
	tw1445.pp, tw1450.pp, tw1451.pp, tw1467.pp, tw1470.pp:
	
	  * renamed to correct tw*.pp names

2001-04-14 01:51  peter <peter@freepascal.org>

	* tests/tbs/: tb0299.pp, tb0349.pp:
	
	  * run fixes

2001-04-14 00:41  peter <peter@freepascal.org>

	* tests/: tbf/tb0103.pp, tbs/tb0140.pp, tbs/tb0344.pp:
	
	  * small fixes

2001-04-13 22:07  peter <peter@freepascal.org>

	* tests/webtbf/tw1407.pp:
	
	  * added missing fail

2001-04-13 20:01  peter <peter@freepascal.org>

	* tests/: webtbf/tb1432.pp, webtbs/tb1409.pp, webtbs/tb1412.pp,
	webtbs/tb1416.pp, webtbs/tb1445.pp, webtbs/tb1450.pp,
	webtbs/tb1451.pp:
	
	  * new bugs from the web

2001-04-12 20:15  peter <peter@freepascal.org>

	* tests/webtbs/tb1467.pp:
	
	  * fixed unitname

2001-04-12 20:13  peter <peter@freepascal.org>

	* tests/webtbs/tb1467.pp:
	
	  * new bug

2001-04-12 11:50  peter <peter@freepascal.org>

	* tests/tbs/tb0352.pp:
	
	  * new test

2001-04-10 23:29  peter <peter@freepascal.org>

	* tests/test/: tunit1.pp, tunit2.pp, tunit3.pp, tunit4.pp,
	tunit5.pp, uunit1.pp, uunit2a.pp, uunit2b.pp, uunit3a.pp,
	uunit3b.pp, uunit3c.pp:
	
	  * more type redefining tests

2001-04-10 23:25  peter <peter@freepascal.org>

	* tests/tbf/: tb0101.pp, tb0102.pp:
	
	  * more delphi incompatibilities

2001-04-10 21:02  hajny <xhajt03@mbox.vol.cz>

	* tests/test/tfexpand.pp:
	
	  * incorrect checks under Unix fixed

2001-04-10 20:54  hajny <xhajt03@mbox.vol.cz>

	* tests/test/tfexpand.pp:
	
	  * FileNameCaseSensitive added for Unix

2001-04-08 14:50  hajny <xhajt03@mbox.vol.cz>

	* tests/test/tfexpand.pas:
	
	  - tfexpand.pas renamed to tfexpand.pp

2001-04-08 14:49  hajny <xhajt03@mbox.vol.cz>

	* tests/test/: tfexpand.pp, tfexpand.pas:
	
	  * more checks (including long volume names, etc.)

2001-04-07 17:13  peter <peter@freepascal.org>

	* tests/test/: tfexpand.pas, tfexpand.pp, tpara1.pp:
	
	  * renamed to .pp extension

2001-04-04 23:14  florian <florian@freepascal.org>

	* tests/tbs/tb0351.pp:
	
	no message

2001-04-04 22:26  florian <florian@freepascal.org>

	* tests/tbs/tb0350.pp:
	
	no message

2001-04-02 04:34  carl <carl@freepascal.org>

	* tests/test/units/dos/testdos.html:
	
	+ initial version of complete test for dos unit (doc)

2001-04-02 04:34  carl <carl@freepascal.org>

	* tests/test/units/dos/testdos.pas:
	
	+ initial version of complete test for dos unit

2001-03-30 13:31  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/: README, testmovd.pp:
	
	 + MOVD test

2001-03-27 11:16  jonas <jonas.maebe@rug.ac.be>

	* tests/test/tasmread.pp:
	
	  + test for qualified vars in assembler reader

2001-03-23 00:53  florian <florian@freepascal.org>

	* tests/tbs/: tb0348.pp, tb0349.pp, tb0347.pp:
	
	no message

2001-03-22 11:31  pierre <muller@cerbere.u-strasbg.fr>

	* tests/test/: README, tinlin64.pp:
	
	 + new test for in64 value parameter push inlined

2001-03-13 19:50  peter <peter@freepascal.org>

	* tests/test/timplprog.pp:
	
	  * test should fail now

2001-03-13 19:49  peter <peter@freepascal.org>

	* tests/tbs/tb0346.pp:
	
	  * new bug from Pavel with property and indexes

2001-03-10 13:56  peter <peter@freepascal.org>

	* tests/tbs/tb0345.pp:
	
	  * new bug

2001-03-10 11:05  hajny <xhajt03@mbox.vol.cz>

	* tests/test/tfexpand.pas:
	
	  * correction for Unix

2001-02-26 20:44  peter <peter@freepascal.org>

	* tests/tbf/tb0100.pp:
	
	  * added %FAIL

2001-02-26 13:50  jonas <jonas.maebe@rug.ac.be>

	* tests/tbf/tb0100.pp:
	
	  + initial version from Peter

2001-02-24 11:46  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2001-02-22 22:15  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2001-02-21 22:37  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1414.pp:
	
	 * generate some output on error

2001-02-21 22:34  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: webtbf/tw1407.pp, webtbs/tw1407.pp:
	
	 new test for web bug 1407

2001-02-21 20:43  peter <peter@freepascal.org>

	* tests/: tbs/tb0342.pp, tbs/tb0343.pp, tbs/tb0344.pp,
	tbs/ub0342a.pp, tbs/ub0342b.pp, webtbs/tw1404.pp, webtbs/tw1414.pp:
	
	  * new tests

2001-02-20 22:28  peter <peter@freepascal.org>

	* tests/: Makefile, tbs/tb0340.pp, tbs/tb0341.pp, units/Makefile,
	webtbf/tw1397.pp:
	
	  * more tests

2001-02-20 22:27  peter <peter@freepascal.org>

	* tests/webtbs/: tw1397.pp, tw1404.pp:
	
	  * updated

2001-02-12 22:32  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbf/tw1395.pp:
	
	 test void assignment

2001-02-12 13:18  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1401.pp:
	
	 new test

2001-02-12 13:14  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1397.pp:
	
	 * changed code to correct working one

2001-02-12 09:19  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1404.pp:
	
	 test for bug 1404

2001-02-10 00:23  peter <peter@freepascal.org>

	* tests/: tbs/tb0339.pp, tbs/ub0339.pp, webtbs/tw1395.pp,
	webtbs/tw1397.pp, webtbs/tw1398.pp:
	
	  * added bugs

2001-02-09 15:06  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/tw1327.pp:
	
	 test for bug 1327

2001-02-05 21:45  peter <peter@freepascal.org>

	* tests/webtbs/: tw1364.pp, tw1376.pp:
	
	  * new bugs

2001-02-05 21:44  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * allexectests is the default

2001-02-03 01:16  peter <peter@freepascal.org>

	* tests/tbs/tb0089.pp:
	
	  * linux -> unix

2001-02-03 01:13  peter <peter@freepascal.org>

	* tests/utils/redir.pp:
	
	  * linux -> unix for not 1.0.x compilers

2001-02-03 01:02  peter <peter@freepascal.org>

	* tests/webtbs/tw1351.pp:
	
	  * objfpc mode added

2001-02-03 00:57  peter <peter@freepascal.org>

	* tests/: webtbf/tw1328.pp, webtbs/tw1328.pp, webtbs/tw1375.pp:
	
	  * fixes to compile
	  * moved 1328 to fail

2001-02-03 00:41  peter <peter@freepascal.org>

	* tests/webtbs/tw1251b.pp:
	
	  * compile fix

2001-02-03 00:17  peter <peter@freepascal.org>

	* tests/: tbf/tb0099.pp, webtbf/tw1316.pp, webtbf/tw1365.pp:
	
	  * added missing FAIL

2001-02-03 00:14  peter <peter@freepascal.org>

	* tests/units/: Makefile, Makefile.fpc:
	
	  * fixed to also work with 1.0.x fpcmake makefiles

2001-02-02 23:51  peter <peter@freepascal.org>

	* tests/tbs/tb0338.pp:
	
	  * new(precord) test

2001-02-02 23:41  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2001-02-02 01:01  pierre <muller@cerbere.u-strasbg.fr>

	* tests/webtbs/: tw1374.pp, tw1375.pp:
	
	 * new bug checks added

2001-02-01 23:00  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc, units/Makefile,
	units/Makefile.fpc:
	
	  * default.fpcdir is back
	  * subdir requirement checking works, but not very optimal yet as
	    it can load the same Makefile.fpc multiple times

2001-02-01 08:19  pierre <muller@cerbere.u-strasbg.fr>

	* tests/: webtbf/tw1365.pp, webtbs/tw1365.pp:
	
	 * checks for bug 1365

2001-01-30 22:56  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenarated

2001-01-30 21:41  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenarated

2001-01-29 22:52  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile, units/Makefile.fpc:
	
	  * New FPCMake update

2001-01-14 16:01  peter <peter@freepascal.org>

	* tests/webtbs/tw0965.pp:
	
	added

2001-01-13 12:14  peter <peter@freepascal.org>

	* tests/webtbs/tw1351.pp:
	
	  * added

2001-01-12 20:28  peter <peter@freepascal.org>

	* tests/webtbs/tw1348.pp:
	
	  * added

2001-01-11 19:37  peter <peter@freepascal.org>

	* tests/webtbs/: tw1328.pp, tw1331.pp, tw1333.pp, uw1331.pp:
	
	  * added

2001-01-09 21:48  florian <florian@freepascal.org>

	* tests/test/trtti2.pp:
	
	  * runs now with 1.0.x as well

2001-01-08 22:48  peter <peter@freepascal.org>

	* tests/: tbf/tb0099.pp, webtbf/tw1316.pp, webtbs/tw1318.pp:
	
	  * new files

2001-01-06 20:40  peter <peter@freepascal.org>

	* tests/webtbs/tw1323.pp:
	
	  * added

2000-12-28 21:40  peter <peter@freepascal.org>

	* tests/webtbs/tw1310.pp:
	
	  * added

2000-12-22 21:43  peter <peter@freepascal.org>

	* tests/webtbs/tw1222.pp:
	
	  * added

2000-12-19 22:17  peter <peter@freepascal.org>

	* tests/: Makefile, units/Makefile:
	
	  * regenerated

2000-12-18 19:03  peter <peter@freepascal.org>

	* tests/tbs/tb0337.pp:
	
	  * test for quotes in skipuntildirective

2000-12-17 15:35  peter <peter@freepascal.org>

	* tests/webtbs/: tw1279.pp, uw1279.pp:
	
	  * uw1279 added

2000-12-17 15:34  peter <peter@freepascal.org>

	* tests/webtbf/tw1270.pp:
	
	  * added fail

2000-12-17 14:59  peter <peter@freepascal.org>

	* tests/: tbf/tb0096.pp, tbf/tb0097.pp, tbf/tb0098.pp,
	test/trtti2.pp:
	
	  * added missing %fail flags

2000-12-16 16:33  peter <peter@freepascal.org>

	* tests/webtbs/: tw1295.pp, tw1299.pp:
	
	  * reported bugs

2000-12-12 20:54  peter <peter@freepascal.org>

	* tests/: webtbf/tw1270.pp, webtbs/tw1181.pp, webtbs/tw1284.pp,
	webtbs/tw1286.pp, webtbs/uw1181.inc:
	
	  * more webbugs added

2000-12-11 19:10  jonas <jonas.maebe@rug.ac.be>

	* tests/test/trange2.pp:
	
	  * compiles with 1.1

2000-12-11 13:13  jonas <jonas.maebe@rug.ac.be>

	* tests/test/timplprog.pp:
	
	  + added  %recompile flag

2000-12-10 15:15  florian <florian@freepascal.org>

	* tests/webtbs/tw1203.pp:
	
	  * fixed

2000-12-10 15:05  florian <florian@freepascal.org>

	* tests/tbf/: tb0096.pp, tb0097.pp, tb0098.pp:
	
	no message

2000-12-10 13:08  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc, units/Makefile,
	units/Makefile.fpc, utils/redir.pp, webtbs/tw0966.pp:
	
	  * win32 and go32v2 updates

2000-12-09 23:32  florian <florian@freepascal.org>

	* tests/tbs/tb0224.pp:
	
	no message

2000-12-09 23:28  florian <florian@freepascal.org>

	* tests/: tbs/tb0225.pp, test/tclass1.pp, test/tclass2.pp:
	
	no message

2000-12-09 21:45  florian <florian@freepascal.org>

	* tests/tbs/tb0336.pp:
	
	no message

2000-12-09 21:38  florian <florian@freepascal.org>

	* tests/test/tint642.pp:
	
	no message

2000-12-09 17:01  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * small updates to work better

2000-12-09 17:01  peter <peter@freepascal.org>

	* tests/utils/dotest.pp:
	
	  + known bug flag
	  + norun flag
	  + recompile flag

2000-12-09 17:00  peter <peter@freepascal.org>

	* tests/tbs/: tb0207.pp, tb0269.pp, tb0334.pp, tb0335.pp:
	
	  * fixed

2000-12-09 16:59  peter <peter@freepascal.org>

	* tests/test/: README, implprog.pp, impluni1.pp, impluni2.pp,
	timplprog.pp, uimpluni1.pp, uimpluni2.pp:
	
	  * renamed

2000-12-09 16:59  peter <peter@freepascal.org>

	* tests/test/tlibrary.pp:
	
	  * don't run test

2000-12-09 16:59  peter <peter@freepascal.org>

	* tests/test/: tarray3.pp, tarray4.pp:
	
	  * flagged as known bug

2000-12-08 17:56  jonas <jonas.maebe@rug.ac.be>

	* tests/test/: README, trange5.pp:
	
	  + trange5.pp

2000-12-06 18:01  jonas <jonas.maebe@rug.ac.be>

	* tests/test/: implprog.pp, impluni1.pp, impluni2.pp:
	
	  + added implicit unit bug test (compile implprog twice without
	deleting
	    ppu files to reproduce)

2000-12-04 23:50  hajny <xhajt03@mbox.vol.cz>

	* tests/test/tfexpand.pas:
	
	  + initial version

2000-12-04 23:07  peter <peter@freepascal.org>

	* tests/webtbf/tw0855.pp:
	
	  * added fail

2000-12-04 23:06  peter <peter@freepascal.org>

	* tests/utils/dotest.pp:
	
	  * fixed stupid c&p bug for CPU check

2000-12-04 23:04  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * only test t*.pp

2000-12-04 22:55  peter <peter@freepascal.org>

	* tests/: tbs/tb0295.pp, tbs/tb0328.pp, webtbf/tw0855.pp,
	webtbs/tw0855.pp, webtbs/tw1071.pp, webtbs/tw1152.pp:
	
	  * added some versions

2000-12-03 23:59  florian <florian@freepascal.org>

	* tests/utils/dotest.pp:
	
	  * some problems for go32v2 fixed

2000-12-03 23:25  florian <florian@freepascal.org>

	* tests/webtbs/tw1275.pp:
	
	no message

2000-12-03 22:50  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc, tbf/tb0001.pp, tbf/tb0002.pp,
	tbf/tb0003.pp, tbf/tb0004.pp, tbf/tb0005.pp, tbf/tb0006.pp,
	tbf/tb0007.pp, tbf/tb0008.pp, tbf/tb0009.pp, tbf/tb0010.pp,
	tbf/tb0011.pp, tbf/tb0012.pp, tbf/tb0013.pp, tbf/tb0014.pp,
	tbf/tb0015.pp, tbf/tb0016.pp, tbf/tb0017.pp, tbf/tb0018.pp,
	tbf/tb0019.pp, tbf/tb0020.pp, tbf/tb0021.pp, tbf/tb0022.pp,
	tbf/tb0023.pp, tbf/tb0024.pp, tbf/tb0025.pp, tbf/tb0026.pp,
	tbf/tb0027.pp, tbf/tb0028.pp, tbf/tb0029.pp, tbf/tb0030.pp,
	tbf/tb0031.pp, tbf/tb0032.pp, tbf/tb0033.pp, tbf/tb0034.pp,
	tbf/tb0035.pp, tbf/tb0036.pp, tbf/tb0037.pp, tbf/tb0038.pp,
	tbf/tb0039.pp, tbf/tb0040.pp, tbf/tb0041.pp, tbf/tb0042.pp,
	tbf/tb0043.pp, tbf/tb0044.pp, tbf/tb0045.pp, tbf/tb0046.pp,
	tbf/tb0047.pp, tbf/tb0048.pp, tbf/tb0049.pp, tbf/tb0050.pp,
	tbf/tb0051.pp, tbf/tb0052.pp, tbf/tb0053.pp, tbf/tb0054.pp,
	tbf/tb0055.pp, tbf/tb0056.pp, tbf/tb0057.pp, tbf/tb0058.pp,
	tbf/tb0059.pp, tbf/tb0060.pp, tbf/tb0061.pp, tbf/tb0062.pp,
	tbf/tb0063.pp, tbf/tb0064.pp, tbf/tb0065.pp, tbf/tb0066.pp,
	tbf/tb0067.pp, tbf/tb0068.pp, tbf/tb0069.pp, tbf/tb0070.pp,
	tbf/tb0071.pp, tbf/tb0072.pp, tbf/tb0073.pp, tbf/tb0074.pp,
	tbf/tb0075.pp, tbf/tb0076.pp, tbf/tb0077.pp, tbf/tb0078.pp,
	tbf/tb0079.pp, tbf/tb0080.pp, tbf/tb0081.pp, tbf/tb0082.pp,
	tbf/tb0083.pp, tbf/tb0084.pp, tbf/tb0085.pp, tbf/tb0086.pp,
	tbf/tb0087.pp, tbf/tb0088.pp, tbf/tb0089.pp, tbf/tb0090.pp,
	tbf/tb0091.pp, tbf/tb0092.pp, tbf/tb0093.pp, tbf/tb0094.pp,
	tbf/tb0095.pp, tbs/tb0133.pp, tbs/tb0307.pp, tbs/tb0308.pp,
	tbs/ub0308.pp, test/tinterface1.pp, test/tinterface2.pp,
	test/tinterface3.pp, test/trange1.pp, test/trtti1.pp,
	test/trtti2.pp, test/trtti3.pp, utils/dotest.pp, webtbf/tw0744.pp,
	webtbf/tw0784.pp, webtbf/tw0807.pp, webtbf/tw0856.pp,
	webtbf/tw0890.pp, webtbf/tw0896.pp, webtbf/tw0896a.pp,
	webtbf/tw1157a.pp, webtbf/tw1157b.pp, webtbf/tw1238.pp,
	webtbf/tw1251a.pp, webtbs/tw0711.pp, webtbs/tw0895.pp,
	webtbs/tw1068.pp, webtbs/tw1204.pp, webtbs/tw1250.pp,
	webtbs/tw1251a.pp:
	
	  * update

2000-11-30 23:51  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc:
	
	  * allwebtbf fixed

2000-11-30 23:38  peter <peter@freepascal.org>

	* tests/: Makefile, Makefile.fpc, tbf/tb0001.pp, tbf/tb0002.pp,
	tbf/tb0003.pp, tbf/tb0004.pp, tbf/tb0005.pp, tbf/tb0006.pp,
	tbf/tb0007.pp, tbf/tb0008.pp, tbf/tb0009.pp, tbf/tb0010.pp,
	tbf/tb0011.pp, tbf/tb0012.pp, tbf/tb0013.pp, tbf/tb0014.pp,
	tbf/tb0015.pp, tbf/tb0016.pp, tbf/tb0017.pp, tbf/tb0018.pp,
	tbf/tb0019.pp, tbf/tb0020.pp, tbf/tb0021.pp, tbf/tb0022.pp,
	tbf/tb0023.pp, tbf/tb0024.pp, tbf/tb0025.pp, tbf/tb0026.pp,
	tbf/tb0027.pp, tbf/tb0028.pp, tbf/tb0029.pp, tbf/tb0030.pp,
	tbf/tb0031.pp, tbf/tb0032.pp, tbf/tb0033.pp, tbf/tb0034.pp,
	tbf/tb0035.pp, tbf/tb0036.pp, tbf/tb0037.pp, tbf/tb0038.pp,
	tbf/tb0039.pp, tbf/tb0040.pp, tbf/tb0041.pp, tbf/tb0042.pp,
	tbf/tb0043.pp, tbf/tb0044.pp, tbf/tb0045.pp, tbf/tb0046.pp,
	tbf/tb0047.pp, tbf/tb0048.pp, tbf/tb0049.pp, tbf/tb0050.pp,
	tbf/tb0051.pp, tbf/tb0052.pp, tbf/tb0053.pp, tbf/tb0054.pp,
	tbf/tb0055.pp, tbf/tb0056.pp, tbf/tb0057.pp, tbf/tb0058.pp,
	tbf/tb0059.pp, tbf/tb0060.pp, tbf/tb0061.pp, tbf/tb0062.pp,
	tbf/tb0063.pp, tbf/tb0064.pp, tbf/tb0065.pp, tbf/tb0066.pp,
